#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1212
#define LARGE_STATE_COUNT 207
#define SYMBOL_COUNT 241
#define ALIAS_COUNT 5
#define TOKEN_COUNT 124
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 34
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 90

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_else = 15,
  anon_sym_if = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_SLASH = 44,
  sym_jsx_text = 45,
  sym_jsx_identifier = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_QMARK_DOT = 53,
  anon_sym_new = 54,
  anon_sym_PLUS_EQ = 55,
  anon_sym_DASH_EQ = 56,
  anon_sym_STAR_EQ = 57,
  anon_sym_SLASH_EQ = 58,
  anon_sym_PERCENT_EQ = 59,
  anon_sym_CARET_EQ = 60,
  anon_sym_AMP_EQ = 61,
  anon_sym_PIPE_EQ = 62,
  anon_sym_GT_GT_EQ = 63,
  anon_sym_GT_GT_GT_EQ = 64,
  anon_sym_LT_LT_EQ = 65,
  anon_sym_STAR_STAR_EQ = 66,
  anon_sym_AMP_AMP_EQ = 67,
  anon_sym_PIPE_PIPE_EQ = 68,
  anon_sym_QMARK_QMARK_EQ = 69,
  anon_sym_DOT_DOT_DOT = 70,
  anon_sym_QMARK = 71,
  anon_sym_AMP_AMP = 72,
  anon_sym_PIPE_PIPE = 73,
  anon_sym_GT_GT = 74,
  anon_sym_GT_GT_GT = 75,
  anon_sym_LT_LT = 76,
  anon_sym_AMP = 77,
  anon_sym_CARET = 78,
  anon_sym_PIPE = 79,
  anon_sym_PLUS = 80,
  anon_sym_DASH = 81,
  anon_sym_PERCENT = 82,
  anon_sym_STAR_STAR = 83,
  anon_sym_LT_EQ = 84,
  anon_sym_EQ_EQ = 85,
  anon_sym_EQ_EQ_EQ = 86,
  anon_sym_BANG_EQ = 87,
  anon_sym_BANG_EQ_EQ = 88,
  anon_sym_GT_EQ = 89,
  anon_sym_QMARK_QMARK = 90,
  anon_sym_instanceof = 91,
  anon_sym_BANG = 92,
  anon_sym_TILDE = 93,
  anon_sym_typeof = 94,
  anon_sym_void = 95,
  anon_sym_delete = 96,
  anon_sym_PLUS_PLUS = 97,
  anon_sym_DASH_DASH = 98,
  anon_sym_DQUOTE = 99,
  aux_sym_string_token1 = 100,
  anon_sym_SQUOTE = 101,
  aux_sym_string_token2 = 102,
  sym_escape_sequence = 103,
  sym_comment = 104,
  anon_sym_BQUOTE = 105,
  anon_sym_DOLLAR_LBRACE = 106,
  anon_sym_SLASH2 = 107,
  sym_regex_pattern = 108,
  sym_regex_flags = 109,
  sym_number = 110,
  anon_sym_target = 111,
  sym_this = 112,
  sym_super = 113,
  sym_true = 114,
  sym_false = 115,
  sym_null = 116,
  sym_undefined = 117,
  anon_sym_AT = 118,
  anon_sym_static = 119,
  anon_sym_get = 120,
  anon_sym_set = 121,
  sym__automatic_semicolon = 122,
  sym__template_chars = 123,
  sym_program = 124,
  sym_export_statement = 125,
  sym_export_clause = 126,
  sym__import_export_specifier = 127,
  sym_declaration = 128,
  sym_import = 129,
  sym_import_statement = 130,
  sym_import_clause = 131,
  sym__from_clause = 132,
  sym_namespace_import = 133,
  sym_named_imports = 134,
  sym_expression_statement = 135,
  sym_variable_declaration = 136,
  sym_lexical_declaration = 137,
  sym_variable_declarator = 138,
  sym_statement_block = 139,
  sym_else_clause = 140,
  sym_if_statement = 141,
  sym_switch_statement = 142,
  sym_for_statement = 143,
  sym_for_in_statement = 144,
  sym__for_header = 145,
  sym_while_statement = 146,
  sym_do_statement = 147,
  sym_try_statement = 148,
  sym_with_statement = 149,
  sym_break_statement = 150,
  sym_continue_statement = 151,
  sym_debugger_statement = 152,
  sym_return_statement = 153,
  sym_throw_statement = 154,
  sym_empty_statement = 155,
  sym_labeled_statement = 156,
  sym_switch_body = 157,
  sym_switch_case = 158,
  sym_switch_default = 159,
  sym_catch_clause = 160,
  sym_finally_clause = 161,
  sym_parenthesized_expression = 162,
  sym_expression = 163,
  sym_primary_expression = 164,
  sym_yield_expression = 165,
  sym_object = 166,
  sym_object_pattern = 167,
  sym_assignment_pattern = 168,
  sym_object_assignment_pattern = 169,
  sym_array = 170,
  sym_array_pattern = 171,
  sym_jsx_element = 172,
  sym_jsx_fragment = 173,
  sym_jsx_expression = 174,
  sym_jsx_opening_element = 175,
  sym_nested_identifier = 176,
  sym_jsx_namespace_name = 177,
  sym_jsx_closing_element = 178,
  sym_jsx_self_closing_element = 179,
  sym_jsx_attribute = 180,
  sym_class = 181,
  sym_class_declaration = 182,
  sym_class_heritage = 183,
  sym_function = 184,
  sym_function_declaration = 185,
  sym_generator_function = 186,
  sym_generator_function_declaration = 187,
  sym_arrow_function = 188,
  sym_call_expression = 189,
  sym_new_expression = 190,
  sym_await_expression = 191,
  sym_member_expression = 192,
  sym_subscript_expression = 193,
  sym_assignment_expression = 194,
  sym__augmented_assignment_lhs = 195,
  sym_augmented_assignment_expression = 196,
  sym__initializer = 197,
  sym__destructuring_pattern = 198,
  sym_spread_element = 199,
  sym_ternary_expression = 200,
  sym_binary_expression = 201,
  sym_unary_expression = 202,
  sym_update_expression = 203,
  sym_sequence_expression = 204,
  sym_string = 205,
  sym_template_string = 206,
  sym_template_substitution = 207,
  sym_regex = 208,
  sym_meta_property = 209,
  sym_arguments = 210,
  sym_decorator = 211,
  sym_decorator_member_expression = 212,
  sym_decorator_call_expression = 213,
  sym_class_body = 214,
  sym_public_field_definition = 215,
  sym_formal_parameters = 216,
  sym_pattern = 217,
  sym_rest_pattern = 218,
  sym_method_definition = 219,
  sym_pair = 220,
  sym_pair_pattern = 221,
  sym__property_name = 222,
  sym_computed_property_name = 223,
  aux_sym_program_repeat1 = 224,
  aux_sym_export_statement_repeat1 = 225,
  aux_sym_export_clause_repeat1 = 226,
  aux_sym_named_imports_repeat1 = 227,
  aux_sym_variable_declaration_repeat1 = 228,
  aux_sym_switch_body_repeat1 = 229,
  aux_sym_object_repeat1 = 230,
  aux_sym_object_pattern_repeat1 = 231,
  aux_sym_array_repeat1 = 232,
  aux_sym_array_pattern_repeat1 = 233,
  aux_sym_jsx_element_repeat1 = 234,
  aux_sym_jsx_opening_element_repeat1 = 235,
  aux_sym_string_repeat1 = 236,
  aux_sym_string_repeat2 = 237,
  aux_sym_template_string_repeat1 = 238,
  aux_sym_class_body_repeat1 = 239,
  aux_sym_formal_parameters_repeat1 = 240,
  alias_sym_import_specifier = 241,
  alias_sym_property_identifier = 242,
  alias_sym_shorthand_property_identifier = 243,
  alias_sym_shorthand_property_identifier_pattern = 244,
  alias_sym_statement_identifier = 245,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "export_specifier",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_object = 25,
  field_open_tag = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_right = 32,
  field_source = 33,
  field_value = 34,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 1},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 2},
  [22] = {.index = 27, .length = 3},
  [23] = {.index = 30, .length = 2},
  [24] = {.index = 32, .length = 2},
  [25] = {.index = 34, .length = 2},
  [26] = {.index = 36, .length = 2},
  [27] = {.index = 38, .length = 1},
  [28] = {.index = 39, .length = 1},
  [29] = {.index = 40, .length = 1},
  [30] = {.index = 41, .length = 1},
  [31] = {.index = 42, .length = 1},
  [32] = {.index = 43, .length = 1},
  [33] = {.index = 44, .length = 2},
  [34] = {.index = 46, .length = 1},
  [35] = {.index = 47, .length = 2},
  [36] = {.index = 49, .length = 2},
  [37] = {.index = 16, .length = 2},
  [38] = {.index = 18, .length = 2},
  [39] = {.index = 51, .length = 3},
  [40] = {.index = 54, .length = 2},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 58, .length = 2},
  [43] = {.index = 60, .length = 2},
  [44] = {.index = 62, .length = 2},
  [45] = {.index = 64, .length = 1},
  [46] = {.index = 65, .length = 1},
  [47] = {.index = 16, .length = 2},
  [48] = {.index = 66, .length = 2},
  [49] = {.index = 68, .length = 3},
  [50] = {.index = 71, .length = 2},
  [51] = {.index = 73, .length = 1},
  [52] = {.index = 74, .length = 3},
  [53] = {.index = 77, .length = 3},
  [54] = {.index = 80, .length = 3},
  [55] = {.index = 83, .length = 2},
  [56] = {.index = 85, .length = 2},
  [57] = {.index = 87, .length = 2},
  [58] = {.index = 89, .length = 1},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 2},
  [62] = {.index = 95, .length = 2},
  [63] = {.index = 97, .length = 2},
  [64] = {.index = 99, .length = 2},
  [65] = {.index = 97, .length = 2},
  [66] = {.index = 101, .length = 2},
  [67] = {.index = 103, .length = 3},
  [68] = {.index = 106, .length = 2},
  [69] = {.index = 108, .length = 3},
  [70] = {.index = 111, .length = 2},
  [71] = {.index = 113, .length = 2},
  [72] = {.index = 71, .length = 2},
  [73] = {.index = 115, .length = 2},
  [74] = {.index = 117, .length = 2},
  [75] = {.index = 119, .length = 2},
  [76] = {.index = 121, .length = 3},
  [77] = {.index = 124, .length = 2},
  [78] = {.index = 126, .length = 3},
  [79] = {.index = 129, .length = 1},
  [80] = {.index = 130, .length = 2},
  [81] = {.index = 132, .length = 3},
  [82] = {.index = 135, .length = 2},
  [83] = {.index = 135, .length = 2},
  [84] = {.index = 137, .length = 3},
  [85] = {.index = 140, .length = 3},
  [86] = {.index = 143, .length = 2},
  [87] = {.index = 145, .length = 4},
  [88] = {.index = 149, .length = 2},
  [89] = {.index = 151, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_argument, 0},
    {field_operator, 1},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_label, 0},
  [16] =
    {field_left, 0},
    {field_right, 2},
  [18] =
    {field_body, 2},
    {field_parameter, 0},
  [20] =
    {field_source, 1},
  [21] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [23] =
    {field_condition, 1},
    {field_consequence, 2},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [30] =
    {field_body, 2},
    {field_condition, 1},
  [32] =
    {field_body, 1},
    {field_handler, 2},
  [34] =
    {field_body, 1},
    {field_finalizer, 2},
  [36] =
    {field_body, 2},
    {field_object, 1},
  [38] =
    {field_label, 1},
  [39] =
    {field_name, 1},
  [40] =
    {field_attribute, 0},
  [41] =
    {field_pattern, 1},
  [42] =
    {field_member, 0},
  [43] =
    {field_property, 0},
  [44] =
    {field_body, 2},
    {field_name, 1},
  [46] =
    {field_body, 2},
  [47] =
    {field_body, 2},
    {field_parameters, 1},
  [49] =
    {field_arguments, 2},
    {field_constructor, 1},
  [51] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [54] =
    {field_object, 0},
    {field_property, 2},
  [56] =
    {field_arguments, 2},
    {field_function, 0},
  [58] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [60] =
    {field_body, 2},
    {field_parameters, 0},
  [62] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [64] =
    {field_source, 2, .inherited = true},
  [65] =
    {field_value, 2},
  [66] =
    {field_key, 0},
    {field_value, 2},
  [68] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [71] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [73] =
    {field_value, 1},
  [74] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [77] =
    {field_body, 3},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [80] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [83] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [85] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [87] =
    {field_flags, 3},
    {field_pattern, 1},
  [89] =
    {field_property, 1},
  [90] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [92] =
    {field_member, 1, .inherited = true},
  [93] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [95] =
    {field_body, 3},
    {field_name, 1},
  [97] =
    {field_body, 3},
    {field_parameter, 1},
  [99] =
    {field_body, 3},
    {field_parameters, 2},
  [101] =
    {field_body, 3},
    {field_parameters, 1},
  [103] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [106] =
    {field_index, 2},
    {field_object, 0},
  [108] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [111] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [113] =
    {field_alias, 2},
    {field_name, 0},
  [115] =
    {field_body, 1},
    {field_condition, 3},
  [117] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [119] =
    {field_body, 4},
    {field_parameters, 3},
  [121] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [124] =
    {field_index, 3},
    {field_object, 0},
  [126] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [129] =
    {field_name, 2},
  [130] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [132] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [135] =
    {field_left, 1},
    {field_right, 3},
  [137] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [140] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [143] =
    {field_left, 2},
    {field_right, 4},
  [145] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [149] =
    {field_body, 4},
    {field_parameter, 2},
  [151] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
};

static TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_statement_identifier,
  },
  [14] = {
    [0] = sym_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [27] = {
    [1] = alias_sym_statement_identifier,
  },
  [40] = {
    [2] = alias_sym_property_identifier,
  },
  [47] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [50] = {
    [1] = alias_sym_import_specifier,
  },
  [63] = {
    [1] = sym_identifier,
  },
  [82] = {
    [1] = sym_identifier,
  },
};

static uint16_t ts_non_terminal_alias_map[] = {
  sym__import_export_specifier, 2,
    sym__import_export_specifier,
    alias_sym_import_specifier,
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '#') ADVANCE(2);
      if (lookahead == '$') ADVANCE(187);
      if (lookahead == '%') ADVANCE(134);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '+') ADVANCE(130);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(76);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead == '?') ADVANCE(111);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(126);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(188);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(18)
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '[') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(173);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(58);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(145);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == '<') ADVANCE(75);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(188);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '%') ADVANCE(134);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '+') ADVANCE(130);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(82);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(76);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead == '?') ADVANCE(111);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(126);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '~') ADVANCE(188);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '%') ADVANCE(133);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(77);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '?') ADVANCE(112);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(125);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(188);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '%') ADVANCE(133);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(77);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '?') ADVANCE(112);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(125);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(188);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 8:
      if (lookahead == '$') ADVANCE(25);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      END_STATE();
    case 9:
      if (lookahead == '$') ADVANCE(25);
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(162);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(110);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(188);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '<') ADVANCE(75);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 18:
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(18)
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == 'u') ADVANCE(26);
      if (lookahead == 'x') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(167);
      if (lookahead != 0) ADVANCE(164);
      END_STATE();
    case 23:
      if (lookahead == 'u') ADVANCE(27);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(167);
      if (lookahead != 0) ADVANCE(164);
      END_STATE();
    case 25:
      if (lookahead == '{') ADVANCE(171);
      END_STATE();
    case 26:
      if (lookahead == '{') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 27:
      if (lookahead == '{') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 28:
      if (lookahead == '{') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == '}') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '}') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '}') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(183);
      END_STATE();
    case 33:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(179);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(180);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(182);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(183);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 53:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(174);
      END_STATE();
    case 54:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '#') ADVANCE(2);
      if (lookahead == '$') ADVANCE(187);
      if (lookahead == '%') ADVANCE(134);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '+') ADVANCE(130);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(76);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead == '?') ADVANCE(111);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(126);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(188);
      END_STATE();
    case 55:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '%') ADVANCE(133);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(77);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '?') ADVANCE(112);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(125);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(55)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > '#') ADVANCE(188);
      END_STATE();
    case 56:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(145);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '#') ADVANCE(2);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(14);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(75);
      if (lookahead == '=') ADVANCE(72);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(188);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(58);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(135);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(121);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(117);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '\n') ADVANCE(88);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(169);
      if (lookahead != 0) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(86);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(85);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(13);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(85);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(13);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '?') ADVANCE(144);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '?') ADVANCE(143);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(114);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(113);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '|') ADVANCE(116);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(115);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(148);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(149);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '\n') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(161);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(161);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(23);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(188);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(164);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(166);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(18)
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '[') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(173);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(23);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(188);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '0') ADVANCE(182);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(33);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(34);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(41);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(176);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == '_') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      if (lookahead != 0 &&
          lookahead > '~' &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(188);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '{') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(188);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(23);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 56},
  [2] = {.lex_state = 56},
  [3] = {.lex_state = 56},
  [4] = {.lex_state = 56},
  [5] = {.lex_state = 56},
  [6] = {.lex_state = 56},
  [7] = {.lex_state = 56},
  [8] = {.lex_state = 56},
  [9] = {.lex_state = 56},
  [10] = {.lex_state = 56},
  [11] = {.lex_state = 56},
  [12] = {.lex_state = 56},
  [13] = {.lex_state = 56},
  [14] = {.lex_state = 56},
  [15] = {.lex_state = 56},
  [16] = {.lex_state = 56},
  [17] = {.lex_state = 56},
  [18] = {.lex_state = 56},
  [19] = {.lex_state = 56},
  [20] = {.lex_state = 56},
  [21] = {.lex_state = 56},
  [22] = {.lex_state = 56},
  [23] = {.lex_state = 56},
  [24] = {.lex_state = 56},
  [25] = {.lex_state = 56},
  [26] = {.lex_state = 56},
  [27] = {.lex_state = 56},
  [28] = {.lex_state = 56},
  [29] = {.lex_state = 56},
  [30] = {.lex_state = 56},
  [31] = {.lex_state = 56},
  [32] = {.lex_state = 56},
  [33] = {.lex_state = 56},
  [34] = {.lex_state = 56},
  [35] = {.lex_state = 56},
  [36] = {.lex_state = 56},
  [37] = {.lex_state = 56},
  [38] = {.lex_state = 56},
  [39] = {.lex_state = 56},
  [40] = {.lex_state = 56},
  [41] = {.lex_state = 56},
  [42] = {.lex_state = 56},
  [43] = {.lex_state = 56},
  [44] = {.lex_state = 55},
  [45] = {.lex_state = 55, .external_lex_state = 2},
  [46] = {.lex_state = 55},
  [47] = {.lex_state = 55, .external_lex_state = 2},
  [48] = {.lex_state = 55, .external_lex_state = 2},
  [49] = {.lex_state = 55, .external_lex_state = 2},
  [50] = {.lex_state = 55, .external_lex_state = 2},
  [51] = {.lex_state = 55, .external_lex_state = 2},
  [52] = {.lex_state = 55, .external_lex_state = 2},
  [53] = {.lex_state = 55, .external_lex_state = 2},
  [54] = {.lex_state = 55, .external_lex_state = 2},
  [55] = {.lex_state = 55, .external_lex_state = 2},
  [56] = {.lex_state = 55, .external_lex_state = 2},
  [57] = {.lex_state = 55, .external_lex_state = 2},
  [58] = {.lex_state = 55, .external_lex_state = 2},
  [59] = {.lex_state = 55, .external_lex_state = 2},
  [60] = {.lex_state = 55, .external_lex_state = 2},
  [61] = {.lex_state = 55, .external_lex_state = 2},
  [62] = {.lex_state = 56},
  [63] = {.lex_state = 56},
  [64] = {.lex_state = 56},
  [65] = {.lex_state = 56},
  [66] = {.lex_state = 56},
  [67] = {.lex_state = 56},
  [68] = {.lex_state = 56},
  [69] = {.lex_state = 56},
  [70] = {.lex_state = 56},
  [71] = {.lex_state = 56},
  [72] = {.lex_state = 56},
  [73] = {.lex_state = 56},
  [74] = {.lex_state = 56},
  [75] = {.lex_state = 56},
  [76] = {.lex_state = 56},
  [77] = {.lex_state = 56},
  [78] = {.lex_state = 56},
  [79] = {.lex_state = 56},
  [80] = {.lex_state = 56},
  [81] = {.lex_state = 56},
  [82] = {.lex_state = 56},
  [83] = {.lex_state = 56},
  [84] = {.lex_state = 56, .external_lex_state = 2},
  [85] = {.lex_state = 56},
  [86] = {.lex_state = 56},
  [87] = {.lex_state = 56},
  [88] = {.lex_state = 56},
  [89] = {.lex_state = 4, .external_lex_state = 2},
  [90] = {.lex_state = 3},
  [91] = {.lex_state = 3},
  [92] = {.lex_state = 56},
  [93] = {.lex_state = 56},
  [94] = {.lex_state = 56},
  [95] = {.lex_state = 3},
  [96] = {.lex_state = 56},
  [97] = {.lex_state = 56},
  [98] = {.lex_state = 4, .external_lex_state = 2},
  [99] = {.lex_state = 56},
  [100] = {.lex_state = 56},
  [101] = {.lex_state = 56},
  [102] = {.lex_state = 4, .external_lex_state = 2},
  [103] = {.lex_state = 56},
  [104] = {.lex_state = 56},
  [105] = {.lex_state = 56},
  [106] = {.lex_state = 56},
  [107] = {.lex_state = 56},
  [108] = {.lex_state = 3},
  [109] = {.lex_state = 56},
  [110] = {.lex_state = 56},
  [111] = {.lex_state = 56},
  [112] = {.lex_state = 56},
  [113] = {.lex_state = 56},
  [114] = {.lex_state = 56},
  [115] = {.lex_state = 56},
  [116] = {.lex_state = 56},
  [117] = {.lex_state = 56},
  [118] = {.lex_state = 56},
  [119] = {.lex_state = 56},
  [120] = {.lex_state = 56},
  [121] = {.lex_state = 56},
  [122] = {.lex_state = 56},
  [123] = {.lex_state = 56},
  [124] = {.lex_state = 56},
  [125] = {.lex_state = 56},
  [126] = {.lex_state = 56},
  [127] = {.lex_state = 56},
  [128] = {.lex_state = 56},
  [129] = {.lex_state = 56},
  [130] = {.lex_state = 56},
  [131] = {.lex_state = 56},
  [132] = {.lex_state = 56},
  [133] = {.lex_state = 56},
  [134] = {.lex_state = 56},
  [135] = {.lex_state = 56},
  [136] = {.lex_state = 56},
  [137] = {.lex_state = 56},
  [138] = {.lex_state = 56},
  [139] = {.lex_state = 56},
  [140] = {.lex_state = 56},
  [141] = {.lex_state = 56},
  [142] = {.lex_state = 56},
  [143] = {.lex_state = 56},
  [144] = {.lex_state = 56},
  [145] = {.lex_state = 56},
  [146] = {.lex_state = 56},
  [147] = {.lex_state = 56},
  [148] = {.lex_state = 56},
  [149] = {.lex_state = 56},
  [150] = {.lex_state = 56},
  [151] = {.lex_state = 56},
  [152] = {.lex_state = 56},
  [153] = {.lex_state = 56},
  [154] = {.lex_state = 56},
  [155] = {.lex_state = 56},
  [156] = {.lex_state = 56},
  [157] = {.lex_state = 56},
  [158] = {.lex_state = 56},
  [159] = {.lex_state = 56},
  [160] = {.lex_state = 56},
  [161] = {.lex_state = 56},
  [162] = {.lex_state = 56},
  [163] = {.lex_state = 56},
  [164] = {.lex_state = 56},
  [165] = {.lex_state = 56},
  [166] = {.lex_state = 56},
  [167] = {.lex_state = 56},
  [168] = {.lex_state = 56},
  [169] = {.lex_state = 56},
  [170] = {.lex_state = 56},
  [171] = {.lex_state = 56},
  [172] = {.lex_state = 56},
  [173] = {.lex_state = 56},
  [174] = {.lex_state = 56},
  [175] = {.lex_state = 56},
  [176] = {.lex_state = 56},
  [177] = {.lex_state = 56},
  [178] = {.lex_state = 56},
  [179] = {.lex_state = 56},
  [180] = {.lex_state = 56},
  [181] = {.lex_state = 56},
  [182] = {.lex_state = 56},
  [183] = {.lex_state = 56},
  [184] = {.lex_state = 56},
  [185] = {.lex_state = 56},
  [186] = {.lex_state = 56},
  [187] = {.lex_state = 56},
  [188] = {.lex_state = 56},
  [189] = {.lex_state = 56},
  [190] = {.lex_state = 56},
  [191] = {.lex_state = 56},
  [192] = {.lex_state = 56},
  [193] = {.lex_state = 56},
  [194] = {.lex_state = 56},
  [195] = {.lex_state = 56},
  [196] = {.lex_state = 4, .external_lex_state = 2},
  [197] = {.lex_state = 4, .external_lex_state = 2},
  [198] = {.lex_state = 4, .external_lex_state = 2},
  [199] = {.lex_state = 4, .external_lex_state = 2},
  [200] = {.lex_state = 4, .external_lex_state = 2},
  [201] = {.lex_state = 4, .external_lex_state = 2},
  [202] = {.lex_state = 4, .external_lex_state = 2},
  [203] = {.lex_state = 4, .external_lex_state = 2},
  [204] = {.lex_state = 4, .external_lex_state = 2},
  [205] = {.lex_state = 4, .external_lex_state = 2},
  [206] = {.lex_state = 4, .external_lex_state = 2},
  [207] = {.lex_state = 56, .external_lex_state = 2},
  [208] = {.lex_state = 56, .external_lex_state = 2},
  [209] = {.lex_state = 4},
  [210] = {.lex_state = 4},
  [211] = {.lex_state = 4, .external_lex_state = 2},
  [212] = {.lex_state = 56},
  [213] = {.lex_state = 4, .external_lex_state = 2},
  [214] = {.lex_state = 4, .external_lex_state = 2},
  [215] = {.lex_state = 56},
  [216] = {.lex_state = 56},
  [217] = {.lex_state = 4, .external_lex_state = 2},
  [218] = {.lex_state = 4, .external_lex_state = 2},
  [219] = {.lex_state = 4},
  [220] = {.lex_state = 56},
  [221] = {.lex_state = 4},
  [222] = {.lex_state = 4},
  [223] = {.lex_state = 4},
  [224] = {.lex_state = 56, .external_lex_state = 2},
  [225] = {.lex_state = 56},
  [226] = {.lex_state = 56},
  [227] = {.lex_state = 56, .external_lex_state = 2},
  [228] = {.lex_state = 56},
  [229] = {.lex_state = 56, .external_lex_state = 2},
  [230] = {.lex_state = 4},
  [231] = {.lex_state = 56, .external_lex_state = 2},
  [232] = {.lex_state = 56, .external_lex_state = 2},
  [233] = {.lex_state = 56},
  [234] = {.lex_state = 56, .external_lex_state = 2},
  [235] = {.lex_state = 56, .external_lex_state = 2},
  [236] = {.lex_state = 56, .external_lex_state = 2},
  [237] = {.lex_state = 56, .external_lex_state = 2},
  [238] = {.lex_state = 56, .external_lex_state = 2},
  [239] = {.lex_state = 56, .external_lex_state = 2},
  [240] = {.lex_state = 56},
  [241] = {.lex_state = 56, .external_lex_state = 2},
  [242] = {.lex_state = 56, .external_lex_state = 2},
  [243] = {.lex_state = 56, .external_lex_state = 2},
  [244] = {.lex_state = 56},
  [245] = {.lex_state = 56},
  [246] = {.lex_state = 56},
  [247] = {.lex_state = 56},
  [248] = {.lex_state = 56},
  [249] = {.lex_state = 56},
  [250] = {.lex_state = 56},
  [251] = {.lex_state = 56},
  [252] = {.lex_state = 56},
  [253] = {.lex_state = 56},
  [254] = {.lex_state = 56},
  [255] = {.lex_state = 56},
  [256] = {.lex_state = 56},
  [257] = {.lex_state = 56},
  [258] = {.lex_state = 56},
  [259] = {.lex_state = 56},
  [260] = {.lex_state = 56},
  [261] = {.lex_state = 56},
  [262] = {.lex_state = 56},
  [263] = {.lex_state = 56},
  [264] = {.lex_state = 56},
  [265] = {.lex_state = 56},
  [266] = {.lex_state = 56},
  [267] = {.lex_state = 56},
  [268] = {.lex_state = 56},
  [269] = {.lex_state = 56},
  [270] = {.lex_state = 56},
  [271] = {.lex_state = 56},
  [272] = {.lex_state = 56},
  [273] = {.lex_state = 56},
  [274] = {.lex_state = 56},
  [275] = {.lex_state = 56},
  [276] = {.lex_state = 56},
  [277] = {.lex_state = 56},
  [278] = {.lex_state = 56},
  [279] = {.lex_state = 56},
  [280] = {.lex_state = 56},
  [281] = {.lex_state = 56},
  [282] = {.lex_state = 56},
  [283] = {.lex_state = 56},
  [284] = {.lex_state = 56},
  [285] = {.lex_state = 56},
  [286] = {.lex_state = 56},
  [287] = {.lex_state = 56},
  [288] = {.lex_state = 56},
  [289] = {.lex_state = 4, .external_lex_state = 2},
  [290] = {.lex_state = 4, .external_lex_state = 2},
  [291] = {.lex_state = 4, .external_lex_state = 2},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4, .external_lex_state = 2},
  [302] = {.lex_state = 4, .external_lex_state = 2},
  [303] = {.lex_state = 4, .external_lex_state = 2},
  [304] = {.lex_state = 4, .external_lex_state = 2},
  [305] = {.lex_state = 4, .external_lex_state = 2},
  [306] = {.lex_state = 4, .external_lex_state = 2},
  [307] = {.lex_state = 4, .external_lex_state = 2},
  [308] = {.lex_state = 4, .external_lex_state = 2},
  [309] = {.lex_state = 4, .external_lex_state = 2},
  [310] = {.lex_state = 4, .external_lex_state = 2},
  [311] = {.lex_state = 4, .external_lex_state = 2},
  [312] = {.lex_state = 4, .external_lex_state = 2},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4, .external_lex_state = 2},
  [315] = {.lex_state = 4, .external_lex_state = 2},
  [316] = {.lex_state = 4, .external_lex_state = 2},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 56},
  [319] = {.lex_state = 56},
  [320] = {.lex_state = 56},
  [321] = {.lex_state = 4, .external_lex_state = 2},
  [322] = {.lex_state = 56},
  [323] = {.lex_state = 4, .external_lex_state = 2},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 4},
  [335] = {.lex_state = 55},
  [336] = {.lex_state = 55},
  [337] = {.lex_state = 55},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 55, .external_lex_state = 2},
  [340] = {.lex_state = 55},
  [341] = {.lex_state = 55},
  [342] = {.lex_state = 55},
  [343] = {.lex_state = 55},
  [344] = {.lex_state = 55, .external_lex_state = 2},
  [345] = {.lex_state = 55},
  [346] = {.lex_state = 55},
  [347] = {.lex_state = 55},
  [348] = {.lex_state = 55},
  [349] = {.lex_state = 55},
  [350] = {.lex_state = 55},
  [351] = {.lex_state = 55, .external_lex_state = 2},
  [352] = {.lex_state = 55},
  [353] = {.lex_state = 55, .external_lex_state = 2},
  [354] = {.lex_state = 55},
  [355] = {.lex_state = 55},
  [356] = {.lex_state = 55},
  [357] = {.lex_state = 55},
  [358] = {.lex_state = 55},
  [359] = {.lex_state = 55},
  [360] = {.lex_state = 55},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 55},
  [363] = {.lex_state = 55},
  [364] = {.lex_state = 55},
  [365] = {.lex_state = 55},
  [366] = {.lex_state = 55},
  [367] = {.lex_state = 55},
  [368] = {.lex_state = 55},
  [369] = {.lex_state = 55},
  [370] = {.lex_state = 55},
  [371] = {.lex_state = 55},
  [372] = {.lex_state = 55},
  [373] = {.lex_state = 55},
  [374] = {.lex_state = 55},
  [375] = {.lex_state = 55},
  [376] = {.lex_state = 55},
  [377] = {.lex_state = 55},
  [378] = {.lex_state = 55},
  [379] = {.lex_state = 55},
  [380] = {.lex_state = 55},
  [381] = {.lex_state = 55},
  [382] = {.lex_state = 55},
  [383] = {.lex_state = 55},
  [384] = {.lex_state = 55},
  [385] = {.lex_state = 55},
  [386] = {.lex_state = 55},
  [387] = {.lex_state = 55},
  [388] = {.lex_state = 55},
  [389] = {.lex_state = 55, .external_lex_state = 2},
  [390] = {.lex_state = 55, .external_lex_state = 2},
  [391] = {.lex_state = 55},
  [392] = {.lex_state = 55, .external_lex_state = 2},
  [393] = {.lex_state = 55, .external_lex_state = 2},
  [394] = {.lex_state = 55, .external_lex_state = 2},
  [395] = {.lex_state = 55},
  [396] = {.lex_state = 55},
  [397] = {.lex_state = 55},
  [398] = {.lex_state = 55, .external_lex_state = 2},
  [399] = {.lex_state = 55, .external_lex_state = 2},
  [400] = {.lex_state = 55},
  [401] = {.lex_state = 55},
  [402] = {.lex_state = 55, .external_lex_state = 2},
  [403] = {.lex_state = 55},
  [404] = {.lex_state = 55, .external_lex_state = 2},
  [405] = {.lex_state = 55},
  [406] = {.lex_state = 55, .external_lex_state = 2},
  [407] = {.lex_state = 55, .external_lex_state = 2},
  [408] = {.lex_state = 55, .external_lex_state = 2},
  [409] = {.lex_state = 55, .external_lex_state = 2},
  [410] = {.lex_state = 55, .external_lex_state = 2},
  [411] = {.lex_state = 55, .external_lex_state = 2},
  [412] = {.lex_state = 55, .external_lex_state = 2},
  [413] = {.lex_state = 55},
  [414] = {.lex_state = 55},
  [415] = {.lex_state = 55},
  [416] = {.lex_state = 55},
  [417] = {.lex_state = 55},
  [418] = {.lex_state = 55},
  [419] = {.lex_state = 55, .external_lex_state = 2},
  [420] = {.lex_state = 55},
  [421] = {.lex_state = 55, .external_lex_state = 2},
  [422] = {.lex_state = 55, .external_lex_state = 2},
  [423] = {.lex_state = 55},
  [424] = {.lex_state = 55},
  [425] = {.lex_state = 55, .external_lex_state = 2},
  [426] = {.lex_state = 55},
  [427] = {.lex_state = 55},
  [428] = {.lex_state = 55, .external_lex_state = 2},
  [429] = {.lex_state = 55},
  [430] = {.lex_state = 55},
  [431] = {.lex_state = 55},
  [432] = {.lex_state = 55},
  [433] = {.lex_state = 55},
  [434] = {.lex_state = 55, .external_lex_state = 2},
  [435] = {.lex_state = 55},
  [436] = {.lex_state = 55},
  [437] = {.lex_state = 55, .external_lex_state = 2},
  [438] = {.lex_state = 55, .external_lex_state = 2},
  [439] = {.lex_state = 55},
  [440] = {.lex_state = 55, .external_lex_state = 2},
  [441] = {.lex_state = 55},
  [442] = {.lex_state = 55},
  [443] = {.lex_state = 55, .external_lex_state = 2},
  [444] = {.lex_state = 55, .external_lex_state = 2},
  [445] = {.lex_state = 55},
  [446] = {.lex_state = 55},
  [447] = {.lex_state = 55},
  [448] = {.lex_state = 55},
  [449] = {.lex_state = 55, .external_lex_state = 2},
  [450] = {.lex_state = 55},
  [451] = {.lex_state = 55},
  [452] = {.lex_state = 55},
  [453] = {.lex_state = 55},
  [454] = {.lex_state = 55, .external_lex_state = 2},
  [455] = {.lex_state = 55},
  [456] = {.lex_state = 55},
  [457] = {.lex_state = 55, .external_lex_state = 2},
  [458] = {.lex_state = 55},
  [459] = {.lex_state = 55, .external_lex_state = 2},
  [460] = {.lex_state = 55},
  [461] = {.lex_state = 55, .external_lex_state = 2},
  [462] = {.lex_state = 55, .external_lex_state = 2},
  [463] = {.lex_state = 55},
  [464] = {.lex_state = 55, .external_lex_state = 2},
  [465] = {.lex_state = 55, .external_lex_state = 2},
  [466] = {.lex_state = 55, .external_lex_state = 2},
  [467] = {.lex_state = 55, .external_lex_state = 2},
  [468] = {.lex_state = 55, .external_lex_state = 2},
  [469] = {.lex_state = 55, .external_lex_state = 2},
  [470] = {.lex_state = 55, .external_lex_state = 2},
  [471] = {.lex_state = 55},
  [472] = {.lex_state = 55, .external_lex_state = 2},
  [473] = {.lex_state = 55, .external_lex_state = 2},
  [474] = {.lex_state = 55, .external_lex_state = 2},
  [475] = {.lex_state = 55, .external_lex_state = 2},
  [476] = {.lex_state = 55, .external_lex_state = 2},
  [477] = {.lex_state = 55, .external_lex_state = 2},
  [478] = {.lex_state = 55, .external_lex_state = 2},
  [479] = {.lex_state = 55, .external_lex_state = 2},
  [480] = {.lex_state = 55},
  [481] = {.lex_state = 5, .external_lex_state = 2},
  [482] = {.lex_state = 55, .external_lex_state = 2},
  [483] = {.lex_state = 55, .external_lex_state = 2},
  [484] = {.lex_state = 55},
  [485] = {.lex_state = 55},
  [486] = {.lex_state = 55, .external_lex_state = 2},
  [487] = {.lex_state = 55},
  [488] = {.lex_state = 55},
  [489] = {.lex_state = 55, .external_lex_state = 2},
  [490] = {.lex_state = 55, .external_lex_state = 2},
  [491] = {.lex_state = 55, .external_lex_state = 2},
  [492] = {.lex_state = 55, .external_lex_state = 2},
  [493] = {.lex_state = 55, .external_lex_state = 2},
  [494] = {.lex_state = 55, .external_lex_state = 2},
  [495] = {.lex_state = 55, .external_lex_state = 2},
  [496] = {.lex_state = 55, .external_lex_state = 2},
  [497] = {.lex_state = 55, .external_lex_state = 2},
  [498] = {.lex_state = 55, .external_lex_state = 2},
  [499] = {.lex_state = 55},
  [500] = {.lex_state = 55, .external_lex_state = 2},
  [501] = {.lex_state = 55, .external_lex_state = 2},
  [502] = {.lex_state = 55},
  [503] = {.lex_state = 55},
  [504] = {.lex_state = 55, .external_lex_state = 2},
  [505] = {.lex_state = 55, .external_lex_state = 2},
  [506] = {.lex_state = 55, .external_lex_state = 2},
  [507] = {.lex_state = 55, .external_lex_state = 2},
  [508] = {.lex_state = 55, .external_lex_state = 2},
  [509] = {.lex_state = 55},
  [510] = {.lex_state = 55, .external_lex_state = 2},
  [511] = {.lex_state = 55},
  [512] = {.lex_state = 55},
  [513] = {.lex_state = 55, .external_lex_state = 2},
  [514] = {.lex_state = 55, .external_lex_state = 2},
  [515] = {.lex_state = 55, .external_lex_state = 2},
  [516] = {.lex_state = 55, .external_lex_state = 2},
  [517] = {.lex_state = 55, .external_lex_state = 2},
  [518] = {.lex_state = 55},
  [519] = {.lex_state = 55},
  [520] = {.lex_state = 55, .external_lex_state = 2},
  [521] = {.lex_state = 55},
  [522] = {.lex_state = 55, .external_lex_state = 2},
  [523] = {.lex_state = 55, .external_lex_state = 2},
  [524] = {.lex_state = 55},
  [525] = {.lex_state = 55},
  [526] = {.lex_state = 55},
  [527] = {.lex_state = 55},
  [528] = {.lex_state = 55},
  [529] = {.lex_state = 55, .external_lex_state = 2},
  [530] = {.lex_state = 55, .external_lex_state = 2},
  [531] = {.lex_state = 55, .external_lex_state = 2},
  [532] = {.lex_state = 55},
  [533] = {.lex_state = 55},
  [534] = {.lex_state = 55},
  [535] = {.lex_state = 55, .external_lex_state = 2},
  [536] = {.lex_state = 55, .external_lex_state = 2},
  [537] = {.lex_state = 55},
  [538] = {.lex_state = 55, .external_lex_state = 2},
  [539] = {.lex_state = 55},
  [540] = {.lex_state = 55},
  [541] = {.lex_state = 55, .external_lex_state = 2},
  [542] = {.lex_state = 55},
  [543] = {.lex_state = 55},
  [544] = {.lex_state = 55, .external_lex_state = 2},
  [545] = {.lex_state = 55, .external_lex_state = 2},
  [546] = {.lex_state = 55, .external_lex_state = 2},
  [547] = {.lex_state = 55},
  [548] = {.lex_state = 55},
  [549] = {.lex_state = 55, .external_lex_state = 2},
  [550] = {.lex_state = 55},
  [551] = {.lex_state = 55},
  [552] = {.lex_state = 55, .external_lex_state = 2},
  [553] = {.lex_state = 55, .external_lex_state = 2},
  [554] = {.lex_state = 55, .external_lex_state = 2},
  [555] = {.lex_state = 55, .external_lex_state = 2},
  [556] = {.lex_state = 55, .external_lex_state = 2},
  [557] = {.lex_state = 55, .external_lex_state = 2},
  [558] = {.lex_state = 55, .external_lex_state = 2},
  [559] = {.lex_state = 55, .external_lex_state = 2},
  [560] = {.lex_state = 55},
  [561] = {.lex_state = 55, .external_lex_state = 2},
  [562] = {.lex_state = 55},
  [563] = {.lex_state = 55, .external_lex_state = 2},
  [564] = {.lex_state = 55},
  [565] = {.lex_state = 55, .external_lex_state = 2},
  [566] = {.lex_state = 55},
  [567] = {.lex_state = 55, .external_lex_state = 2},
  [568] = {.lex_state = 55},
  [569] = {.lex_state = 55},
  [570] = {.lex_state = 55, .external_lex_state = 2},
  [571] = {.lex_state = 55},
  [572] = {.lex_state = 55, .external_lex_state = 2},
  [573] = {.lex_state = 55},
  [574] = {.lex_state = 55},
  [575] = {.lex_state = 55},
  [576] = {.lex_state = 55},
  [577] = {.lex_state = 55, .external_lex_state = 2},
  [578] = {.lex_state = 55},
  [579] = {.lex_state = 55},
  [580] = {.lex_state = 55},
  [581] = {.lex_state = 55},
  [582] = {.lex_state = 55},
  [583] = {.lex_state = 55},
  [584] = {.lex_state = 55},
  [585] = {.lex_state = 55},
  [586] = {.lex_state = 55},
  [587] = {.lex_state = 55},
  [588] = {.lex_state = 55},
  [589] = {.lex_state = 55},
  [590] = {.lex_state = 55},
  [591] = {.lex_state = 55},
  [592] = {.lex_state = 56},
  [593] = {.lex_state = 56},
  [594] = {.lex_state = 56},
  [595] = {.lex_state = 56},
  [596] = {.lex_state = 56},
  [597] = {.lex_state = 56},
  [598] = {.lex_state = 56},
  [599] = {.lex_state = 56},
  [600] = {.lex_state = 56},
  [601] = {.lex_state = 56},
  [602] = {.lex_state = 56},
  [603] = {.lex_state = 56},
  [604] = {.lex_state = 56},
  [605] = {.lex_state = 56},
  [606] = {.lex_state = 56},
  [607] = {.lex_state = 56},
  [608] = {.lex_state = 56},
  [609] = {.lex_state = 56},
  [610] = {.lex_state = 56},
  [611] = {.lex_state = 56},
  [612] = {.lex_state = 56},
  [613] = {.lex_state = 56},
  [614] = {.lex_state = 56},
  [615] = {.lex_state = 56},
  [616] = {.lex_state = 56},
  [617] = {.lex_state = 56},
  [618] = {.lex_state = 56},
  [619] = {.lex_state = 56},
  [620] = {.lex_state = 56},
  [621] = {.lex_state = 56},
  [622] = {.lex_state = 56},
  [623] = {.lex_state = 56},
  [624] = {.lex_state = 56},
  [625] = {.lex_state = 56},
  [626] = {.lex_state = 56},
  [627] = {.lex_state = 56},
  [628] = {.lex_state = 56},
  [629] = {.lex_state = 56},
  [630] = {.lex_state = 56},
  [631] = {.lex_state = 56, .external_lex_state = 2},
  [632] = {.lex_state = 56},
  [633] = {.lex_state = 56},
  [634] = {.lex_state = 56},
  [635] = {.lex_state = 56, .external_lex_state = 2},
  [636] = {.lex_state = 56},
  [637] = {.lex_state = 56, .external_lex_state = 2},
  [638] = {.lex_state = 56},
  [639] = {.lex_state = 56},
  [640] = {.lex_state = 56, .external_lex_state = 2},
  [641] = {.lex_state = 56},
  [642] = {.lex_state = 56},
  [643] = {.lex_state = 56},
  [644] = {.lex_state = 56, .external_lex_state = 2},
  [645] = {.lex_state = 55},
  [646] = {.lex_state = 56},
  [647] = {.lex_state = 56},
  [648] = {.lex_state = 56},
  [649] = {.lex_state = 56},
  [650] = {.lex_state = 56},
  [651] = {.lex_state = 56},
  [652] = {.lex_state = 56},
  [653] = {.lex_state = 4},
  [654] = {.lex_state = 56},
  [655] = {.lex_state = 56},
  [656] = {.lex_state = 55},
  [657] = {.lex_state = 4},
  [658] = {.lex_state = 56},
  [659] = {.lex_state = 56},
  [660] = {.lex_state = 56},
  [661] = {.lex_state = 4},
  [662] = {.lex_state = 56},
  [663] = {.lex_state = 56},
  [664] = {.lex_state = 56},
  [665] = {.lex_state = 56},
  [666] = {.lex_state = 56},
  [667] = {.lex_state = 56},
  [668] = {.lex_state = 56},
  [669] = {.lex_state = 56},
  [670] = {.lex_state = 56},
  [671] = {.lex_state = 56},
  [672] = {.lex_state = 56},
  [673] = {.lex_state = 56},
  [674] = {.lex_state = 56},
  [675] = {.lex_state = 56},
  [676] = {.lex_state = 56},
  [677] = {.lex_state = 56},
  [678] = {.lex_state = 56},
  [679] = {.lex_state = 16},
  [680] = {.lex_state = 16},
  [681] = {.lex_state = 16},
  [682] = {.lex_state = 16},
  [683] = {.lex_state = 17},
  [684] = {.lex_state = 16},
  [685] = {.lex_state = 16},
  [686] = {.lex_state = 17},
  [687] = {.lex_state = 16},
  [688] = {.lex_state = 17},
  [689] = {.lex_state = 16},
  [690] = {.lex_state = 17},
  [691] = {.lex_state = 17},
  [692] = {.lex_state = 16},
  [693] = {.lex_state = 16},
  [694] = {.lex_state = 16},
  [695] = {.lex_state = 16},
  [696] = {.lex_state = 17},
  [697] = {.lex_state = 17},
  [698] = {.lex_state = 17},
  [699] = {.lex_state = 56},
  [700] = {.lex_state = 56},
  [701] = {.lex_state = 17},
  [702] = {.lex_state = 16},
  [703] = {.lex_state = 16},
  [704] = {.lex_state = 17},
  [705] = {.lex_state = 17},
  [706] = {.lex_state = 16},
  [707] = {.lex_state = 17},
  [708] = {.lex_state = 17},
  [709] = {.lex_state = 16},
  [710] = {.lex_state = 16},
  [711] = {.lex_state = 16},
  [712] = {.lex_state = 16},
  [713] = {.lex_state = 17},
  [714] = {.lex_state = 16},
  [715] = {.lex_state = 17},
  [716] = {.lex_state = 16},
  [717] = {.lex_state = 17},
  [718] = {.lex_state = 17},
  [719] = {.lex_state = 56},
  [720] = {.lex_state = 56},
  [721] = {.lex_state = 56},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 56},
  [725] = {.lex_state = 56},
  [726] = {.lex_state = 56},
  [727] = {.lex_state = 56},
  [728] = {.lex_state = 56},
  [729] = {.lex_state = 56},
  [730] = {.lex_state = 56},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 56},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 56},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 56},
  [737] = {.lex_state = 16},
  [738] = {.lex_state = 56, .external_lex_state = 2},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 16},
  [741] = {.lex_state = 56, .external_lex_state = 2},
  [742] = {.lex_state = 8, .external_lex_state = 3},
  [743] = {.lex_state = 0, .external_lex_state = 2},
  [744] = {.lex_state = 16},
  [745] = {.lex_state = 16},
  [746] = {.lex_state = 56},
  [747] = {.lex_state = 8, .external_lex_state = 3},
  [748] = {.lex_state = 8, .external_lex_state = 3},
  [749] = {.lex_state = 16},
  [750] = {.lex_state = 16},
  [751] = {.lex_state = 16},
  [752] = {.lex_state = 56},
  [753] = {.lex_state = 16},
  [754] = {.lex_state = 56, .external_lex_state = 2},
  [755] = {.lex_state = 16},
  [756] = {.lex_state = 16},
  [757] = {.lex_state = 8, .external_lex_state = 3},
  [758] = {.lex_state = 8, .external_lex_state = 3},
  [759] = {.lex_state = 16},
  [760] = {.lex_state = 16},
  [761] = {.lex_state = 56, .external_lex_state = 2},
  [762] = {.lex_state = 0, .external_lex_state = 2},
  [763] = {.lex_state = 16},
  [764] = {.lex_state = 16},
  [765] = {.lex_state = 56, .external_lex_state = 2},
  [766] = {.lex_state = 56, .external_lex_state = 2},
  [767] = {.lex_state = 56, .external_lex_state = 2},
  [768] = {.lex_state = 56},
  [769] = {.lex_state = 56},
  [770] = {.lex_state = 56, .external_lex_state = 2},
  [771] = {.lex_state = 56, .external_lex_state = 2},
  [772] = {.lex_state = 16},
  [773] = {.lex_state = 16},
  [774] = {.lex_state = 56},
  [775] = {.lex_state = 56},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0, .external_lex_state = 2},
  [778] = {.lex_state = 56},
  [779] = {.lex_state = 16},
  [780] = {.lex_state = 16},
  [781] = {.lex_state = 56},
  [782] = {.lex_state = 16},
  [783] = {.lex_state = 16},
  [784] = {.lex_state = 16},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 56},
  [787] = {.lex_state = 16},
  [788] = {.lex_state = 16},
  [789] = {.lex_state = 16},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 16},
  [792] = {.lex_state = 16},
  [793] = {.lex_state = 16},
  [794] = {.lex_state = 16},
  [795] = {.lex_state = 56},
  [796] = {.lex_state = 16},
  [797] = {.lex_state = 16},
  [798] = {.lex_state = 16},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 16},
  [801] = {.lex_state = 56},
  [802] = {.lex_state = 16},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 16},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 56},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 56},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 56, .external_lex_state = 2},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 56},
  [814] = {.lex_state = 56},
  [815] = {.lex_state = 56},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 56},
  [818] = {.lex_state = 56},
  [819] = {.lex_state = 7},
  [820] = {.lex_state = 56},
  [821] = {.lex_state = 0, .external_lex_state = 2},
  [822] = {.lex_state = 8, .external_lex_state = 3},
  [823] = {.lex_state = 56},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 56},
  [826] = {.lex_state = 56},
  [827] = {.lex_state = 7},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 56},
  [832] = {.lex_state = 16},
  [833] = {.lex_state = 56},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 56},
  [836] = {.lex_state = 56},
  [837] = {.lex_state = 0, .external_lex_state = 2},
  [838] = {.lex_state = 0, .external_lex_state = 2},
  [839] = {.lex_state = 0, .external_lex_state = 2},
  [840] = {.lex_state = 0, .external_lex_state = 2},
  [841] = {.lex_state = 56},
  [842] = {.lex_state = 0, .external_lex_state = 2},
  [843] = {.lex_state = 16},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 56},
  [847] = {.lex_state = 56},
  [848] = {.lex_state = 56},
  [849] = {.lex_state = 7},
  [850] = {.lex_state = 56},
  [851] = {.lex_state = 16},
  [852] = {.lex_state = 56},
  [853] = {.lex_state = 56},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 7},
  [856] = {.lex_state = 56},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 56},
  [859] = {.lex_state = 0, .external_lex_state = 2},
  [860] = {.lex_state = 7},
  [861] = {.lex_state = 10},
  [862] = {.lex_state = 7},
  [863] = {.lex_state = 56},
  [864] = {.lex_state = 16},
  [865] = {.lex_state = 56},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 7},
  [868] = {.lex_state = 10},
  [869] = {.lex_state = 56},
  [870] = {.lex_state = 56},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 56},
  [873] = {.lex_state = 56},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 17},
  [878] = {.lex_state = 17},
  [879] = {.lex_state = 17},
  [880] = {.lex_state = 56},
  [881] = {.lex_state = 56, .external_lex_state = 2},
  [882] = {.lex_state = 17},
  [883] = {.lex_state = 17},
  [884] = {.lex_state = 17},
  [885] = {.lex_state = 56, .external_lex_state = 2},
  [886] = {.lex_state = 56},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 56},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 56},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 56, .external_lex_state = 2},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 56},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 56},
  [914] = {.lex_state = 56},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 17},
  [917] = {.lex_state = 56, .external_lex_state = 2},
  [918] = {.lex_state = 56},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 3},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0, .external_lex_state = 2},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 3},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 56, .external_lex_state = 2},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 17},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 17},
  [958] = {.lex_state = 56, .external_lex_state = 2},
  [959] = {.lex_state = 56, .external_lex_state = 2},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 56},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0, .external_lex_state = 2},
  [966] = {.lex_state = 56},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 3},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 17},
  [972] = {.lex_state = 3},
  [973] = {.lex_state = 17},
  [974] = {.lex_state = 0, .external_lex_state = 2},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 3},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0, .external_lex_state = 2},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0, .external_lex_state = 2},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0, .external_lex_state = 2},
  [1012] = {.lex_state = 3},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0, .external_lex_state = 2},
  [1031] = {.lex_state = 56},
  [1032] = {.lex_state = 0, .external_lex_state = 2},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 56},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0, .external_lex_state = 2},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 56},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 56},
  [1045] = {.lex_state = 0, .external_lex_state = 2},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0, .external_lex_state = 2},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 16},
  [1057] = {.lex_state = 56},
  [1058] = {.lex_state = 0, .external_lex_state = 2},
  [1059] = {.lex_state = 0, .external_lex_state = 2},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0, .external_lex_state = 2},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0, .external_lex_state = 2},
  [1073] = {.lex_state = 56},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 3},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0, .external_lex_state = 2},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 56},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 3},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 56},
  [1100] = {.lex_state = 0, .external_lex_state = 2},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 56},
  [1103] = {.lex_state = 56},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 56},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 56},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 56},
  [1123] = {.lex_state = 1},
  [1124] = {.lex_state = 56},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 56},
  [1133] = {.lex_state = 56},
  [1134] = {.lex_state = 56},
  [1135] = {.lex_state = 56},
  [1136] = {.lex_state = 56},
  [1137] = {.lex_state = 56},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 56},
  [1140] = {.lex_state = 56},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 56},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 56},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 8},
  [1149] = {.lex_state = 8},
  [1150] = {.lex_state = 56},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 56},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 56},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 56},
  [1159] = {.lex_state = 56},
  [1160] = {.lex_state = 56},
  [1161] = {.lex_state = 56},
  [1162] = {.lex_state = 56},
  [1163] = {.lex_state = 56},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 56},
  [1166] = {.lex_state = 56},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 56},
  [1171] = {.lex_state = 56},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 56},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 56},
  [1177] = {.lex_state = 56},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 56},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 56},
  [1185] = {.lex_state = 56},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 56},
  [1189] = {.lex_state = 56},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 56},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 56},
  [1195] = {.lex_state = 56},
  [1196] = {.lex_state = 56},
  [1197] = {.lex_state = 56},
  [1198] = {.lex_state = 1},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 56},
  [1201] = {.lex_state = 56},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 56},
  [1204] = {.lex_state = 56},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 56},
  [1208] = {.lex_state = 56},
  [1209] = {.lex_state = 56},
  [1210] = {.lex_state = 56},
  [1211] = {.lex_state = 56},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1192),
    [sym_export_statement] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [2] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1181),
    [sym_object_assignment_pattern] = STATE(897),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1181),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1181),
    [sym_spread_element] = STATE(898),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(507),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [sym_rest_pattern] = STATE(897),
    [sym_method_definition] = STATE(898),
    [sym_pair] = STATE(898),
    [sym_pair_pattern] = STATE(897),
    [sym__property_name] = STATE(899),
    [sym_computed_property_name] = STATE(899),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(630),
    [aux_sym_object_repeat1] = STATE(900),
    [aux_sym_object_pattern_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [3] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1181),
    [sym_object_assignment_pattern] = STATE(897),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1181),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1181),
    [sym_spread_element] = STATE(898),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(507),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [sym_rest_pattern] = STATE(897),
    [sym_method_definition] = STATE(898),
    [sym_pair] = STATE(898),
    [sym_pair_pattern] = STATE(897),
    [sym__property_name] = STATE(899),
    [sym_computed_property_name] = STATE(899),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(630),
    [aux_sym_object_repeat1] = STATE(900),
    [aux_sym_object_pattern_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [4] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1181),
    [sym_object_assignment_pattern] = STATE(897),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1181),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1181),
    [sym_spread_element] = STATE(890),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(507),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [sym_rest_pattern] = STATE(897),
    [sym_method_definition] = STATE(890),
    [sym_pair] = STATE(890),
    [sym_pair_pattern] = STATE(897),
    [sym__property_name] = STATE(899),
    [sym_computed_property_name] = STATE(899),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(630),
    [aux_sym_object_repeat1] = STATE(892),
    [aux_sym_object_pattern_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(119),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
  },
  [5] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1181),
    [sym_object_assignment_pattern] = STATE(897),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1181),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1181),
    [sym_spread_element] = STATE(898),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(507),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [sym_rest_pattern] = STATE(897),
    [sym_method_definition] = STATE(898),
    [sym_pair] = STATE(898),
    [sym_pair_pattern] = STATE(897),
    [sym__property_name] = STATE(899),
    [sym_computed_property_name] = STATE(899),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(630),
    [aux_sym_object_repeat1] = STATE(900),
    [aux_sym_object_pattern_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [6] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1181),
    [sym_object_assignment_pattern] = STATE(897),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1181),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1181),
    [sym_spread_element] = STATE(890),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(507),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [sym_rest_pattern] = STATE(897),
    [sym_method_definition] = STATE(890),
    [sym_pair] = STATE(890),
    [sym_pair_pattern] = STATE(897),
    [sym__property_name] = STATE(899),
    [sym_computed_property_name] = STATE(899),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(630),
    [aux_sym_object_repeat1] = STATE(892),
    [aux_sym_object_pattern_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
  },
  [7] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(139),
    [anon_sym_export] = ACTIONS(142),
    [anon_sym_default] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(150),
    [anon_sym_var] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(156),
    [anon_sym_const] = ACTIONS(156),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_switch] = ACTIONS(162),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_while] = ACTIONS(174),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(180),
    [anon_sym_with] = ACTIONS(183),
    [anon_sym_break] = ACTIONS(186),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(192),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(198),
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_case] = ACTIONS(145),
    [anon_sym_yield] = ACTIONS(204),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(210),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_class] = ACTIONS(216),
    [anon_sym_async] = ACTIONS(219),
    [anon_sym_function] = ACTIONS(222),
    [anon_sym_new] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(228),
    [anon_sym_DASH] = ACTIONS(228),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(234),
    [anon_sym_void] = ACTIONS(234),
    [anon_sym_delete] = ACTIONS(234),
    [anon_sym_PLUS_PLUS] = ACTIONS(237),
    [anon_sym_DASH_DASH] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(240),
    [anon_sym_SQUOTE] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_number] = ACTIONS(249),
    [sym_this] = ACTIONS(252),
    [sym_super] = ACTIONS(252),
    [sym_true] = ACTIONS(252),
    [sym_false] = ACTIONS(252),
    [sym_null] = ACTIONS(252),
    [sym_undefined] = ACTIONS(252),
    [anon_sym_AT] = ACTIONS(255),
    [anon_sym_static] = ACTIONS(258),
    [anon_sym_get] = ACTIONS(258),
    [anon_sym_set] = ACTIONS(258),
  },
  [8] = {
    [sym_export_statement] = STATE(11),
    [sym_declaration] = STATE(11),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [9] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(265),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [10] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(269),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [11] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [12] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [13] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [14] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [15] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [16] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [ts_builtin_sym_end] = ACTIONS(285),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [17] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [18] = {
    [sym_export_statement] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [19] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [ts_builtin_sym_end] = ACTIONS(289),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [20] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [21] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [22] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [23] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [24] = {
    [sym_export_statement] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [ts_builtin_sym_end] = ACTIONS(285),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [25] = {
    [sym_export_statement] = STATE(245),
    [sym_declaration] = STATE(245),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(245),
    [sym_expression_statement] = STATE(245),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(245),
    [sym_if_statement] = STATE(245),
    [sym_switch_statement] = STATE(245),
    [sym_for_statement] = STATE(245),
    [sym_for_in_statement] = STATE(245),
    [sym_while_statement] = STATE(245),
    [sym_do_statement] = STATE(245),
    [sym_try_statement] = STATE(245),
    [sym_with_statement] = STATE(245),
    [sym_break_statement] = STATE(245),
    [sym_continue_statement] = STATE(245),
    [sym_debugger_statement] = STATE(245),
    [sym_return_statement] = STATE(245),
    [sym_throw_statement] = STATE(245),
    [sym_empty_statement] = STATE(245),
    [sym_labeled_statement] = STATE(245),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [26] = {
    [sym_export_statement] = STATE(914),
    [sym_declaration] = STATE(914),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(914),
    [sym_if_statement] = STATE(914),
    [sym_switch_statement] = STATE(914),
    [sym_for_statement] = STATE(914),
    [sym_for_in_statement] = STATE(914),
    [sym_while_statement] = STATE(914),
    [sym_do_statement] = STATE(914),
    [sym_try_statement] = STATE(914),
    [sym_with_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_debugger_statement] = STATE(914),
    [sym_return_statement] = STATE(914),
    [sym_throw_statement] = STATE(914),
    [sym_empty_statement] = STATE(914),
    [sym_labeled_statement] = STATE(914),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [27] = {
    [sym_export_statement] = STATE(248),
    [sym_declaration] = STATE(248),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(248),
    [sym_expression_statement] = STATE(248),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_for_in_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_statement] = STATE(248),
    [sym_try_statement] = STATE(248),
    [sym_with_statement] = STATE(248),
    [sym_break_statement] = STATE(248),
    [sym_continue_statement] = STATE(248),
    [sym_debugger_statement] = STATE(248),
    [sym_return_statement] = STATE(248),
    [sym_throw_statement] = STATE(248),
    [sym_empty_statement] = STATE(248),
    [sym_labeled_statement] = STATE(248),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [28] = {
    [sym_export_statement] = STATE(226),
    [sym_declaration] = STATE(226),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(226),
    [sym_expression_statement] = STATE(226),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_for_in_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_statement] = STATE(226),
    [sym_try_statement] = STATE(226),
    [sym_with_statement] = STATE(226),
    [sym_break_statement] = STATE(226),
    [sym_continue_statement] = STATE(226),
    [sym_debugger_statement] = STATE(226),
    [sym_return_statement] = STATE(226),
    [sym_throw_statement] = STATE(226),
    [sym_empty_statement] = STATE(226),
    [sym_labeled_statement] = STATE(226),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [29] = {
    [sym_export_statement] = STATE(248),
    [sym_declaration] = STATE(248),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(248),
    [sym_expression_statement] = STATE(248),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_for_in_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_statement] = STATE(248),
    [sym_try_statement] = STATE(248),
    [sym_with_statement] = STATE(248),
    [sym_break_statement] = STATE(248),
    [sym_continue_statement] = STATE(248),
    [sym_debugger_statement] = STATE(248),
    [sym_return_statement] = STATE(248),
    [sym_throw_statement] = STATE(248),
    [sym_empty_statement] = STATE(248),
    [sym_labeled_statement] = STATE(248),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [30] = {
    [sym_export_statement] = STATE(261),
    [sym_declaration] = STATE(261),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(261),
    [sym_expression_statement] = STATE(261),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(261),
    [sym_if_statement] = STATE(261),
    [sym_switch_statement] = STATE(261),
    [sym_for_statement] = STATE(261),
    [sym_for_in_statement] = STATE(261),
    [sym_while_statement] = STATE(261),
    [sym_do_statement] = STATE(261),
    [sym_try_statement] = STATE(261),
    [sym_with_statement] = STATE(261),
    [sym_break_statement] = STATE(261),
    [sym_continue_statement] = STATE(261),
    [sym_debugger_statement] = STATE(261),
    [sym_return_statement] = STATE(261),
    [sym_throw_statement] = STATE(261),
    [sym_empty_statement] = STATE(261),
    [sym_labeled_statement] = STATE(261),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [31] = {
    [sym_export_statement] = STATE(281),
    [sym_declaration] = STATE(281),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(281),
    [sym_expression_statement] = STATE(281),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(281),
    [sym_if_statement] = STATE(281),
    [sym_switch_statement] = STATE(281),
    [sym_for_statement] = STATE(281),
    [sym_for_in_statement] = STATE(281),
    [sym_while_statement] = STATE(281),
    [sym_do_statement] = STATE(281),
    [sym_try_statement] = STATE(281),
    [sym_with_statement] = STATE(281),
    [sym_break_statement] = STATE(281),
    [sym_continue_statement] = STATE(281),
    [sym_debugger_statement] = STATE(281),
    [sym_return_statement] = STATE(281),
    [sym_throw_statement] = STATE(281),
    [sym_empty_statement] = STATE(281),
    [sym_labeled_statement] = STATE(281),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [32] = {
    [sym_export_statement] = STATE(1120),
    [sym_declaration] = STATE(1120),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(1120),
    [sym_expression_statement] = STATE(1120),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(1120),
    [sym_if_statement] = STATE(1120),
    [sym_switch_statement] = STATE(1120),
    [sym_for_statement] = STATE(1120),
    [sym_for_in_statement] = STATE(1120),
    [sym_while_statement] = STATE(1120),
    [sym_do_statement] = STATE(1120),
    [sym_try_statement] = STATE(1120),
    [sym_with_statement] = STATE(1120),
    [sym_break_statement] = STATE(1120),
    [sym_continue_statement] = STATE(1120),
    [sym_debugger_statement] = STATE(1120),
    [sym_return_statement] = STATE(1120),
    [sym_throw_statement] = STATE(1120),
    [sym_empty_statement] = STATE(1120),
    [sym_labeled_statement] = STATE(1120),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [33] = {
    [sym_export_statement] = STATE(271),
    [sym_declaration] = STATE(271),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(271),
    [sym_expression_statement] = STATE(271),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(271),
    [sym_if_statement] = STATE(271),
    [sym_switch_statement] = STATE(271),
    [sym_for_statement] = STATE(271),
    [sym_for_in_statement] = STATE(271),
    [sym_while_statement] = STATE(271),
    [sym_do_statement] = STATE(271),
    [sym_try_statement] = STATE(271),
    [sym_with_statement] = STATE(271),
    [sym_break_statement] = STATE(271),
    [sym_continue_statement] = STATE(271),
    [sym_debugger_statement] = STATE(271),
    [sym_return_statement] = STATE(271),
    [sym_throw_statement] = STATE(271),
    [sym_empty_statement] = STATE(271),
    [sym_labeled_statement] = STATE(271),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [34] = {
    [sym_export_statement] = STATE(246),
    [sym_declaration] = STATE(246),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(246),
    [sym_expression_statement] = STATE(246),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(246),
    [sym_if_statement] = STATE(246),
    [sym_switch_statement] = STATE(246),
    [sym_for_statement] = STATE(246),
    [sym_for_in_statement] = STATE(246),
    [sym_while_statement] = STATE(246),
    [sym_do_statement] = STATE(246),
    [sym_try_statement] = STATE(246),
    [sym_with_statement] = STATE(246),
    [sym_break_statement] = STATE(246),
    [sym_continue_statement] = STATE(246),
    [sym_debugger_statement] = STATE(246),
    [sym_return_statement] = STATE(246),
    [sym_throw_statement] = STATE(246),
    [sym_empty_statement] = STATE(246),
    [sym_labeled_statement] = STATE(246),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [35] = {
    [sym_export_statement] = STATE(244),
    [sym_declaration] = STATE(244),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(244),
    [sym_expression_statement] = STATE(244),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(244),
    [sym_if_statement] = STATE(244),
    [sym_switch_statement] = STATE(244),
    [sym_for_statement] = STATE(244),
    [sym_for_in_statement] = STATE(244),
    [sym_while_statement] = STATE(244),
    [sym_do_statement] = STATE(244),
    [sym_try_statement] = STATE(244),
    [sym_with_statement] = STATE(244),
    [sym_break_statement] = STATE(244),
    [sym_continue_statement] = STATE(244),
    [sym_debugger_statement] = STATE(244),
    [sym_return_statement] = STATE(244),
    [sym_throw_statement] = STATE(244),
    [sym_empty_statement] = STATE(244),
    [sym_labeled_statement] = STATE(244),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [36] = {
    [sym_export_statement] = STATE(271),
    [sym_declaration] = STATE(271),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(271),
    [sym_expression_statement] = STATE(271),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(271),
    [sym_if_statement] = STATE(271),
    [sym_switch_statement] = STATE(271),
    [sym_for_statement] = STATE(271),
    [sym_for_in_statement] = STATE(271),
    [sym_while_statement] = STATE(271),
    [sym_do_statement] = STATE(271),
    [sym_try_statement] = STATE(271),
    [sym_with_statement] = STATE(271),
    [sym_break_statement] = STATE(271),
    [sym_continue_statement] = STATE(271),
    [sym_debugger_statement] = STATE(271),
    [sym_return_statement] = STATE(271),
    [sym_throw_statement] = STATE(271),
    [sym_empty_statement] = STATE(271),
    [sym_labeled_statement] = STATE(271),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [37] = {
    [sym_export_statement] = STATE(244),
    [sym_declaration] = STATE(244),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(244),
    [sym_expression_statement] = STATE(244),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(244),
    [sym_if_statement] = STATE(244),
    [sym_switch_statement] = STATE(244),
    [sym_for_statement] = STATE(244),
    [sym_for_in_statement] = STATE(244),
    [sym_while_statement] = STATE(244),
    [sym_do_statement] = STATE(244),
    [sym_try_statement] = STATE(244),
    [sym_with_statement] = STATE(244),
    [sym_break_statement] = STATE(244),
    [sym_continue_statement] = STATE(244),
    [sym_debugger_statement] = STATE(244),
    [sym_return_statement] = STATE(244),
    [sym_throw_statement] = STATE(244),
    [sym_empty_statement] = STATE(244),
    [sym_labeled_statement] = STATE(244),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [38] = {
    [sym_export_statement] = STATE(279),
    [sym_declaration] = STATE(279),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(279),
    [sym_expression_statement] = STATE(279),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(279),
    [sym_if_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_for_statement] = STATE(279),
    [sym_for_in_statement] = STATE(279),
    [sym_while_statement] = STATE(279),
    [sym_do_statement] = STATE(279),
    [sym_try_statement] = STATE(279),
    [sym_with_statement] = STATE(279),
    [sym_break_statement] = STATE(279),
    [sym_continue_statement] = STATE(279),
    [sym_debugger_statement] = STATE(279),
    [sym_return_statement] = STATE(279),
    [sym_throw_statement] = STATE(279),
    [sym_empty_statement] = STATE(279),
    [sym_labeled_statement] = STATE(279),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [39] = {
    [sym_export_statement] = STATE(279),
    [sym_declaration] = STATE(279),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(279),
    [sym_expression_statement] = STATE(279),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(279),
    [sym_if_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_for_statement] = STATE(279),
    [sym_for_in_statement] = STATE(279),
    [sym_while_statement] = STATE(279),
    [sym_do_statement] = STATE(279),
    [sym_try_statement] = STATE(279),
    [sym_with_statement] = STATE(279),
    [sym_break_statement] = STATE(279),
    [sym_continue_statement] = STATE(279),
    [sym_debugger_statement] = STATE(279),
    [sym_return_statement] = STATE(279),
    [sym_throw_statement] = STATE(279),
    [sym_empty_statement] = STATE(279),
    [sym_labeled_statement] = STATE(279),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [40] = {
    [sym_export_statement] = STATE(245),
    [sym_declaration] = STATE(245),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(245),
    [sym_expression_statement] = STATE(245),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(245),
    [sym_if_statement] = STATE(245),
    [sym_switch_statement] = STATE(245),
    [sym_for_statement] = STATE(245),
    [sym_for_in_statement] = STATE(245),
    [sym_while_statement] = STATE(245),
    [sym_do_statement] = STATE(245),
    [sym_try_statement] = STATE(245),
    [sym_with_statement] = STATE(245),
    [sym_break_statement] = STATE(245),
    [sym_continue_statement] = STATE(245),
    [sym_debugger_statement] = STATE(245),
    [sym_return_statement] = STATE(245),
    [sym_throw_statement] = STATE(245),
    [sym_empty_statement] = STATE(245),
    [sym_labeled_statement] = STATE(245),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [41] = {
    [sym_export_statement] = STATE(261),
    [sym_declaration] = STATE(261),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(261),
    [sym_expression_statement] = STATE(261),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(261),
    [sym_if_statement] = STATE(261),
    [sym_switch_statement] = STATE(261),
    [sym_for_statement] = STATE(261),
    [sym_for_in_statement] = STATE(261),
    [sym_while_statement] = STATE(261),
    [sym_do_statement] = STATE(261),
    [sym_try_statement] = STATE(261),
    [sym_with_statement] = STATE(261),
    [sym_break_statement] = STATE(261),
    [sym_continue_statement] = STATE(261),
    [sym_debugger_statement] = STATE(261),
    [sym_return_statement] = STATE(261),
    [sym_throw_statement] = STATE(261),
    [sym_empty_statement] = STATE(261),
    [sym_labeled_statement] = STATE(261),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [42] = {
    [sym_export_statement] = STATE(246),
    [sym_declaration] = STATE(246),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(246),
    [sym_expression_statement] = STATE(246),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(246),
    [sym_if_statement] = STATE(246),
    [sym_switch_statement] = STATE(246),
    [sym_for_statement] = STATE(246),
    [sym_for_in_statement] = STATE(246),
    [sym_while_statement] = STATE(246),
    [sym_do_statement] = STATE(246),
    [sym_try_statement] = STATE(246),
    [sym_with_statement] = STATE(246),
    [sym_break_statement] = STATE(246),
    [sym_continue_statement] = STATE(246),
    [sym_debugger_statement] = STATE(246),
    [sym_return_statement] = STATE(246),
    [sym_throw_statement] = STATE(246),
    [sym_empty_statement] = STATE(246),
    [sym_labeled_statement] = STATE(246),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [43] = {
    [sym_export_statement] = STATE(281),
    [sym_declaration] = STATE(281),
    [sym_import] = STATE(553),
    [sym_import_statement] = STATE(281),
    [sym_expression_statement] = STATE(281),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_statement_block] = STATE(281),
    [sym_if_statement] = STATE(281),
    [sym_switch_statement] = STATE(281),
    [sym_for_statement] = STATE(281),
    [sym_for_in_statement] = STATE(281),
    [sym_while_statement] = STATE(281),
    [sym_do_statement] = STATE(281),
    [sym_try_statement] = STATE(281),
    [sym_with_statement] = STATE(281),
    [sym_break_statement] = STATE(281),
    [sym_continue_statement] = STATE(281),
    [sym_debugger_statement] = STATE(281),
    [sym_return_statement] = STATE(281),
    [sym_throw_statement] = STATE(281),
    [sym_empty_statement] = STATE(281),
    [sym_labeled_statement] = STATE(281),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_class_declaration] = STATE(251),
    [sym_function] = STATE(553),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function] = STATE(553),
    [sym_generator_function_declaration] = STATE(251),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [44] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(358),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_in] = ACTIONS(337),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_LT] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_QMARK_DOT] = ACTIONS(329),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(337),
    [anon_sym_AMP_AMP] = ACTIONS(329),
    [anon_sym_PIPE_PIPE] = ACTIONS(329),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(329),
    [anon_sym_LT_LT] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(329),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(329),
    [anon_sym_STAR_STAR] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(329),
    [anon_sym_BANG_EQ] = ACTIONS(337),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(329),
    [anon_sym_QMARK_QMARK] = ACTIONS(329),
    [anon_sym_instanceof] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [45] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(399),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_STAR] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_QMARK_DOT] = ACTIONS(329),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(337),
    [anon_sym_AMP_AMP] = ACTIONS(329),
    [anon_sym_PIPE_PIPE] = ACTIONS(329),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(329),
    [anon_sym_LT_LT] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(329),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(329),
    [anon_sym_STAR_STAR] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(329),
    [anon_sym_BANG_EQ] = ACTIONS(337),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(329),
    [anon_sym_QMARK_QMARK] = ACTIONS(329),
    [anon_sym_instanceof] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
    [sym__automatic_semicolon] = ACTIONS(329),
  },
  [46] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(534),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_STAR] = ACTIONS(395),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_in] = ACTIONS(337),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_QMARK_DOT] = ACTIONS(329),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(337),
    [anon_sym_AMP_AMP] = ACTIONS(329),
    [anon_sym_PIPE_PIPE] = ACTIONS(329),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(329),
    [anon_sym_LT_LT] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(329),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_PERCENT] = ACTIONS(329),
    [anon_sym_STAR_STAR] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(329),
    [anon_sym_BANG_EQ] = ACTIONS(337),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(329),
    [anon_sym_QMARK_QMARK] = ACTIONS(329),
    [anon_sym_instanceof] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(417),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(421),
    [anon_sym_default] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_var] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_const] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_try] = ACTIONS(419),
    [anon_sym_with] = ACTIONS(419),
    [anon_sym_break] = ACTIONS(419),
    [anon_sym_continue] = ACTIONS(419),
    [anon_sym_debugger] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(419),
    [anon_sym_throw] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(419),
    [anon_sym_yield] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(419),
    [anon_sym_QMARK_DOT] = ACTIONS(423),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_DASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_QMARK_QMARK] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(417),
    [anon_sym_DASH_DASH] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(417),
    [sym_number] = ACTIONS(417),
    [sym_this] = ACTIONS(419),
    [sym_super] = ACTIONS(419),
    [sym_true] = ACTIONS(419),
    [sym_false] = ACTIONS(419),
    [sym_null] = ACTIONS(419),
    [sym_undefined] = ACTIONS(419),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [sym__automatic_semicolon] = ACTIONS(427),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(429),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_export] = ACTIONS(431),
    [anon_sym_STAR] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(429),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_var] = ACTIONS(431),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_else] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_switch] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_in] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(431),
    [anon_sym_do] = ACTIONS(431),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_with] = ACTIONS(431),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [anon_sym_debugger] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(431),
    [anon_sym_throw] = ACTIONS(431),
    [anon_sym_SEMI] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(431),
    [anon_sym_yield] = ACTIONS(431),
    [anon_sym_LBRACK] = ACTIONS(429),
    [anon_sym_LT] = ACTIONS(431),
    [anon_sym_GT] = ACTIONS(431),
    [anon_sym_SLASH] = ACTIONS(431),
    [anon_sym_DOT] = ACTIONS(431),
    [anon_sym_class] = ACTIONS(431),
    [anon_sym_async] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_QMARK_DOT] = ACTIONS(429),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_AMP_AMP] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(429),
    [anon_sym_GT_GT] = ACTIONS(431),
    [anon_sym_GT_GT_GT] = ACTIONS(429),
    [anon_sym_LT_LT] = ACTIONS(429),
    [anon_sym_AMP] = ACTIONS(431),
    [anon_sym_CARET] = ACTIONS(429),
    [anon_sym_PIPE] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(431),
    [anon_sym_DASH] = ACTIONS(431),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(429),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_EQ_EQ] = ACTIONS(431),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(431),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(429),
    [anon_sym_QMARK_QMARK] = ACTIONS(429),
    [anon_sym_instanceof] = ACTIONS(431),
    [anon_sym_BANG] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(429),
    [anon_sym_typeof] = ACTIONS(431),
    [anon_sym_void] = ACTIONS(431),
    [anon_sym_delete] = ACTIONS(431),
    [anon_sym_PLUS_PLUS] = ACTIONS(429),
    [anon_sym_DASH_DASH] = ACTIONS(429),
    [anon_sym_DQUOTE] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(429),
    [sym_number] = ACTIONS(429),
    [sym_this] = ACTIONS(431),
    [sym_super] = ACTIONS(431),
    [sym_true] = ACTIONS(431),
    [sym_false] = ACTIONS(431),
    [sym_null] = ACTIONS(431),
    [sym_undefined] = ACTIONS(431),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_static] = ACTIONS(431),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [sym__automatic_semicolon] = ACTIONS(429),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(433),
    [sym_identifier] = ACTIONS(435),
    [anon_sym_export] = ACTIONS(435),
    [anon_sym_STAR] = ACTIONS(437),
    [anon_sym_default] = ACTIONS(435),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_import] = ACTIONS(435),
    [anon_sym_var] = ACTIONS(435),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_const] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_await] = ACTIONS(435),
    [anon_sym_in] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(435),
    [anon_sym_do] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_with] = ACTIONS(435),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(435),
    [anon_sym_debugger] = ACTIONS(435),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_throw] = ACTIONS(435),
    [anon_sym_SEMI] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(435),
    [anon_sym_LBRACK] = ACTIONS(433),
    [anon_sym_LT] = ACTIONS(435),
    [anon_sym_GT] = ACTIONS(437),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_DOT] = ACTIONS(437),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_async] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_QMARK_DOT] = ACTIONS(439),
    [anon_sym_new] = ACTIONS(435),
    [anon_sym_QMARK] = ACTIONS(437),
    [anon_sym_AMP_AMP] = ACTIONS(439),
    [anon_sym_PIPE_PIPE] = ACTIONS(439),
    [anon_sym_GT_GT] = ACTIONS(437),
    [anon_sym_GT_GT_GT] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(439),
    [anon_sym_AMP] = ACTIONS(437),
    [anon_sym_CARET] = ACTIONS(439),
    [anon_sym_PIPE] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_DASH] = ACTIONS(435),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_STAR_STAR] = ACTIONS(439),
    [anon_sym_LT_EQ] = ACTIONS(439),
    [anon_sym_EQ_EQ] = ACTIONS(437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(439),
    [anon_sym_BANG_EQ] = ACTIONS(437),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(439),
    [anon_sym_GT_EQ] = ACTIONS(439),
    [anon_sym_QMARK_QMARK] = ACTIONS(439),
    [anon_sym_instanceof] = ACTIONS(437),
    [anon_sym_BANG] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(433),
    [anon_sym_typeof] = ACTIONS(435),
    [anon_sym_void] = ACTIONS(435),
    [anon_sym_delete] = ACTIONS(435),
    [anon_sym_PLUS_PLUS] = ACTIONS(433),
    [anon_sym_DASH_DASH] = ACTIONS(433),
    [anon_sym_DQUOTE] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_number] = ACTIONS(433),
    [sym_this] = ACTIONS(435),
    [sym_super] = ACTIONS(435),
    [sym_true] = ACTIONS(435),
    [sym_false] = ACTIONS(435),
    [sym_null] = ACTIONS(435),
    [sym_undefined] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(433),
    [anon_sym_static] = ACTIONS(435),
    [anon_sym_get] = ACTIONS(435),
    [anon_sym_set] = ACTIONS(435),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(445),
    [anon_sym_STAR] = ACTIONS(445),
    [anon_sym_default] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_import] = ACTIONS(445),
    [anon_sym_var] = ACTIONS(445),
    [anon_sym_let] = ACTIONS(445),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_else] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_in] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_try] = ACTIONS(445),
    [anon_sym_with] = ACTIONS(445),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(445),
    [anon_sym_debugger] = ACTIONS(445),
    [anon_sym_return] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(445),
    [anon_sym_class] = ACTIONS(445),
    [anon_sym_async] = ACTIONS(445),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_QMARK_DOT] = ACTIONS(443),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_GT_GT_GT] = ACTIONS(443),
    [anon_sym_LT_LT] = ACTIONS(443),
    [anon_sym_AMP] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(443),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(443),
    [anon_sym_STAR_STAR] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_EQ_EQ] = ACTIONS(445),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(445),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(443),
    [anon_sym_instanceof] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_typeof] = ACTIONS(445),
    [anon_sym_void] = ACTIONS(445),
    [anon_sym_delete] = ACTIONS(445),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(443),
    [sym_number] = ACTIONS(443),
    [sym_this] = ACTIONS(445),
    [sym_super] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_undefined] = ACTIONS(445),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_static] = ACTIONS(445),
    [anon_sym_get] = ACTIONS(445),
    [anon_sym_set] = ACTIONS(445),
    [sym__automatic_semicolon] = ACTIONS(443),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(447),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(449),
    [anon_sym_STAR] = ACTIONS(451),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_COMMA] = ACTIONS(453),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_var] = ACTIONS(449),
    [anon_sym_let] = ACTIONS(449),
    [anon_sym_const] = ACTIONS(449),
    [anon_sym_else] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_switch] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_in] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_with] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(449),
    [anon_sym_continue] = ACTIONS(449),
    [anon_sym_debugger] = ACTIONS(449),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(447),
    [anon_sym_case] = ACTIONS(449),
    [anon_sym_yield] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_LT] = ACTIONS(449),
    [anon_sym_GT] = ACTIONS(451),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_DOT] = ACTIONS(451),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(449),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_QMARK_DOT] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(451),
    [anon_sym_AMP_AMP] = ACTIONS(453),
    [anon_sym_PIPE_PIPE] = ACTIONS(453),
    [anon_sym_GT_GT] = ACTIONS(451),
    [anon_sym_GT_GT_GT] = ACTIONS(453),
    [anon_sym_LT_LT] = ACTIONS(453),
    [anon_sym_AMP] = ACTIONS(451),
    [anon_sym_CARET] = ACTIONS(453),
    [anon_sym_PIPE] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(449),
    [anon_sym_DASH] = ACTIONS(449),
    [anon_sym_PERCENT] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(453),
    [anon_sym_LT_EQ] = ACTIONS(453),
    [anon_sym_EQ_EQ] = ACTIONS(451),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(453),
    [anon_sym_BANG_EQ] = ACTIONS(451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(453),
    [anon_sym_GT_EQ] = ACTIONS(453),
    [anon_sym_QMARK_QMARK] = ACTIONS(453),
    [anon_sym_instanceof] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_typeof] = ACTIONS(449),
    [anon_sym_void] = ACTIONS(449),
    [anon_sym_delete] = ACTIONS(449),
    [anon_sym_PLUS_PLUS] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [sym_number] = ACTIONS(447),
    [sym_this] = ACTIONS(449),
    [sym_super] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_undefined] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(447),
    [anon_sym_static] = ACTIONS(449),
    [anon_sym_get] = ACTIONS(449),
    [anon_sym_set] = ACTIONS(449),
    [sym__automatic_semicolon] = ACTIONS(455),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_export] = ACTIONS(459),
    [anon_sym_STAR] = ACTIONS(461),
    [anon_sym_default] = ACTIONS(459),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_import] = ACTIONS(459),
    [anon_sym_var] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(459),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_else] = ACTIONS(459),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_switch] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(459),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_do] = ACTIONS(459),
    [anon_sym_try] = ACTIONS(459),
    [anon_sym_with] = ACTIONS(459),
    [anon_sym_break] = ACTIONS(459),
    [anon_sym_continue] = ACTIONS(459),
    [anon_sym_debugger] = ACTIONS(459),
    [anon_sym_return] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_SEMI] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(459),
    [anon_sym_yield] = ACTIONS(459),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(459),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_SLASH] = ACTIONS(459),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_class] = ACTIONS(459),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_QMARK_DOT] = ACTIONS(463),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_AMP_AMP] = ACTIONS(463),
    [anon_sym_PIPE_PIPE] = ACTIONS(463),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_GT_GT_GT] = ACTIONS(463),
    [anon_sym_LT_LT] = ACTIONS(463),
    [anon_sym_AMP] = ACTIONS(461),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_PIPE] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_PERCENT] = ACTIONS(463),
    [anon_sym_STAR_STAR] = ACTIONS(463),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(461),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(461),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_QMARK_QMARK] = ACTIONS(463),
    [anon_sym_instanceof] = ACTIONS(461),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_typeof] = ACTIONS(459),
    [anon_sym_void] = ACTIONS(459),
    [anon_sym_delete] = ACTIONS(459),
    [anon_sym_PLUS_PLUS] = ACTIONS(457),
    [anon_sym_DASH_DASH] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(457),
    [sym_number] = ACTIONS(457),
    [sym_this] = ACTIONS(459),
    [sym_super] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_undefined] = ACTIONS(459),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_static] = ACTIONS(459),
    [anon_sym_get] = ACTIONS(459),
    [anon_sym_set] = ACTIONS(459),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(467),
    [sym_identifier] = ACTIONS(469),
    [anon_sym_export] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(469),
    [anon_sym_default] = ACTIONS(469),
    [anon_sym_LBRACE] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(467),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_import] = ACTIONS(469),
    [anon_sym_var] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_const] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_switch] = ACTIONS(469),
    [anon_sym_for] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_in] = ACTIONS(469),
    [anon_sym_while] = ACTIONS(469),
    [anon_sym_do] = ACTIONS(469),
    [anon_sym_try] = ACTIONS(469),
    [anon_sym_with] = ACTIONS(469),
    [anon_sym_break] = ACTIONS(469),
    [anon_sym_continue] = ACTIONS(469),
    [anon_sym_debugger] = ACTIONS(469),
    [anon_sym_return] = ACTIONS(469),
    [anon_sym_throw] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(467),
    [anon_sym_LT] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(469),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(469),
    [anon_sym_class] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_QMARK_DOT] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(467),
    [anon_sym_GT_GT] = ACTIONS(469),
    [anon_sym_GT_GT_GT] = ACTIONS(467),
    [anon_sym_LT_LT] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_CARET] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(469),
    [anon_sym_PERCENT] = ACTIONS(467),
    [anon_sym_STAR_STAR] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(467),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(467),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(467),
    [anon_sym_QMARK_QMARK] = ACTIONS(467),
    [anon_sym_instanceof] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(467),
    [anon_sym_typeof] = ACTIONS(469),
    [anon_sym_void] = ACTIONS(469),
    [anon_sym_delete] = ACTIONS(469),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(467),
    [sym_number] = ACTIONS(467),
    [sym_this] = ACTIONS(469),
    [sym_super] = ACTIONS(469),
    [sym_true] = ACTIONS(469),
    [sym_false] = ACTIONS(469),
    [sym_null] = ACTIONS(469),
    [sym_undefined] = ACTIONS(469),
    [anon_sym_AT] = ACTIONS(467),
    [anon_sym_static] = ACTIONS(469),
    [anon_sym_get] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(469),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(471),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(473),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(471),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_var] = ACTIONS(473),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_const] = ACTIONS(473),
    [anon_sym_else] = ACTIONS(473),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_switch] = ACTIONS(473),
    [anon_sym_for] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(471),
    [anon_sym_await] = ACTIONS(473),
    [anon_sym_in] = ACTIONS(473),
    [anon_sym_while] = ACTIONS(473),
    [anon_sym_do] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(473),
    [anon_sym_break] = ACTIONS(473),
    [anon_sym_continue] = ACTIONS(473),
    [anon_sym_debugger] = ACTIONS(473),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_throw] = ACTIONS(473),
    [anon_sym_SEMI] = ACTIONS(471),
    [anon_sym_case] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(473),
    [anon_sym_GT] = ACTIONS(473),
    [anon_sym_SLASH] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(473),
    [anon_sym_async] = ACTIONS(473),
    [anon_sym_function] = ACTIONS(473),
    [anon_sym_QMARK_DOT] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(471),
    [anon_sym_PIPE_PIPE] = ACTIONS(471),
    [anon_sym_GT_GT] = ACTIONS(473),
    [anon_sym_GT_GT_GT] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(473),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_PIPE] = ACTIONS(473),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_PERCENT] = ACTIONS(471),
    [anon_sym_STAR_STAR] = ACTIONS(471),
    [anon_sym_LT_EQ] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(471),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(471),
    [anon_sym_GT_EQ] = ACTIONS(471),
    [anon_sym_QMARK_QMARK] = ACTIONS(471),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_typeof] = ACTIONS(473),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(473),
    [anon_sym_PLUS_PLUS] = ACTIONS(471),
    [anon_sym_DASH_DASH] = ACTIONS(471),
    [anon_sym_DQUOTE] = ACTIONS(471),
    [anon_sym_SQUOTE] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(471),
    [sym_this] = ACTIONS(473),
    [sym_super] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_undefined] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(471),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_get] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(473),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_export] = ACTIONS(477),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_default] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_var] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(477),
    [anon_sym_const] = ACTIONS(477),
    [anon_sym_else] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_switch] = ACTIONS(477),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_await] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_do] = ACTIONS(477),
    [anon_sym_try] = ACTIONS(477),
    [anon_sym_with] = ACTIONS(477),
    [anon_sym_break] = ACTIONS(477),
    [anon_sym_continue] = ACTIONS(477),
    [anon_sym_debugger] = ACTIONS(477),
    [anon_sym_return] = ACTIONS(477),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_SEMI] = ACTIONS(475),
    [anon_sym_case] = ACTIONS(477),
    [anon_sym_yield] = ACTIONS(477),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_SLASH] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(477),
    [anon_sym_function] = ACTIONS(477),
    [anon_sym_QMARK_DOT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(477),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(479),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(479),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_STAR_STAR] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_QMARK_QMARK] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(479),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_TILDE] = ACTIONS(475),
    [anon_sym_typeof] = ACTIONS(477),
    [anon_sym_void] = ACTIONS(477),
    [anon_sym_delete] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(475),
    [anon_sym_DASH_DASH] = ACTIONS(475),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [anon_sym_SQUOTE] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(475),
    [sym_number] = ACTIONS(475),
    [sym_this] = ACTIONS(477),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_null] = ACTIONS(477),
    [sym_undefined] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_static] = ACTIONS(477),
    [anon_sym_get] = ACTIONS(477),
    [anon_sym_set] = ACTIONS(477),
    [sym__automatic_semicolon] = ACTIONS(483),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(429),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_export] = ACTIONS(431),
    [anon_sym_STAR] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(429),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_var] = ACTIONS(431),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_else] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_switch] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_in] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(431),
    [anon_sym_do] = ACTIONS(431),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_with] = ACTIONS(431),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [anon_sym_debugger] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(431),
    [anon_sym_throw] = ACTIONS(431),
    [anon_sym_SEMI] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(431),
    [anon_sym_yield] = ACTIONS(431),
    [anon_sym_LBRACK] = ACTIONS(429),
    [anon_sym_LT] = ACTIONS(431),
    [anon_sym_GT] = ACTIONS(431),
    [anon_sym_SLASH] = ACTIONS(431),
    [anon_sym_DOT] = ACTIONS(431),
    [anon_sym_class] = ACTIONS(431),
    [anon_sym_async] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_QMARK_DOT] = ACTIONS(429),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_AMP_AMP] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(429),
    [anon_sym_GT_GT] = ACTIONS(431),
    [anon_sym_GT_GT_GT] = ACTIONS(429),
    [anon_sym_LT_LT] = ACTIONS(429),
    [anon_sym_AMP] = ACTIONS(431),
    [anon_sym_CARET] = ACTIONS(429),
    [anon_sym_PIPE] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(431),
    [anon_sym_DASH] = ACTIONS(431),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(429),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_EQ_EQ] = ACTIONS(431),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(431),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(429),
    [anon_sym_QMARK_QMARK] = ACTIONS(429),
    [anon_sym_instanceof] = ACTIONS(431),
    [anon_sym_BANG] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(429),
    [anon_sym_typeof] = ACTIONS(431),
    [anon_sym_void] = ACTIONS(431),
    [anon_sym_delete] = ACTIONS(431),
    [anon_sym_PLUS_PLUS] = ACTIONS(429),
    [anon_sym_DASH_DASH] = ACTIONS(429),
    [anon_sym_DQUOTE] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(429),
    [sym_number] = ACTIONS(429),
    [sym_this] = ACTIONS(431),
    [sym_super] = ACTIONS(431),
    [sym_true] = ACTIONS(431),
    [sym_false] = ACTIONS(431),
    [sym_null] = ACTIONS(431),
    [sym_undefined] = ACTIONS(431),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_static] = ACTIONS(431),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(487),
    [sym_identifier] = ACTIONS(489),
    [anon_sym_export] = ACTIONS(489),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_import] = ACTIONS(489),
    [anon_sym_var] = ACTIONS(489),
    [anon_sym_let] = ACTIONS(489),
    [anon_sym_const] = ACTIONS(489),
    [anon_sym_else] = ACTIONS(489),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_switch] = ACTIONS(489),
    [anon_sym_for] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(487),
    [anon_sym_await] = ACTIONS(489),
    [anon_sym_in] = ACTIONS(491),
    [anon_sym_while] = ACTIONS(489),
    [anon_sym_do] = ACTIONS(489),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_with] = ACTIONS(489),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [anon_sym_debugger] = ACTIONS(489),
    [anon_sym_return] = ACTIONS(489),
    [anon_sym_throw] = ACTIONS(489),
    [anon_sym_SEMI] = ACTIONS(487),
    [anon_sym_case] = ACTIONS(489),
    [anon_sym_yield] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_LT] = ACTIONS(489),
    [anon_sym_GT] = ACTIONS(491),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(491),
    [anon_sym_class] = ACTIONS(489),
    [anon_sym_async] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(489),
    [anon_sym_QMARK_DOT] = ACTIONS(493),
    [anon_sym_new] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP_AMP] = ACTIONS(493),
    [anon_sym_PIPE_PIPE] = ACTIONS(493),
    [anon_sym_GT_GT] = ACTIONS(491),
    [anon_sym_GT_GT_GT] = ACTIONS(493),
    [anon_sym_LT_LT] = ACTIONS(493),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(491),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(489),
    [anon_sym_PERCENT] = ACTIONS(493),
    [anon_sym_STAR_STAR] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(493),
    [anon_sym_EQ_EQ] = ACTIONS(491),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(493),
    [anon_sym_BANG_EQ] = ACTIONS(491),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(493),
    [anon_sym_QMARK_QMARK] = ACTIONS(493),
    [anon_sym_instanceof] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(487),
    [anon_sym_typeof] = ACTIONS(489),
    [anon_sym_void] = ACTIONS(489),
    [anon_sym_delete] = ACTIONS(489),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(487),
    [anon_sym_DQUOTE] = ACTIONS(487),
    [anon_sym_SQUOTE] = ACTIONS(487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(487),
    [sym_number] = ACTIONS(487),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(489),
    [anon_sym_AT] = ACTIONS(487),
    [anon_sym_static] = ACTIONS(489),
    [anon_sym_get] = ACTIONS(489),
    [anon_sym_set] = ACTIONS(489),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(417),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(419),
    [anon_sym_default] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_var] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_const] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_try] = ACTIONS(419),
    [anon_sym_with] = ACTIONS(419),
    [anon_sym_break] = ACTIONS(419),
    [anon_sym_continue] = ACTIONS(419),
    [anon_sym_debugger] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(419),
    [anon_sym_throw] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(419),
    [anon_sym_yield] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(419),
    [anon_sym_QMARK_DOT] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_GT_GT_GT] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_DASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_QMARK_QMARK] = ACTIONS(417),
    [anon_sym_instanceof] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(417),
    [anon_sym_DASH_DASH] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(417),
    [sym_number] = ACTIONS(417),
    [sym_this] = ACTIONS(419),
    [sym_super] = ACTIONS(419),
    [sym_true] = ACTIONS(419),
    [sym_false] = ACTIONS(419),
    [sym_null] = ACTIONS(419),
    [sym_undefined] = ACTIONS(419),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(499),
    [sym_identifier] = ACTIONS(501),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym_STAR] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_COMMA] = ACTIONS(505),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_import] = ACTIONS(501),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_let] = ACTIONS(501),
    [anon_sym_const] = ACTIONS(501),
    [anon_sym_else] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_await] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_do] = ACTIONS(501),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_with] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(501),
    [anon_sym_continue] = ACTIONS(501),
    [anon_sym_debugger] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_throw] = ACTIONS(501),
    [anon_sym_SEMI] = ACTIONS(499),
    [anon_sym_case] = ACTIONS(501),
    [anon_sym_yield] = ACTIONS(501),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(501),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(501),
    [anon_sym_DOT] = ACTIONS(503),
    [anon_sym_class] = ACTIONS(501),
    [anon_sym_async] = ACTIONS(501),
    [anon_sym_function] = ACTIONS(501),
    [anon_sym_QMARK_DOT] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(501),
    [anon_sym_QMARK] = ACTIONS(503),
    [anon_sym_AMP_AMP] = ACTIONS(505),
    [anon_sym_PIPE_PIPE] = ACTIONS(505),
    [anon_sym_GT_GT] = ACTIONS(503),
    [anon_sym_GT_GT_GT] = ACTIONS(505),
    [anon_sym_LT_LT] = ACTIONS(505),
    [anon_sym_AMP] = ACTIONS(503),
    [anon_sym_CARET] = ACTIONS(505),
    [anon_sym_PIPE] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_PERCENT] = ACTIONS(505),
    [anon_sym_STAR_STAR] = ACTIONS(505),
    [anon_sym_LT_EQ] = ACTIONS(505),
    [anon_sym_EQ_EQ] = ACTIONS(503),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(505),
    [anon_sym_BANG_EQ] = ACTIONS(503),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(505),
    [anon_sym_GT_EQ] = ACTIONS(505),
    [anon_sym_QMARK_QMARK] = ACTIONS(505),
    [anon_sym_instanceof] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(499),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(499),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(499),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(499),
    [sym_number] = ACTIONS(499),
    [sym_this] = ACTIONS(501),
    [sym_super] = ACTIONS(501),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [sym_null] = ACTIONS(501),
    [sym_undefined] = ACTIONS(501),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_static] = ACTIONS(501),
    [anon_sym_get] = ACTIONS(501),
    [anon_sym_set] = ACTIONS(501),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(509),
    [sym_identifier] = ACTIONS(511),
    [anon_sym_export] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_default] = ACTIONS(511),
    [anon_sym_LBRACE] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_import] = ACTIONS(511),
    [anon_sym_var] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(511),
    [anon_sym_else] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_switch] = ACTIONS(511),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_await] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_with] = ACTIONS(511),
    [anon_sym_break] = ACTIONS(511),
    [anon_sym_continue] = ACTIONS(511),
    [anon_sym_debugger] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_case] = ACTIONS(511),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_class] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_function] = ACTIONS(511),
    [anon_sym_QMARK_DOT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(513),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_QMARK_QMARK] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(509),
    [anon_sym_typeof] = ACTIONS(511),
    [anon_sym_void] = ACTIONS(511),
    [anon_sym_delete] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(509),
    [sym_this] = ACTIONS(511),
    [sym_super] = ACTIONS(511),
    [sym_true] = ACTIONS(511),
    [sym_false] = ACTIONS(511),
    [sym_null] = ACTIONS(511),
    [sym_undefined] = ACTIONS(511),
    [anon_sym_AT] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(519),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_export] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_default] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(519),
    [anon_sym_COMMA] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_import] = ACTIONS(521),
    [anon_sym_var] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(521),
    [anon_sym_else] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(521),
    [anon_sym_switch] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_await] = ACTIONS(521),
    [anon_sym_in] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(521),
    [anon_sym_do] = ACTIONS(521),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_with] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(521),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_debugger] = ACTIONS(521),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(521),
    [anon_sym_SEMI] = ACTIONS(519),
    [anon_sym_case] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(521),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(521),
    [anon_sym_DOT] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(521),
    [anon_sym_async] = ACTIONS(521),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_QMARK_DOT] = ACTIONS(525),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_QMARK] = ACTIONS(523),
    [anon_sym_AMP_AMP] = ACTIONS(525),
    [anon_sym_PIPE_PIPE] = ACTIONS(525),
    [anon_sym_GT_GT] = ACTIONS(523),
    [anon_sym_GT_GT_GT] = ACTIONS(525),
    [anon_sym_LT_LT] = ACTIONS(525),
    [anon_sym_AMP] = ACTIONS(523),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_PERCENT] = ACTIONS(525),
    [anon_sym_STAR_STAR] = ACTIONS(525),
    [anon_sym_LT_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(525),
    [anon_sym_GT_EQ] = ACTIONS(525),
    [anon_sym_QMARK_QMARK] = ACTIONS(525),
    [anon_sym_instanceof] = ACTIONS(523),
    [anon_sym_BANG] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(519),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(519),
    [sym_number] = ACTIONS(519),
    [sym_this] = ACTIONS(521),
    [sym_super] = ACTIONS(521),
    [sym_true] = ACTIONS(521),
    [sym_false] = ACTIONS(521),
    [sym_null] = ACTIONS(521),
    [sym_undefined] = ACTIONS(521),
    [anon_sym_AT] = ACTIONS(519),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(521),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [62] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(463),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(875),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(910),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [63] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(463),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(875),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(910),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [64] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(463),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(875),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(910),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [65] = {
    [sym_import] = STATE(553),
    [sym_expression_statement] = STATE(79),
    [sym_variable_declaration] = STATE(79),
    [sym_lexical_declaration] = STATE(79),
    [sym_empty_statement] = STATE(79),
    [sym_parenthesized_expression] = STATE(323),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(937),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(937),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(323),
    [sym_subscript_expression] = STATE(323),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(937),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(547),
    [anon_sym_export] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_var] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_const] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(559),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(549),
    [anon_sym_get] = ACTIONS(549),
    [anon_sym_set] = ACTIONS(549),
  },
  [66] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(905),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(906),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [67] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(485),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(905),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(906),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [68] = {
    [sym_import] = STATE(553),
    [sym_expression_statement] = STATE(81),
    [sym_variable_declaration] = STATE(81),
    [sym_lexical_declaration] = STATE(81),
    [sym_empty_statement] = STATE(81),
    [sym_parenthesized_expression] = STATE(323),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(937),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(937),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(323),
    [sym_subscript_expression] = STATE(323),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(937),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(547),
    [anon_sym_export] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_var] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_const] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(559),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(549),
    [anon_sym_get] = ACTIONS(549),
    [anon_sym_set] = ACTIONS(549),
  },
  [69] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(463),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(875),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(910),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(563),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [70] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(905),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(906),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [71] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(458),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(1066),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_spread_element] = STATE(942),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(943),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [72] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(903),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(857),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_pattern_repeat1] = STATE(908),
    [sym_identifier] = ACTIONS(570),
    [anon_sym_export] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(574),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_RBRACK] = ACTIONS(580),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(582),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
  },
  [73] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(568),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(902),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1169),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(845),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [74] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(576),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(854),
    [sym_assignment_pattern] = STATE(902),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(854),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(854),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1167),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(845),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [75] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(471),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_spread_element] = STATE(952),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [76] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(458),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_spread_element] = STATE(942),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(594),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(594),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_RBRACK] = ACTIONS(594),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [77] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(460),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_spread_element] = STATE(954),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [aux_sym_array_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(596),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [78] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(509),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_spread_element] = STATE(1183),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1183),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [79] = {
    [sym_import] = STATE(553),
    [sym_expression_statement] = STATE(86),
    [sym_empty_statement] = STATE(86),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [80] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(560),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_spread_element] = STATE(1186),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1186),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(600),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [81] = {
    [sym_import] = STATE(553),
    [sym_expression_statement] = STATE(85),
    [sym_empty_statement] = STATE(85),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(477),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1030),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [82] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(338),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(886),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(886),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(338),
    [sym_subscript_expression] = STATE(338),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(886),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(602),
    [anon_sym_export] = ACTIONS(604),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_var] = ACTIONS(608),
    [anon_sym_let] = ACTIONS(608),
    [anon_sym_const] = ACTIONS(608),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(612),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(604),
    [anon_sym_get] = ACTIONS(604),
    [anon_sym_set] = ACTIONS(604),
  },
  [83] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(547),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(888),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(888),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(888),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [sym_pattern] = STATE(1019),
    [sym_rest_pattern] = STATE(776),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(618),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(616),
    [anon_sym_get] = ACTIONS(616),
    [anon_sym_set] = ACTIONS(616),
  },
  [84] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(468),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1100),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
    [sym__automatic_semicolon] = ACTIONS(620),
  },
  [85] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(566),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1131),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [86] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(502),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1157),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [87] = {
    [sym_import] = STATE(553),
    [sym_statement_block] = STATE(538),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(444),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [88] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(348),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(828),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [89] = {
    [sym_export_clause] = STATE(811),
    [sym_declaration] = STATE(283),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_class_declaration] = STATE(251),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function_declaration] = STATE(251),
    [sym_decorator] = STATE(673),
    [aux_sym_export_statement_repeat1] = STATE(853),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_class] = ACTIONS(652),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_function] = ACTIONS(656),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [90] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(370),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(668),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
  },
  [91] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(370),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [92] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(469),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1068),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [93] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(576),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1167),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [94] = {
    [sym_import] = STATE(553),
    [sym_statement_block] = STATE(567),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(428),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [95] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(321),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(461),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(321),
    [sym_subscript_expression] = STATE(321),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_export] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(674),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(676),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(672),
    [anon_sym_get] = ACTIONS(672),
    [anon_sym_set] = ACTIONS(672),
  },
  [96] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(382),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(368),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [97] = {
    [sym_import] = STATE(553),
    [sym_statement_block] = STATE(514),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(421),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [98] = {
    [sym_export_clause] = STATE(811),
    [sym_declaration] = STATE(283),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_class_declaration] = STATE(251),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function_declaration] = STATE(251),
    [sym_decorator] = STATE(673),
    [aux_sym_export_statement_repeat1] = STATE(853),
    [aux_sym_object_repeat1] = STATE(920),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_class] = ACTIONS(652),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_function] = ACTIONS(656),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [99] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(436),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(355),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [100] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(433),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(356),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [101] = {
    [sym_import] = STATE(553),
    [sym_statement_block] = STATE(530),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(437),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [102] = {
    [sym_export_clause] = STATE(811),
    [sym_declaration] = STATE(283),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_class_declaration] = STATE(251),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function_declaration] = STATE(251),
    [sym_decorator] = STATE(673),
    [aux_sym_export_statement_repeat1] = STATE(853),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_class] = ACTIONS(652),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_function] = ACTIONS(656),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [103] = {
    [sym_import] = STATE(553),
    [sym_statement_block] = STATE(536),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(443),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [104] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(562),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1179),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [105] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(487),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1180),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [106] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(374),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(357),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [107] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(476),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1000),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [108] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(370),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(674),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [109] = {
    [sym_import] = STATE(553),
    [sym_statement_block] = STATE(501),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(393),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [110] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(499),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1175),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [111] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(548),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1202),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [112] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(537),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1178),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [113] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(571),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1144),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [114] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(532),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1193),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [115] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(551),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1206),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [116] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(573),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1151),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [117] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(405),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(524),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [118] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(405),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(360),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [119] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(431),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(550),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [120] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(374),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(521),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [121] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(433),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(519),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [122] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(569),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_sequence_expression] = STATE(1138),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [123] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(436),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(518),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [124] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(431),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(350),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [125] = {
    [sym_import] = STATE(403),
    [sym_statement_block] = STATE(382),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(525),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [126] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(575),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [127] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(572),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [128] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(407),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [129] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(454),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [130] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(547),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [131] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [132] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(359),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [133] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(457),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [134] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(438),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [135] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [136] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(422),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [137] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(349),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [138] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(340),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [139] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(347),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [140] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(365),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [141] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(369),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [142] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(342),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [143] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(341),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [144] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(340),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [145] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(362),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [146] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(366),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [147] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(512),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [148] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(528),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [149] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(389),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [150] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(542),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [151] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(343),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [152] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(440),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [153] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(564),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [154] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(503),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [155] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(543),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [156] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(540),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [157] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(372),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [158] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(539),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [159] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(533),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [160] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(343),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [161] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(488),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [162] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(527),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [163] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(364),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [164] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(580),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [165] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(584),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [166] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(475),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [167] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(425),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [168] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(578),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [169] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(574),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [170] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(419),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [171] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [172] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(556),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [173] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(352),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [174] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(341),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [175] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(354),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [176] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(526),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [177] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(379),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [178] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(484),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [179] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(379),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(887),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(887),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(887),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [180] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(392),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [181] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(583),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [182] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(371),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [183] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(449),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [184] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(434),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [185] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(394),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [186] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(379),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(923),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(923),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(923),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(690),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [187] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(402),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [188] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(404),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [189] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(313),
    [sym_expression] = STATE(342),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1174),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1174),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [190] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(412),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [191] = {
    [sym_import] = STATE(403),
    [sym_parenthesized_expression] = STATE(300),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(401),
    [sym_yield_expression] = STATE(400),
    [sym_object] = STATE(403),
    [sym_object_pattern] = STATE(1155),
    [sym_array] = STATE(403),
    [sym_array_pattern] = STATE(1155),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_jsx_opening_element] = STATE(688),
    [sym_jsx_self_closing_element] = STATE(400),
    [sym_class] = STATE(403),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(403),
    [sym_arrow_function] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_new_expression] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(300),
    [sym_subscript_expression] = STATE(300),
    [sym_assignment_expression] = STATE(400),
    [sym__augmented_assignment_lhs] = STATE(653),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym__destructuring_pattern] = STATE(1155),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_string] = STATE(403),
    [sym_template_string] = STATE(403),
    [sym_regex] = STATE(403),
    [sym_meta_property] = STATE(403),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1172),
    [aux_sym_export_statement_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [192] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(408),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [193] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(409),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [194] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(410),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [195] = {
    [sym_import] = STATE(553),
    [sym_parenthesized_expression] = STATE(316),
    [sym_expression] = STATE(411),
    [sym_primary_expression] = STATE(494),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(553),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(553),
    [sym_array_pattern] = STATE(1190),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(697),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(553),
    [sym_function] = STATE(553),
    [sym_generator_function] = STATE(553),
    [sym_arrow_function] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(316),
    [sym_subscript_expression] = STATE(316),
    [sym_assignment_expression] = STATE(495),
    [sym__augmented_assignment_lhs] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_string] = STATE(553),
    [sym_template_string] = STATE(553),
    [sym_regex] = STATE(553),
    [sym_meta_property] = STATE(553),
    [sym_decorator] = STATE(673),
    [sym_formal_parameters] = STATE(1187),
    [aux_sym_export_statement_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [196] = {
    [sym_export_clause] = STATE(811),
    [sym_declaration] = STATE(283),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_class_declaration] = STATE(251),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function_declaration] = STATE(251),
    [sym_decorator] = STATE(673),
    [aux_sym_export_statement_repeat1] = STATE(835),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(634),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_class] = ACTIONS(696),
    [anon_sym_async] = ACTIONS(698),
    [anon_sym_function] = ACTIONS(700),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [197] = {
    [sym_export_clause] = STATE(811),
    [sym_declaration] = STATE(283),
    [sym_variable_declaration] = STATE(251),
    [sym_lexical_declaration] = STATE(251),
    [sym_class_declaration] = STATE(251),
    [sym_function_declaration] = STATE(251),
    [sym_generator_function_declaration] = STATE(251),
    [sym_decorator] = STATE(673),
    [aux_sym_export_statement_repeat1] = STATE(853),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(640),
    [anon_sym_const] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(634),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(702),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_class] = ACTIONS(652),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_function] = ACTIONS(656),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [198] = {
    [sym_string] = STATE(1109),
    [sym_formal_parameters] = STATE(1164),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_export] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(706),
    [anon_sym_function] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(706),
    [anon_sym_get] = ACTIONS(722),
    [anon_sym_set] = ACTIONS(722),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [199] = {
    [sym_string] = STATE(1109),
    [sym_formal_parameters] = STATE(1164),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(920),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_export] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(706),
    [anon_sym_function] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(706),
    [anon_sym_get] = ACTIONS(722),
    [anon_sym_set] = ACTIONS(722),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [200] = {
    [sym_string] = STATE(1109),
    [sym_formal_parameters] = STATE(1164),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_export] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(706),
    [anon_sym_function] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(706),
    [anon_sym_get] = ACTIONS(722),
    [anon_sym_set] = ACTIONS(722),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [201] = {
    [sym_string] = STATE(1109),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(920),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [202] = {
    [sym_string] = STATE(1109),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(920),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [203] = {
    [sym_string] = STATE(1109),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [204] = {
    [sym_string] = STATE(1109),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [205] = {
    [sym_string] = STATE(1109),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
  [206] = {
    [sym_string] = STATE(1109),
    [sym__property_name] = STATE(1109),
    [sym_computed_property_name] = STATE(1109),
    [aux_sym_object_repeat1] = STATE(932),
    [aux_sym_object_pattern_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_EQ_GT] = ACTIONS(658),
    [anon_sym_QMARK_DOT] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(660),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(645),
    [anon_sym_GT_GT_GT] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(645),
    [anon_sym_STAR_STAR] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(634),
    [anon_sym_EQ_EQ] = ACTIONS(645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(634),
    [anon_sym_BANG_EQ] = ACTIONS(645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(634),
    [anon_sym_QMARK_QMARK] = ACTIONS(645),
    [anon_sym_instanceof] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(634),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(634),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym__automatic_semicolon,
    ACTIONS(417), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(419), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym__automatic_semicolon,
    ACTIONS(429), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(431), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      sym_identifier,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_EQ,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(734), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [233] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      sym_identifier,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(745), 1,
      anon_sym_EQ,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(734), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [320] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(751), 1,
      anon_sym_in,
    ACTIONS(754), 1,
      anon_sym_of,
    ACTIONS(756), 1,
      anon_sym_function,
    STATE(1164), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(431), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [480] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_function,
    STATE(1164), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [566] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_COLON,
    ACTIONS(718), 1,
      anon_sym_function,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    STATE(1164), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_catch,
    ACTIONS(764), 1,
      anon_sym_finally,
    STATE(220), 1,
      sym_catch_clause,
    STATE(272), 1,
      sym_finally_clause,
    ACTIONS(758), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(760), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(469), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [802] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(692), 1,
      anon_sym_COLON,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(766), 1,
      anon_sym_function,
    STATE(1164), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [890] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_function,
    STATE(1164), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [976] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      sym_identifier,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(771), 1,
      anon_sym_EQ,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(734), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 1,
      anon_sym_finally,
    STATE(258), 1,
      sym_finally_clause,
    ACTIONS(774), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(776), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1135] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    STATE(1141), 1,
      sym_formal_parameters,
    ACTIONS(780), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 12,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1219] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      sym_identifier,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(768), 1,
      anon_sym_RBRACK,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(784), 1,
      anon_sym_COMMA,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(734), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1307] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      sym_identifier,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_EQ,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(768), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(734), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      sym__automatic_semicolon,
    ACTIONS(433), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(435), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(788), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_else,
    STATE(252), 1,
      sym_else_clause,
    ACTIONS(790), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(792), 41,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(473), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(798), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(517), 1,
      sym__automatic_semicolon,
    ACTIONS(509), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(511), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1803] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_function,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(751), 1,
      anon_sym_in,
    ACTIONS(754), 1,
      anon_sym_of,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    STATE(1141), 1,
      sym_formal_parameters,
    ACTIONS(780), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(634), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(445), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(431), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(802), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 1,
      sym__automatic_semicolon,
    ACTIONS(447), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(449), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      sym__automatic_semicolon,
    ACTIONS(487), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(489), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 1,
      sym__automatic_semicolon,
    ACTIONS(417), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(419), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(469), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      sym__automatic_semicolon,
    ACTIONS(499), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(501), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym__automatic_semicolon,
    ACTIONS(475), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(477), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(808), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      sym__automatic_semicolon,
    ACTIONS(457), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(459), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 1,
      sym__automatic_semicolon,
    ACTIONS(519), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(521), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym__automatic_semicolon,
    ACTIONS(429), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(431), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(814), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(818), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(826), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(830), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(834), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(838), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(842), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(846), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(848), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(850), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(854), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(858), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(862), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(866), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(870), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(874), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(878), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(882), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(886), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(890), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(894), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(898), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(902), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(906), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(910), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(914), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(918), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(922), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(926), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(930), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(934), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(936), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(938), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(942), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(946), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(948), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(950), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(954), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(956), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(958), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(962), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(966), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(970), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(974), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(978), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(986), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(990), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_COLON,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    ACTIONS(996), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      anon_sym_EQ,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(994), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5828] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_COLON,
    ACTIONS(684), 1,
      anon_sym_RBRACE,
    ACTIONS(996), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      anon_sym_EQ,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(994), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5909] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_RBRACE,
    ACTIONS(647), 1,
      anon_sym_COLON,
    ACTIONS(996), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      anon_sym_EQ,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(994), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1007), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1011), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1015), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1019), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(634), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_EQ,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(634), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_COLON,
    ACTIONS(634), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1029), 1,
      anon_sym_in,
    ACTIONS(1032), 1,
      anon_sym_of,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(634), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_COLON,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1015), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1007), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(751), 1,
      anon_sym_in,
    ACTIONS(1034), 1,
      anon_sym_of,
    ACTIONS(634), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(634), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_EQ_GT,
    ACTIONS(692), 1,
      anon_sym_COLON,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(634), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7271] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_COLON,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1011), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1019), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(634), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1036), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1040), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1044), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1017), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1029), 1,
      anon_sym_in,
    ACTIONS(1032), 1,
      anon_sym_of,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1051), 1,
      anon_sym_EQ,
    ACTIONS(1048), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_EQ,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(768), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(634), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1054), 1,
      anon_sym_EQ_GT,
    ACTIONS(994), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1059), 1,
      anon_sym_EQ,
    ACTIONS(1056), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1048), 1,
      anon_sym_RBRACK,
    ACTIONS(1051), 1,
      anon_sym_EQ,
    ACTIONS(1061), 1,
      anon_sym_COMMA,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8520] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1056), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    ACTIONS(634), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_EQ_GT,
    ACTIONS(768), 1,
      anon_sym_RBRACK,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(784), 1,
      anon_sym_COMMA,
    ACTIONS(634), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1029), 1,
      anon_sym_in,
    ACTIONS(1032), 1,
      anon_sym_of,
    ACTIONS(1054), 1,
      anon_sym_EQ_GT,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_EQ,
    ACTIONS(751), 1,
      anon_sym_in,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    ACTIONS(1034), 1,
      anon_sym_of,
    ACTIONS(634), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(660), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(645), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1065), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1069), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1073), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [9036] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1029), 1,
      anon_sym_in,
    ACTIONS(1032), 1,
      anon_sym_of,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9102] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      sym_identifier,
    ACTIONS(1077), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_import_clause,
    STATE(1045), 1,
      sym_string,
    STATE(1173), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(1083), 13,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1081), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9170] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1085), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1087), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [9231] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [9294] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [9357] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [9420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      sym__automatic_semicolon,
    ACTIONS(419), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(417), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1109), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1116), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1112), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1114), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [9651] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [9739] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [9803] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1151), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      sym__automatic_semicolon,
    ACTIONS(419), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(417), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9939] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1153), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      sym__automatic_semicolon,
    ACTIONS(431), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(429), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10075] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1157), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10161] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1159), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1161), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10333] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1163), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10419] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1165), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10505] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1167), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10591] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1169), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_regex_flags,
    ACTIONS(1171), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1173), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10727] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1103), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [10807] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1177), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10893] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1179), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10979] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 14,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 14,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1185), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1181), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1183), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11169] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1190), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11255] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [11331] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_QMARK_DOT,
    STATE(456), 1,
      sym_arguments,
    ACTIONS(1192), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1194), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11389] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1198), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11475] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [11559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1202), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1163), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(467), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(471), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1208), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1212), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11841] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1214), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [11926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1218), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 25,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1190), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(429), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1224), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1228), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1232), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1236), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1177), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1280), 25,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1284), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12530] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1153), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1151), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12700] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1181), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1183), 25,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1288), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1292), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(427), 1,
      sym__automatic_semicolon,
    ACTIONS(417), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12959] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1165), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1296), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1294), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1296), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13144] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [13217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [13333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1169), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 25,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13427] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1198), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13512] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [13587] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [13666] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [13733] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [13794] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1302), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1112), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1114), 25,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1310), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(515), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14161] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1179), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1314), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14293] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1169), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1085), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1087), 19,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [14437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(443), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(505), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14531] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(493), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1280), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14686] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1190), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1318), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1151), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1161), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15006] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1330), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1159), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15161] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1163), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15246] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1157), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1336), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15378] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1338), 1,
      anon_sym_COMMA,
    ACTIONS(1341), 1,
      anon_sym_RBRACE,
    ACTIONS(1198), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1345), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1349), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15561] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1161), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15646] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1159), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1081), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1357), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(525), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15919] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1341), 1,
      anon_sym_RBRACE,
    ACTIONS(1359), 1,
      anon_sym_COMMA,
    ACTIONS(1153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(463), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(481), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1364), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1368), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16196] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1370), 1,
      anon_sym_COMMA,
    ACTIONS(1373), 1,
      anon_sym_RBRACE,
    ACTIONS(1153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1377), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1381), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16379] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1167), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16464] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1383), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(497), 1,
      sym__automatic_semicolon,
    ACTIONS(419), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(417), 23,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16598] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1385), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16686] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1387), 1,
      anon_sym_QMARK_DOT,
    STATE(498), 1,
      sym_arguments,
    ACTIONS(1192), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1194), 20,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      sym__automatic_semicolon,
    ACTIONS(487), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(491), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(493), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16792] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(945), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 1,
      sym__automatic_semicolon,
    ACTIONS(519), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(523), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(525), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      sym__automatic_semicolon,
    ACTIONS(457), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(461), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(463), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1181), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1183), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 1,
      sym__automatic_semicolon,
    ACTIONS(447), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(451), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17078] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1391), 1,
      anon_sym_COMMA,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17164] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1391), 1,
      anon_sym_COMMA,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1395), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym__automatic_semicolon,
    ACTIONS(475), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(479), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(481), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17300] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1397), 1,
      anon_sym_RPAREN,
    STATE(970), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      sym__automatic_semicolon,
    ACTIONS(499), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(503), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(505), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      sym__automatic_semicolon,
    ACTIONS(433), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(437), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1112), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1114), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17536] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17620] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1391), 1,
      anon_sym_COMMA,
    ACTIONS(1135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17706] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1391), 1,
      anon_sym_COMMA,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1401), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1403), 1,
      anon_sym_in,
    ACTIONS(1406), 1,
      anon_sym_of,
    ACTIONS(421), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17892] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1408), 1,
      anon_sym_RBRACK,
    STATE(947), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      sym_regex_flags,
    ACTIONS(1171), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1173), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(517), 1,
      sym__automatic_semicolon,
    ACTIONS(509), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(513), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(515), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1412), 1,
      anon_sym_in,
    ACTIONS(1415), 1,
      anon_sym_of,
    ACTIONS(1112), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1114), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18130] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18214] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1419), 1,
      anon_sym_RBRACK,
    STATE(947), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1421), 1,
      anon_sym_in,
    ACTIONS(1424), 1,
      anon_sym_of,
    ACTIONS(1181), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1183), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18354] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1426), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18439] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1105), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1284), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1224), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1318), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1228), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1232), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1387), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1294), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1296), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1296), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1330), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1336), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1381), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18976] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1450), 1,
      anon_sym_RBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1212), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1151), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19151] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1452), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19236] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 6,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [19307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1073), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1081), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1236), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1457), 1,
      anon_sym_COLON,
    ACTIONS(992), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1288), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19536] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1459), 1,
      anon_sym_RBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1202), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1157), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19749] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1198), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1292), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1169), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1310), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1218), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1349), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20057] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1159), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20140] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1161), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20268] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1163), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1314), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(505), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20441] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20524] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1190), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20607] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1167), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1179), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20773] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1177), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(493), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1163), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20991] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21076] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 11,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21141] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1165), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1161), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21314] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1467), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1159), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21444] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1103), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 5,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 6,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1345), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21639] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1153), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 11,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1069), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1302), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21924] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1469), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22007] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1471), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22137] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1151), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22220] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1473), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1065), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1377), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1368), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22485] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(525), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(463), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1357), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22703] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1477), 1,
      anon_sym_RBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1364), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22833] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1479), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_LPAREN,
    ACTIONS(1484), 1,
      anon_sym_COLON,
    ACTIONS(1206), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1208), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22967] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 14,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(481), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23073] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1486), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1190), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23203] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1488), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23288] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1490), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1208), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23418] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23503] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_in,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1256), 1,
      anon_sym_QMARK,
    ACTIONS(1258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1264), 1,
      anon_sym_AMP,
    ACTIONS(1266), 1,
      anon_sym_PIPE,
    ACTIONS(1270), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1268), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1242), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1262), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1250), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1272), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23586] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1496), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1341), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23837] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1498), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(515), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23967] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1500), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      anon_sym_RBRACK,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(1112), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1114), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24099] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1502), 1,
      anon_sym_LBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_RBRACK,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1424), 1,
      anon_sym_COMMA,
    ACTIONS(1181), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1183), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1109), 1,
      anon_sym_RBRACK,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24281] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1504), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24363] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1506), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24445] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1129), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_in,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(1141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1145), 1,
      anon_sym_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE,
    ACTIONS(1149), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1508), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1121), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1131), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24527] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1510), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1421), 1,
      anon_sym_in,
    ACTIONS(1424), 1,
      anon_sym_of,
    ACTIONS(1181), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1183), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1403), 1,
      anon_sym_in,
    ACTIONS(1406), 1,
      anon_sym_of,
    ACTIONS(421), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1412), 1,
      anon_sym_in,
    ACTIONS(1415), 1,
      anon_sym_of,
    ACTIONS(1112), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1114), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24756] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      anon_sym_DOT,
    ACTIONS(1254), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(492), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24835] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(1434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1440), 1,
      anon_sym_AMP,
    ACTIONS(1442), 1,
      anon_sym_PIPE,
    ACTIONS(1446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_QMARK,
    ACTIONS(1463), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1444), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(385), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1438), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1432), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24914] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      anon_sym_RBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_async,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1524), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    STATE(892), 1,
      aux_sym_object_repeat1,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1512), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1526), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [24994] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1530), 1,
      anon_sym_RBRACE,
    ACTIONS(1532), 1,
      anon_sym_async,
    ACTIONS(1534), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    STATE(900), 1,
      aux_sym_object_repeat1,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1528), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(898), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [25074] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1540), 1,
      anon_sym_RBRACE,
    ACTIONS(1542), 1,
      anon_sym_async,
    ACTIONS(1544), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    STATE(892), 1,
      aux_sym_object_repeat1,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1538), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1546), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [25154] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1550), 1,
      anon_sym_RBRACE,
    ACTIONS(1552), 1,
      anon_sym_async,
    ACTIONS(1554), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    STATE(900), 1,
      aux_sym_object_repeat1,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1548), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1556), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(898), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [25234] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1560), 1,
      anon_sym_RBRACE,
    ACTIONS(1562), 1,
      anon_sym_async,
    ACTIONS(1564), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    STATE(892), 1,
      aux_sym_object_repeat1,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1558), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1566), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [25314] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1570), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      anon_sym_async,
    ACTIONS(1574), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    STATE(892), 1,
      aux_sym_object_repeat1,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1568), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1576), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [25394] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      sym_number,
    ACTIONS(1583), 1,
      anon_sym_async,
    ACTIONS(1585), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    ACTIONS(1578), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1106), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1108), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [25466] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(1595), 1,
      sym_number,
    STATE(901), 1,
      aux_sym_object_pattern_repeat1,
    STATE(897), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(1589), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25520] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(1595), 1,
      sym_number,
    ACTIONS(1599), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      aux_sym_object_pattern_repeat1,
    STATE(889), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(1597), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25574] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1595), 1,
      sym_number,
    ACTIONS(1603), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1108), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1130), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(1601), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25623] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(592), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_async,
    ACTIONS(1613), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_static,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    ACTIONS(1605), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1607), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1617), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(962), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1106), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [25682] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(684), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [25735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(684), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_async,
    ACTIONS(1633), 1,
      sym_number,
    ACTIONS(1635), 1,
      anon_sym_static,
    STATE(609), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1625), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1637), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25849] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_async,
    ACTIONS(1633), 1,
      sym_number,
    ACTIONS(1635), 1,
      anon_sym_static,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    STATE(610), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1625), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1637), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25908] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26018] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_async,
    ACTIONS(1633), 1,
      sym_number,
    ACTIONS(1635), 1,
      anon_sym_static,
    ACTIONS(1643), 1,
      anon_sym_RBRACE,
    STATE(610), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1625), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1637), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26077] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_STAR,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    ACTIONS(1656), 1,
      anon_sym_async,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1662), 1,
      anon_sym_SQUOTE,
    ACTIONS(1665), 1,
      sym_number,
    ACTIONS(1668), 1,
      anon_sym_AT,
    ACTIONS(1671), 1,
      anon_sym_static,
    STATE(610), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1645), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1674), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26136] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1677), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [26189] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_async,
    ACTIONS(1633), 1,
      sym_number,
    ACTIONS(1635), 1,
      anon_sym_static,
    ACTIONS(1679), 1,
      anon_sym_RBRACE,
    STATE(621), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1625), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1637), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26248] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [26301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [26354] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(636), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26409] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [26462] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(636), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [26515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_async,
    ACTIONS(1633), 1,
      sym_number,
    ACTIONS(1635), 1,
      anon_sym_static,
    ACTIONS(1683), 1,
      anon_sym_RBRACE,
    STATE(606), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1625), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1637), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1677), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26684] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_async,
    ACTIONS(1633), 1,
      sym_number,
    ACTIONS(1635), 1,
      anon_sym_static,
    ACTIONS(1685), 1,
      anon_sym_RBRACE,
    STATE(610), 1,
      aux_sym_class_body_repeat1,
    STATE(642), 1,
      aux_sym_export_statement_repeat1,
    STATE(669), 1,
      sym_method_definition,
    STATE(673), 1,
      sym_decorator,
    STATE(1051), 1,
      sym_public_field_definition,
    ACTIONS(1625), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1637), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(743), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26743] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26791] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26839] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(636), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26887] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1677), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26983] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(684), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27031] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [27076] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [27123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(724), 1,
      sym_identifier,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1690), 1,
      anon_sym_export,
    ACTIONS(1692), 1,
      anon_sym_class,
    ACTIONS(1694), 1,
      anon_sym_static,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [27175] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1696), 1,
      anon_sym_STAR,
    ACTIONS(1698), 1,
      sym_number,
    ACTIONS(1700), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1621), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [27215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [27257] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(1710), 1,
      anon_sym_RBRACK,
    STATE(866), 1,
      sym_pattern,
    STATE(907), 1,
      sym_assignment_pattern,
    STATE(911), 1,
      aux_sym_array_pattern_repeat1,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27301] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27341] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1621), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [27381] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(580), 1,
      anon_sym_RBRACK,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    STATE(857), 1,
      sym_pattern,
    STATE(903), 1,
      sym_assignment_pattern,
    STATE(908), 1,
      aux_sym_array_pattern_repeat1,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1712), 1,
      anon_sym_async,
    ACTIONS(1714), 1,
      sym_number,
    ACTIONS(1716), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1625), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1621), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [27467] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [27511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(638), 1,
      anon_sym_var,
    ACTIONS(652), 1,
      anon_sym_class,
    ACTIONS(654), 1,
      anon_sym_async,
    ACTIONS(656), 1,
      anon_sym_function,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_default,
    STATE(254), 1,
      sym_declaration,
    STATE(673), 1,
      sym_decorator,
    STATE(853), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(640), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(251), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [27556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_number,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1621), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27591] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    STATE(943), 1,
      sym_pattern,
    STATE(1066), 1,
      sym_assignment_pattern,
    ACTIONS(1720), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27630] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1619), 1,
      anon_sym_STAR,
    ACTIONS(1694), 1,
      anon_sym_static,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    ACTIONS(724), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [27677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1621), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1726), 1,
      anon_sym_DOT,
    STATE(674), 1,
      sym_arguments,
    ACTIONS(1724), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1722), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(638), 1,
      anon_sym_var,
    ACTIONS(652), 1,
      anon_sym_class,
    ACTIONS(654), 1,
      anon_sym_async,
    ACTIONS(656), 1,
      anon_sym_function,
    ACTIONS(1718), 1,
      anon_sym_default,
    STATE(254), 1,
      sym_declaration,
    STATE(673), 1,
      sym_decorator,
    STATE(853), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(640), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(251), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [27821] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
    STATE(968), 1,
      sym_pattern,
    STATE(1004), 1,
      sym_assignment_pattern,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27859] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(638), 1,
      anon_sym_var,
    ACTIONS(696), 1,
      anon_sym_class,
    ACTIONS(698), 1,
      anon_sym_async,
    ACTIONS(700), 1,
      anon_sym_function,
    ACTIONS(1718), 1,
      anon_sym_default,
    STATE(254), 1,
      sym_declaration,
    STATE(673), 1,
      sym_decorator,
    STATE(835), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(640), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(251), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [27901] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(968), 1,
      sym_pattern,
    STATE(1004), 1,
      sym_assignment_pattern,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27939] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(586), 1,
      anon_sym_RPAREN,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    STATE(845), 1,
      sym_pattern,
    STATE(902), 1,
      sym_assignment_pattern,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1734), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1738), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [28044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1696), 1,
      anon_sym_STAR,
    ACTIONS(1698), 1,
      sym_number,
    ACTIONS(1742), 1,
      anon_sym_async,
    ACTIONS(1700), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [28083] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1696), 1,
      anon_sym_STAR,
    ACTIONS(1698), 1,
      sym_number,
    ACTIONS(1700), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [28120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 7,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1744), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [28164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_number,
    ACTIONS(1750), 1,
      anon_sym_EQ_GT,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1754), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_AT,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
    ACTIONS(1758), 5,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
    ACTIONS(1756), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [28272] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1765), 1,
      anon_sym_STAR,
    ACTIONS(1767), 1,
      sym_number,
    ACTIONS(1769), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1081), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [28309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1773), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    STATE(968), 1,
      sym_pattern,
    STATE(1004), 1,
      sym_assignment_pattern,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1777), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28390] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      sym_number,
    STATE(1081), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    STATE(1019), 1,
      sym_pattern,
    STATE(776), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1706), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1779), 1,
      sym_number,
    STATE(1036), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_SEMI,
    ACTIONS(1781), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1783), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_number,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1789), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [28563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1722), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1791), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1795), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1767), 1,
      sym_number,
    STATE(1081), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_number,
    STATE(1021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28684] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28713] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1779), 1,
      sym_number,
    STATE(1036), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28742] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1807), 1,
      anon_sym_SLASH,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    STATE(712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28777] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(1813), 1,
      anon_sym_SLASH,
    STATE(706), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28812] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(1815), 1,
      anon_sym_SLASH,
    STATE(709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(1817), 1,
      anon_sym_SLASH,
    STATE(711), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28882] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1821), 1,
      anon_sym_LT,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    STATE(397), 1,
      sym_jsx_closing_element,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28908] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(1813), 1,
      anon_sym_SLASH,
    STATE(706), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28940] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1813), 1,
      anon_sym_SLASH,
    STATE(706), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28972] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_LT,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(882), 1,
      sym_jsx_closing_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28998] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(1815), 1,
      anon_sym_SLASH,
    STATE(709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29030] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1821), 1,
      anon_sym_LT,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1829), 1,
      sym_jsx_text,
    STATE(384), 1,
      sym_jsx_closing_element,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(683), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29056] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(1817), 1,
      anon_sym_SLASH,
    STATE(711), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29088] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_LT,
    ACTIONS(1833), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(794), 1,
      sym_jsx_closing_element,
    STATE(691), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29114] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_LT,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(793), 1,
      sym_jsx_closing_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29140] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1807), 1,
      anon_sym_SLASH,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    STATE(712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29172] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1817), 1,
      anon_sym_SLASH,
    STATE(711), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29204] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1807), 1,
      anon_sym_SLASH,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    STATE(712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29236] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1815), 1,
      anon_sym_SLASH,
    STATE(709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29268] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_LT,
    ACTIONS(1835), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(878), 1,
      sym_jsx_closing_element,
    STATE(686), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29294] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LT,
    ACTIONS(1839), 1,
      sym_jsx_text,
    STATE(490), 1,
      sym_jsx_closing_element,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(698), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29320] = 7,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LT,
    STATE(513), 1,
      sym_jsx_closing_element,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1841), 1,
      anon_sym_LT,
    ACTIONS(1843), 1,
      anon_sym_DQUOTE,
    ACTIONS(1845), 1,
      anon_sym_SQUOTE,
    STATE(690), 1,
      sym_jsx_opening_element,
    STATE(780), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [29372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1841), 1,
      anon_sym_LT,
    ACTIONS(1843), 1,
      anon_sym_DQUOTE,
    ACTIONS(1845), 1,
      anon_sym_SQUOTE,
    STATE(690), 1,
      sym_jsx_opening_element,
    STATE(782), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [29398] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1817), 1,
      anon_sym_SLASH,
    STATE(711), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29450] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1815), 1,
      anon_sym_SLASH,
    STATE(709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29479] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_LT,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29502] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LT,
    ACTIONS(1853), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(704), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1855), 1,
      anon_sym_GT,
    ACTIONS(1857), 1,
      anon_sym_SLASH,
    STATE(710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29554] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1859), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(708), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29577] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_LT,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1855), 1,
      anon_sym_GT,
    ACTIONS(1865), 1,
      anon_sym_SLASH,
    STATE(710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_GT,
    ACTIONS(1875), 1,
      anon_sym_SLASH,
    ACTIONS(1877), 1,
      sym_jsx_identifier,
    STATE(710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1855), 1,
      anon_sym_GT,
    ACTIONS(1880), 1,
      anon_sym_SLASH,
    STATE(710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1855), 1,
      anon_sym_GT,
    ACTIONS(1882), 1,
      anon_sym_SLASH,
    STATE(710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29716] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LT,
    ACTIONS(1886), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(718), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    ACTIONS(1813), 1,
      anon_sym_SLASH,
    STATE(706), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29768] = 6,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_LT,
    ACTIONS(1894), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_LBRACE,
    ACTIONS(1805), 1,
      anon_sym_GT,
    ACTIONS(1807), 1,
      anon_sym_SLASH,
    ACTIONS(1809), 1,
      sym_jsx_identifier,
    STATE(712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(755), 1,
      sym_jsx_namespace_name,
    STATE(800), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [29820] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_LT,
    ACTIONS(1899), 1,
      sym_jsx_text,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(701), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29843] = 6,
    ACTIONS(1819), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym_jsx_text,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LT,
    STATE(696), 1,
      sym_jsx_opening_element,
    STATE(715), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [29866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    STATE(821), 1,
      sym_variable_declarator,
    STATE(738), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [29887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [29900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    STATE(859), 1,
      sym_variable_declarator,
    STATE(738), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [29921] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(684), 1,
      anon_sym_RBRACE,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [29944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(636), 1,
      anon_sym_RBRACE,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [29967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      sym_identifier,
    STATE(859), 1,
      sym_variable_declarator,
    STATE(777), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [29988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      sym_identifier,
    STATE(821), 1,
      sym_variable_declarator,
    STATE(777), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [30022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [30097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      sym_identifier,
    STATE(965), 1,
      sym_variable_declarator,
    STATE(777), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [30118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1677), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [30141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    STATE(920), 1,
      aux_sym_object_repeat1,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [30177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1925), 1,
      anon_sym_EQ,
    ACTIONS(1921), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1923), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [30209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    STATE(930), 1,
      sym__initializer,
    ACTIONS(1929), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(1927), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30228] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
    STATE(932), 1,
      aux_sym_object_repeat1,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [30251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1935), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [30265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_BQUOTE,
    ACTIONS(1941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1937), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(748), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [30295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1038), 1,
      sym__initializer,
    STATE(1080), 1,
      sym_formal_parameters,
    ACTIONS(1945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1955), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      sym_identifier,
    STATE(1103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [30377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(757), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [30395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_BQUOTE,
    ACTIONS(1968), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(748), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [30413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1971), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1973), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1975), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      sym_identifier,
    STATE(1152), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [30497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1979), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_EQ,
    ACTIONS(1981), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1983), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [30547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1989), 4,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
  [30561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1991), 1,
      anon_sym_BQUOTE,
    ACTIONS(1937), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(748), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [30579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1995), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(742), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [30597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1997), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(1999), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1022), 1,
      sym_formal_parameters,
    STATE(1072), 1,
      sym__initializer,
    ACTIONS(2001), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(2003), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(2005), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_default,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    ACTIONS(2012), 1,
      anon_sym_case,
    STATE(768), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [30771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      sym_identifier,
    STATE(785), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [30789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(2017), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30835] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    ACTIONS(2019), 1,
      anon_sym_SLASH,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [30857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_default,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2025), 1,
      anon_sym_case,
    STATE(768), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [30875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_default,
    ACTIONS(2025), 1,
      anon_sym_case,
    ACTIONS(2027), 1,
      anon_sym_RBRACE,
    STATE(774), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [30893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [30904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    STATE(930), 1,
      sym__initializer,
    ACTIONS(1927), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 1,
      sym_identifier,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2033), 1,
      anon_sym_extends,
    STATE(489), 1,
      sym_class_body,
    STATE(1089), 1,
      sym_class_heritage,
  [30938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      sym_identifier,
    ACTIONS(2037), 1,
      anon_sym_GT,
    ACTIONS(2039), 1,
      sym_jsx_identifier,
    STATE(684), 1,
      sym_nested_identifier,
    STATE(714), 1,
      sym_jsx_namespace_name,
  [30957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2041), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2043), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [30970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2045), 1,
      sym_identifier,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_class_body,
    STATE(1028), 1,
      sym_class_heritage,
  [30989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2051), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2055), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2059), 1,
      anon_sym_GT,
    ACTIONS(2061), 1,
      sym_jsx_identifier,
    STATE(689), 1,
      sym_nested_identifier,
    STATE(702), 1,
      sym_jsx_namespace_name,
  [31034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [31045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2065), 1,
      sym_identifier,
    STATE(491), 1,
      sym_class_body,
    STATE(1033), 1,
      sym_class_heritage,
  [31064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1349), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1353), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1368), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(1621), 1,
      anon_sym_COLON,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_RBRACE,
    STATE(921), 1,
      aux_sym_object_pattern_repeat1,
  [31122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1364), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1310), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1292), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1224), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2069), 1,
      anon_sym_export,
    ACTIONS(2071), 1,
      anon_sym_class,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
  [31193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      sym_jsx_identifier,
    STATE(687), 1,
      sym_nested_identifier,
    STATE(703), 1,
      sym_jsx_namespace_name,
  [31212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1280), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 1,
      sym_identifier,
    ACTIONS(2075), 1,
      anon_sym_GT,
    ACTIONS(2077), 1,
      sym_jsx_identifier,
    STATE(692), 1,
      sym_nested_identifier,
    STATE(716), 1,
      sym_jsx_namespace_name,
  [31244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2079), 1,
      anon_sym_export,
    ACTIONS(2081), 1,
      anon_sym_class,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
  [31263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2085), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2087), 1,
      sym_identifier,
    STATE(489), 1,
      sym_class_body,
    STATE(1089), 1,
      sym_class_heritage,
  [31295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1240), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [31319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2089), 1,
      sym_identifier,
    STATE(489), 1,
      sym_class_body,
    STATE(1089), 1,
      sym_class_heritage,
  [31338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2093), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [31351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2095), 1,
      sym_identifier,
    STATE(491), 1,
      sym_class_body,
    STATE(1033), 1,
      sym_class_heritage,
  [31370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2097), 1,
      sym_identifier,
    STATE(491), 1,
      sym_class_body,
    STATE(1033), 1,
      sym_class_heritage,
  [31389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_extends,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    ACTIONS(2099), 1,
      sym_identifier,
    STATE(391), 1,
      sym_class_body,
    STATE(1097), 1,
      sym_class_heritage,
  [31423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(1621), 1,
      anon_sym_COLON,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(2101), 1,
      anon_sym_RBRACE,
    STATE(933), 1,
      aux_sym_object_pattern_repeat1,
  [31442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_from,
    STATE(974), 1,
      sym__from_clause,
    ACTIONS(2105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31456] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_SQUOTE,
    STATE(861), 1,
      aux_sym_string_repeat2,
    ACTIONS(2109), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [31470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(242), 1,
      sym_class_body,
    STATE(1069), 1,
      sym_class_heritage,
  [31486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2115), 1,
      anon_sym_class,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
  [31502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(464), 1,
      sym_class_body,
    STATE(987), 1,
      sym_class_heritage,
  [31518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(2117), 1,
      anon_sym_STAR,
    STATE(1197), 2,
      sym_namespace_import,
      sym_named_imports,
  [31532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(242), 1,
      sym_class_body,
    STATE(988), 1,
      sym_class_heritage,
  [31548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(2119), 1,
      sym_identifier,
    ACTIONS(2121), 1,
      anon_sym_LBRACK,
    STATE(508), 1,
      sym_arguments,
  [31564] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_DQUOTE,
    STATE(860), 1,
      aux_sym_string_repeat1,
    ACTIONS(2123), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [31578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(557), 1,
      sym_class_body,
    STATE(991), 1,
      sym_class_heritage,
  [31594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_COMMA,
    STATE(839), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2127), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [31618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2131), 1,
      sym_identifier,
    ACTIONS(2133), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_formal_parameters,
  [31634] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_SQUOTE,
    STATE(861), 1,
      aux_sym_string_repeat2,
    ACTIONS(2109), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [31648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2137), 1,
      sym_identifier,
    ACTIONS(2139), 1,
      anon_sym_STAR,
    STATE(1112), 1,
      sym_formal_parameters,
  [31664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2143), 1,
      anon_sym_COMMA,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(929), 1,
      sym__import_export_specifier,
  [31680] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_DQUOTE,
    STATE(860), 1,
      aux_sym_string_repeat1,
    ACTIONS(2123), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [31694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [31704] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_SQUOTE,
    STATE(824), 1,
      aux_sym_string_repeat2,
    ACTIONS(2149), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [31718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_COMMA,
    STATE(830), 1,
      aux_sym_array_repeat1,
    ACTIONS(1383), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [31732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_formal_parameters,
  [31748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      sym_jsx_identifier,
    STATE(1096), 1,
      sym_nested_identifier,
    STATE(1137), 1,
      sym_jsx_namespace_name,
  [31764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2162), 1,
      sym_identifier,
    ACTIONS(2164), 1,
      anon_sym_STAR,
    STATE(1101), 1,
      sym_formal_parameters,
  [31780] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2166), 1,
      anon_sym_SQUOTE,
    STATE(812), 1,
      aux_sym_string_repeat2,
    ACTIONS(2168), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [31794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2170), 1,
      anon_sym_class,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
  [31810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(577), 1,
      sym_class_body,
    STATE(1084), 1,
      sym_class_heritage,
  [31826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [31836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_COMMA,
    STATE(838), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_COMMA,
    STATE(838), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2177), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_COMMA,
    STATE(838), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2179), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2181), 1,
      sym_identifier,
    ACTIONS(2183), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_formal_parameters,
  [31894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [31904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      sym_jsx_identifier,
    STATE(985), 1,
      sym_nested_identifier,
    STATE(1204), 1,
      sym_jsx_namespace_name,
  [31920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_COLON,
    ACTIONS(1623), 1,
      anon_sym_EQ,
    ACTIONS(2189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 1,
      anon_sym_COMMA,
    ACTIONS(2193), 1,
      anon_sym_RPAREN,
    ACTIONS(2195), 1,
      anon_sym_EQ,
    STATE(939), 1,
      aux_sym_formal_parameters_repeat1,
  [31950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_RBRACE,
    STATE(919), 1,
      sym__import_export_specifier,
  [31966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2201), 1,
      sym_identifier,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    STATE(1101), 1,
      sym_formal_parameters,
  [31982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(448), 1,
      sym_class_body,
    STATE(1093), 1,
      sym_class_heritage,
  [31998] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_DQUOTE,
    STATE(860), 1,
      aux_sym_string_repeat1,
    ACTIONS(2123), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [32012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(229), 1,
      sym_class_body,
    STATE(1027), 1,
      sym_class_heritage,
  [32028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      sym_jsx_identifier,
    STATE(1075), 1,
      sym_nested_identifier,
    STATE(1159), 1,
      sym_jsx_namespace_name,
  [32044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(61), 1,
      sym_class_body,
    STATE(1016), 1,
      sym_class_heritage,
  [32060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2211), 1,
      anon_sym_class,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
  [32076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_EQ,
    ACTIONS(1061), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [32088] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2166), 1,
      anon_sym_DQUOTE,
    STATE(819), 1,
      aux_sym_string_repeat1,
    ACTIONS(2216), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [32102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(418), 1,
      sym_class_body,
    STATE(1010), 1,
      sym_class_heritage,
  [32118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2195), 1,
      anon_sym_EQ,
    ACTIONS(2218), 1,
      anon_sym_RBRACK,
    STATE(948), 1,
      aux_sym_array_pattern_repeat1,
  [32134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_STAR,
    STATE(1060), 1,
      sym_formal_parameters,
  [32150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_COMMA,
    STATE(840), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32164] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_DQUOTE,
    STATE(860), 1,
      aux_sym_string_repeat1,
    ACTIONS(2228), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [32178] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_SQUOTE,
    STATE(861), 1,
      aux_sym_string_repeat2,
    ACTIONS(2233), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [32192] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_DQUOTE,
    STATE(827), 1,
      aux_sym_string_repeat1,
    ACTIONS(2236), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [32206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_STAR,
    STATE(1101), 1,
      sym_formal_parameters,
  [32222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      sym_identifier,
    ACTIONS(2244), 1,
      sym_jsx_identifier,
    STATE(1012), 1,
      sym_nested_identifier,
    STATE(1196), 1,
      sym_jsx_namespace_name,
  [32238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(482), 1,
      sym_class_body,
    STATE(1061), 1,
      sym_class_heritage,
  [32254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2195), 1,
      anon_sym_EQ,
    ACTIONS(2246), 1,
      anon_sym_RBRACK,
    STATE(946), 1,
      aux_sym_array_pattern_repeat1,
  [32270] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_DQUOTE,
    STATE(849), 1,
      aux_sym_string_repeat1,
    ACTIONS(2250), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [32284] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_SQUOTE,
    STATE(874), 1,
      aux_sym_string_repeat2,
    ACTIONS(2252), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [32298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(229), 1,
      sym_class_body,
    STATE(1020), 1,
      sym_class_heritage,
  [32314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2254), 1,
      anon_sym_class,
    STATE(660), 1,
      aux_sym_export_statement_repeat1,
    STATE(673), 1,
      sym_decorator,
  [32330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_extends,
    STATE(60), 1,
      sym_class_body,
    STATE(1050), 1,
      sym_class_heritage,
  [32358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(2256), 1,
      sym_identifier,
    ACTIONS(2258), 1,
      anon_sym_LBRACK,
    STATE(396), 1,
      sym_arguments,
  [32374] = 4,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_SQUOTE,
    STATE(861), 1,
      aux_sym_string_repeat2,
    ACTIONS(2109), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [32388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(945), 1,
      aux_sym_array_repeat1,
  [32401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_COMMA,
    ACTIONS(2263), 1,
      anon_sym_RPAREN,
    STATE(876), 1,
      aux_sym_formal_parameters_repeat1,
  [32414] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1347), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32423] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1222), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32432] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1308), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_LPAREN,
    ACTIONS(2267), 1,
      anon_sym_await,
    STATE(42), 1,
      sym__for_header,
  [32454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      sym_identifier,
    ACTIONS(2271), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32465] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1290), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32474] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1362), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32483] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1366), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_EQ,
    ACTIONS(1032), 2,
      anon_sym_in,
      anon_sym_of,
  [32514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [32523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_EQ,
    ACTIONS(1061), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    STATE(934), 1,
      aux_sym_object_pattern_repeat1,
  [32547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    STATE(935), 1,
      aux_sym_object_repeat1,
  [32560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2287), 1,
      sym_identifier,
    STATE(998), 1,
      sym_formal_parameters,
  [32573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [32586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [32599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      sym_identifier,
    STATE(645), 1,
      sym_decorator_member_expression,
    STATE(672), 1,
      sym_decorator_call_expression,
  [32612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2294), 1,
      anon_sym_RBRACE,
    STATE(895), 1,
      aux_sym_export_clause_repeat1,
  [32625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      sym_identifier,
    STATE(1043), 1,
      sym_formal_parameters,
  [32638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      aux_sym_object_pattern_repeat1,
  [32651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2300), 1,
      anon_sym_RBRACE,
    STATE(925), 1,
      aux_sym_object_repeat1,
  [32664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_COLON,
    STATE(1080), 1,
      sym_formal_parameters,
  [32677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2300), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [32690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [32703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 1,
      anon_sym_COMMA,
    ACTIONS(2193), 1,
      anon_sym_RPAREN,
    STATE(939), 1,
      aux_sym_formal_parameters_repeat1,
  [32716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2218), 1,
      anon_sym_RBRACK,
    STATE(948), 1,
      aux_sym_array_pattern_repeat1,
  [32729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [32738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1408), 1,
      anon_sym_RBRACK,
    STATE(947), 1,
      aux_sym_array_repeat1,
  [32751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1408), 1,
      anon_sym_RBRACK,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [32764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2246), 1,
      anon_sym_RBRACK,
    STATE(946), 1,
      aux_sym_array_pattern_repeat1,
  [32777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2218), 1,
      anon_sym_RBRACK,
    STATE(949), 1,
      aux_sym_array_pattern_repeat1,
  [32790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      sym_identifier,
    STATE(998), 1,
      sym_formal_parameters,
  [32803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [32816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2246), 1,
      anon_sym_RBRACK,
    STATE(949), 1,
      aux_sym_array_pattern_repeat1,
  [32829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      sym_identifier,
    STATE(1043), 1,
      sym_formal_parameters,
  [32842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      sym_identifier,
    STATE(1043), 1,
      sym_formal_parameters,
  [32855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_while,
    ACTIONS(2312), 1,
      anon_sym_else,
    STATE(252), 1,
      sym_else_clause,
  [32868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    STATE(1032), 1,
      sym_string,
  [32881] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(1351), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [32890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [32899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_as,
    ACTIONS(2316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_COMMA,
    ACTIONS(2322), 1,
      anon_sym_RBRACE,
    STATE(961), 1,
      aux_sym_export_clause_repeat1,
  [32923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2324), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [32936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2326), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [32949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_LPAREN,
    ACTIONS(2330), 1,
      anon_sym_await,
    STATE(34), 1,
      sym__for_header,
  [32962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_EQ,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2332), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [32986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2334), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [32999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_COMMA,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [33012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2341), 1,
      anon_sym_GT,
  [33025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [33038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_COMMA,
    ACTIONS(2350), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      aux_sym_named_imports_repeat1,
  [33051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [33060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_COMMA,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      aux_sym_named_imports_repeat1,
  [33073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2359), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [33086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2361), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [33099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    ACTIONS(2363), 1,
      anon_sym_RBRACE,
    STATE(928), 1,
      aux_sym_object_pattern_repeat1,
  [33112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    STATE(926), 1,
      aux_sym_object_repeat1,
  [33125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    STATE(1083), 1,
      sym__import_export_specifier,
  [33138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_EQ,
    ACTIONS(1032), 2,
      anon_sym_in,
      anon_sym_of,
  [33149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      sym_identifier,
    STATE(1055), 1,
      sym_formal_parameters,
  [33162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
    ACTIONS(2373), 1,
      anon_sym_COMMA,
    STATE(876), 1,
      aux_sym_formal_parameters_repeat1,
  [33175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2375), 1,
      anon_sym_GT,
  [33188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    ACTIONS(2379), 1,
      anon_sym_LPAREN,
    STATE(233), 1,
      sym_statement_block,
  [33201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [33210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_EQ,
    ACTIONS(2381), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [33221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      sym__automatic_semicolon,
    ACTIONS(429), 2,
      anon_sym_else,
      anon_sym_while,
  [33232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2383), 1,
      anon_sym_RBRACK,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [33245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    STATE(949), 1,
      aux_sym_array_pattern_repeat1,
  [33258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2387), 1,
      anon_sym_RBRACK,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [33271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_COMMA,
    ACTIONS(2389), 1,
      anon_sym_RBRACK,
    STATE(949), 1,
      aux_sym_array_pattern_repeat1,
  [33284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_RBRACK,
    ACTIONS(2391), 1,
      anon_sym_COMMA,
    STATE(949), 1,
      aux_sym_array_pattern_repeat1,
  [33297] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2394), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [33306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2396), 1,
      sym_identifier,
    STATE(998), 1,
      sym_formal_parameters,
  [33319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1397), 1,
      anon_sym_RPAREN,
    STATE(970), 1,
      aux_sym_array_repeat1,
  [33332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1397), 1,
      anon_sym_RPAREN,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [33345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1385), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      aux_sym_array_repeat1,
  [33358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1385), 1,
      anon_sym_RPAREN,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [33371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2398), 1,
      anon_sym_RBRACE,
    STATE(1035), 1,
      sym__import_export_specifier,
  [33384] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2053), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [33393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [33402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [33411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_RBRACE,
    STATE(1035), 1,
      sym__import_export_specifier,
  [33424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_RBRACE,
    ACTIONS(2406), 1,
      anon_sym_COMMA,
    STATE(895), 1,
      aux_sym_export_clause_repeat1,
  [33437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2408), 1,
      anon_sym_COLON,
    STATE(1080), 1,
      sym_formal_parameters,
  [33450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
    STATE(1083), 1,
      sym__import_export_specifier,
  [33463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_RBRACE,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(931), 1,
      aux_sym_named_imports_repeat1,
  [33476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [33485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2414), 1,
      sym_identifier,
    STATE(979), 1,
      sym_formal_parameters,
  [33498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [33511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_EQ,
    ACTIONS(2263), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [33522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2418), 1,
      anon_sym_GT,
  [33535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    STATE(830), 1,
      aux_sym_array_repeat1,
  [33548] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2091), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [33557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_GT,
  [33570] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2424), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [33579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [33587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(993), 1,
      sym_formal_parameters,
  [33597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_statement_block,
  [33607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      sym_identifier,
    ACTIONS(2432), 1,
      anon_sym_STAR,
  [33617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(1052), 1,
      sym_parenthesized_expression,
  [33627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_statement_block,
  [33637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_statement_block,
  [33647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_statement_block,
  [33657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(2418), 1,
      anon_sym_GT,
  [33667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2440), 1,
      anon_sym_STAR,
  [33677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(2422), 1,
      anon_sym_GT,
  [33687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_GT,
  [33697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
  [33707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_class_body,
  [33717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(238), 1,
      sym_class_body,
  [33727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_statement_block,
  [33737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
  [33747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_class_body,
  [33757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(215), 1,
      sym_statement_block,
  [33767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_statement_block,
  [33777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [33787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_statement_block,
  [33797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(57), 1,
      sym_statement_block,
  [33807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(49), 1,
      sym_statement_block,
  [33817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(554), 1,
      sym_statement_block,
  [33827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1071), 1,
      sym_formal_parameters,
  [33837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [33845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_statement_block,
  [33855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_statement_block,
  [33865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [33873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [33881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [33889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_statement_block,
  [33899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1117), 1,
      sym_formal_parameters,
  [33909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1116), 1,
      sym_formal_parameters,
  [33919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(665), 1,
      sym_statement_block,
  [33929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_class_body,
  [33939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [33947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2418), 1,
      anon_sym_GT,
  [33957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1076), 1,
      sym_formal_parameters,
  [33967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1078), 1,
      sym_formal_parameters,
  [33977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1082), 1,
      sym_formal_parameters,
  [33987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(59), 1,
      sym_class_body,
  [33997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(225), 1,
      sym_statement_block,
  [34007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1088), 1,
      sym_formal_parameters,
  [34017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2448), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [34025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(239), 1,
      sym_class_body,
  [34035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1009), 1,
      sym_formal_parameters,
  [34045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(652), 1,
      sym_statement_block,
  [34055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_LBRACE,
    STATE(241), 1,
      sym_statement_block,
  [34065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1065), 1,
      sym_formal_parameters,
  [34075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1064), 1,
      sym_formal_parameters,
  [34085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    STATE(1083), 1,
      sym__import_export_specifier,
  [34095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_LBRACE,
    STATE(239), 1,
      sym_class_body,
  [34105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_class_body,
  [34115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [34123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_from,
    STATE(974), 1,
      sym__from_clause,
  [34141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_class_body,
  [34159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 1,
      sym_identifier,
    ACTIONS(2458), 1,
      anon_sym_STAR,
  [34169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [34177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1002), 1,
      sym_formal_parameters,
  [34187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym_statement_block,
  [34197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1006), 1,
      sym_formal_parameters,
  [34215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_statement_block,
  [34225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_COMMA,
    ACTIONS(2466), 1,
      anon_sym_from,
  [34235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(52), 1,
      sym_statement_block,
  [34245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_statement_block,
  [34255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_from,
    STATE(1085), 1,
      sym__from_clause,
  [34265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(996), 1,
      sym_formal_parameters,
  [34283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_statement_block,
  [34293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(997), 1,
      sym_formal_parameters,
  [34303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_statement_block,
  [34313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_class_body,
  [34323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_LBRACE,
    STATE(274), 1,
      sym_switch_body,
  [34341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__for_header,
  [34351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [34359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_statement_block,
  [34369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      sym_identifier,
    ACTIONS(2478), 1,
      sym_jsx_identifier,
  [34379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_identifier,
    STATE(1035), 1,
      sym__import_export_specifier,
  [34389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_statement_block,
  [34415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_class_body,
  [34425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1040), 1,
      sym_formal_parameters,
  [34435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
  [34445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_LBRACE,
    STATE(224), 1,
      sym_statement_block,
  [34455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_LBRACE,
    STATE(235), 1,
      sym_statement_block,
  [34465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [34473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(255), 1,
      sym_statement_block,
  [34483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_LBRACE,
    STATE(238), 1,
      sym_class_body,
  [34501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LPAREN,
    STATE(1003), 1,
      sym_parenthesized_expression,
  [34511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(51), 1,
      sym_statement_block,
  [34521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(2375), 1,
      anon_sym_GT,
  [34539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2375), 1,
      anon_sym_GT,
  [34557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_statement_block,
  [34567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(995), 1,
      sym_formal_parameters,
  [34577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_LBRACE,
    STATE(235), 1,
      sym_statement_block,
  [34587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [34595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_LBRACE,
    STATE(659), 1,
      sym_statement_block,
  [34605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1037), 1,
      sym_formal_parameters,
  [34615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_LBRACE,
    STATE(224), 1,
      sym_statement_block,
  [34625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [34633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_class_body,
  [34643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(990), 1,
      sym_formal_parameters,
  [34661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_formal_parameters,
  [34671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_LBRACE,
    STATE(241), 1,
      sym_statement_block,
  [34681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_class_body,
  [34691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(981), 1,
      sym_formal_parameters,
  [34701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(980), 1,
      sym_formal_parameters,
  [34711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(976), 1,
      sym_formal_parameters,
  [34721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    STATE(424), 1,
      sym_class_body,
  [34731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_GT,
  [34741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [34749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_DOT,
    ACTIONS(2341), 1,
      anon_sym_GT,
  [34759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_class_body,
  [34769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1042), 1,
      sym_formal_parameters,
  [34779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      sym_identifier,
    ACTIONS(2258), 1,
      anon_sym_LBRACK,
  [34789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_statement_block,
  [34807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_identifier,
    ACTIONS(2121), 1,
      anon_sym_LBRACK,
  [34817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 2,
      anon_sym_in,
      anon_sym_of,
  [34825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(2498), 1,
      anon_sym_EQ_GT,
  [34835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
    ACTIONS(1750), 1,
      anon_sym_EQ_GT,
  [34845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [34853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1049), 1,
      sym_formal_parameters,
  [34863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [34871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1022), 1,
      sym_formal_parameters,
  [34881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_parenthesized_expression,
  [34891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1001), 1,
      sym_formal_parameters,
  [34901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_statement_block,
  [34911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
  [34921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
  [34931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LPAREN,
    STATE(29), 1,
      sym__for_header,
  [34941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_statement_block,
  [34951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACE,
    STATE(426), 1,
      sym_statement_block,
  [34961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      sym_identifier,
    ACTIONS(2502), 1,
      anon_sym_STAR,
  [34971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(1023), 1,
      sym_formal_parameters,
  [34981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_while,
  [34988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_COLON,
  [34995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym_identifier,
  [35002] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2510), 1,
      sym_regex_pattern,
  [35009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 1,
      anon_sym_target,
  [35016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_LPAREN,
  [35023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
  [35030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_RBRACE,
  [35037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_EQ_GT,
  [35044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_EQ_GT,
  [35051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_EQ,
  [35058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_RPAREN,
  [35065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_identifier,
  [35072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_target,
  [35079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      sym_identifier,
  [35086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      sym_identifier,
  [35093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_GT,
  [35100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_GT,
  [35107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_RPAREN,
  [35114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_GT,
  [35121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_GT,
  [35128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_EQ_GT,
  [35135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_EQ_GT,
  [35142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_GT,
  [35149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
  [35156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ_GT,
  [35163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      sym_identifier,
  [35170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_RBRACE,
  [35177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 1,
      anon_sym_SLASH2,
  [35184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_SLASH2,
  [35191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_from,
  [35198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_COLON,
  [35205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
  [35212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_EQ_GT,
  [35219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_from,
  [35226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_EQ,
  [35233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_GT,
  [35240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_RPAREN,
  [35247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_GT,
  [35254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      anon_sym_GT,
  [35261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_GT,
  [35268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_GT,
  [35275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_GT,
  [35282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_GT,
  [35289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 1,
      anon_sym_EQ_GT,
  [35296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      sym_identifier,
  [35303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_function,
  [35310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_RPAREN,
  [35317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_EQ_GT,
  [35324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_RPAREN,
  [35331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_GT,
  [35338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      sym_identifier,
  [35345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_EQ_GT,
  [35352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_from,
  [35359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_EQ,
  [35366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_RBRACE,
  [35373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_as,
  [35380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
  [35387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_RPAREN,
  [35394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_RBRACK,
  [35401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_RBRACK,
  [35408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_EQ,
  [35415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_from,
  [35422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_RBRACE,
  [35429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      sym_identifier,
  [35436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      sym_identifier,
  [35443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_RBRACE,
  [35450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_EQ_GT,
  [35457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym_identifier,
  [35464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      sym_identifier,
  [35471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_EQ,
  [35478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_from,
  [35485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      ts_builtin_sym_end,
  [35492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
  [35499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_from,
  [35506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_from,
  [35513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_GT,
  [35520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_from,
  [35527] = 2,
    ACTIONS(1825), 1,
      sym_comment,
    ACTIONS(2606), 1,
      sym_regex_pattern,
  [35534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_COLON,
  [35541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_GT,
  [35548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_GT,
  [35555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_RBRACK,
  [35562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_GT,
  [35569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_GT,
  [35576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_EQ_GT,
  [35583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_RBRACK,
  [35590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      anon_sym_GT,
  [35597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_GT,
  [35604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_identifier,
  [35611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      sym_identifier,
  [35618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_function,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(207)] = 0,
  [SMALL_STATE(208)] = 73,
  [SMALL_STATE(209)] = 146,
  [SMALL_STATE(210)] = 233,
  [SMALL_STATE(211)] = 320,
  [SMALL_STATE(212)] = 410,
  [SMALL_STATE(213)] = 480,
  [SMALL_STATE(214)] = 566,
  [SMALL_STATE(215)] = 654,
  [SMALL_STATE(216)] = 732,
  [SMALL_STATE(217)] = 802,
  [SMALL_STATE(218)] = 890,
  [SMALL_STATE(219)] = 976,
  [SMALL_STATE(220)] = 1063,
  [SMALL_STATE(221)] = 1135,
  [SMALL_STATE(222)] = 1219,
  [SMALL_STATE(223)] = 1307,
  [SMALL_STATE(224)] = 1393,
  [SMALL_STATE(225)] = 1462,
  [SMALL_STATE(226)] = 1529,
  [SMALL_STATE(227)] = 1600,
  [SMALL_STATE(228)] = 1667,
  [SMALL_STATE(229)] = 1734,
  [SMALL_STATE(230)] = 1803,
  [SMALL_STATE(231)] = 1890,
  [SMALL_STATE(232)] = 1957,
  [SMALL_STATE(233)] = 2024,
  [SMALL_STATE(234)] = 2091,
  [SMALL_STATE(235)] = 2160,
  [SMALL_STATE(236)] = 2229,
  [SMALL_STATE(237)] = 2298,
  [SMALL_STATE(238)] = 2365,
  [SMALL_STATE(239)] = 2434,
  [SMALL_STATE(240)] = 2503,
  [SMALL_STATE(241)] = 2570,
  [SMALL_STATE(242)] = 2639,
  [SMALL_STATE(243)] = 2708,
  [SMALL_STATE(244)] = 2777,
  [SMALL_STATE(245)] = 2843,
  [SMALL_STATE(246)] = 2909,
  [SMALL_STATE(247)] = 2975,
  [SMALL_STATE(248)] = 3041,
  [SMALL_STATE(249)] = 3107,
  [SMALL_STATE(250)] = 3173,
  [SMALL_STATE(251)] = 3239,
  [SMALL_STATE(252)] = 3305,
  [SMALL_STATE(253)] = 3371,
  [SMALL_STATE(254)] = 3437,
  [SMALL_STATE(255)] = 3503,
  [SMALL_STATE(256)] = 3569,
  [SMALL_STATE(257)] = 3635,
  [SMALL_STATE(258)] = 3701,
  [SMALL_STATE(259)] = 3767,
  [SMALL_STATE(260)] = 3833,
  [SMALL_STATE(261)] = 3899,
  [SMALL_STATE(262)] = 3965,
  [SMALL_STATE(263)] = 4031,
  [SMALL_STATE(264)] = 4097,
  [SMALL_STATE(265)] = 4163,
  [SMALL_STATE(266)] = 4229,
  [SMALL_STATE(267)] = 4295,
  [SMALL_STATE(268)] = 4361,
  [SMALL_STATE(269)] = 4427,
  [SMALL_STATE(270)] = 4493,
  [SMALL_STATE(271)] = 4559,
  [SMALL_STATE(272)] = 4625,
  [SMALL_STATE(273)] = 4691,
  [SMALL_STATE(274)] = 4757,
  [SMALL_STATE(275)] = 4823,
  [SMALL_STATE(276)] = 4889,
  [SMALL_STATE(277)] = 4955,
  [SMALL_STATE(278)] = 5021,
  [SMALL_STATE(279)] = 5087,
  [SMALL_STATE(280)] = 5153,
  [SMALL_STATE(281)] = 5219,
  [SMALL_STATE(282)] = 5285,
  [SMALL_STATE(283)] = 5351,
  [SMALL_STATE(284)] = 5417,
  [SMALL_STATE(285)] = 5483,
  [SMALL_STATE(286)] = 5549,
  [SMALL_STATE(287)] = 5615,
  [SMALL_STATE(288)] = 5681,
  [SMALL_STATE(289)] = 5747,
  [SMALL_STATE(290)] = 5828,
  [SMALL_STATE(291)] = 5909,
  [SMALL_STATE(292)] = 5990,
  [SMALL_STATE(293)] = 6054,
  [SMALL_STATE(294)] = 6118,
  [SMALL_STATE(295)] = 6182,
  [SMALL_STATE(296)] = 6246,
  [SMALL_STATE(297)] = 6315,
  [SMALL_STATE(298)] = 6384,
  [SMALL_STATE(299)] = 6453,
  [SMALL_STATE(300)] = 6522,
  [SMALL_STATE(301)] = 6589,
  [SMALL_STATE(302)] = 6657,
  [SMALL_STATE(303)] = 6727,
  [SMALL_STATE(304)] = 6799,
  [SMALL_STATE(305)] = 6867,
  [SMALL_STATE(306)] = 6937,
  [SMALL_STATE(307)] = 6999,
  [SMALL_STATE(308)] = 7061,
  [SMALL_STATE(309)] = 7133,
  [SMALL_STATE(310)] = 7201,
  [SMALL_STATE(311)] = 7271,
  [SMALL_STATE(312)] = 7341,
  [SMALL_STATE(313)] = 7403,
  [SMALL_STATE(314)] = 7469,
  [SMALL_STATE(315)] = 7537,
  [SMALL_STATE(316)] = 7599,
  [SMALL_STATE(317)] = 7664,
  [SMALL_STATE(318)] = 7733,
  [SMALL_STATE(319)] = 7794,
  [SMALL_STATE(320)] = 7855,
  [SMALL_STATE(321)] = 7916,
  [SMALL_STATE(322)] = 7981,
  [SMALL_STATE(323)] = 8042,
  [SMALL_STATE(324)] = 8111,
  [SMALL_STATE(325)] = 8180,
  [SMALL_STATE(326)] = 8248,
  [SMALL_STATE(327)] = 8314,
  [SMALL_STATE(328)] = 8382,
  [SMALL_STATE(329)] = 8450,
  [SMALL_STATE(330)] = 8520,
  [SMALL_STATE(331)] = 8588,
  [SMALL_STATE(332)] = 8654,
  [SMALL_STATE(333)] = 8724,
  [SMALL_STATE(334)] = 8793,
  [SMALL_STATE(335)] = 8862,
  [SMALL_STATE(336)] = 8920,
  [SMALL_STATE(337)] = 8978,
  [SMALL_STATE(338)] = 9036,
  [SMALL_STATE(339)] = 9102,
  [SMALL_STATE(340)] = 9170,
  [SMALL_STATE(341)] = 9231,
  [SMALL_STATE(342)] = 9294,
  [SMALL_STATE(343)] = 9357,
  [SMALL_STATE(344)] = 9420,
  [SMALL_STATE(345)] = 9473,
  [SMALL_STATE(346)] = 9525,
  [SMALL_STATE(347)] = 9577,
  [SMALL_STATE(348)] = 9651,
  [SMALL_STATE(349)] = 9739,
  [SMALL_STATE(350)] = 9803,
  [SMALL_STATE(351)] = 9889,
  [SMALL_STATE(352)] = 9939,
  [SMALL_STATE(353)] = 10025,
  [SMALL_STATE(354)] = 10075,
  [SMALL_STATE(355)] = 10161,
  [SMALL_STATE(356)] = 10247,
  [SMALL_STATE(357)] = 10333,
  [SMALL_STATE(358)] = 10419,
  [SMALL_STATE(359)] = 10505,
  [SMALL_STATE(360)] = 10591,
  [SMALL_STATE(361)] = 10677,
  [SMALL_STATE(362)] = 10727,
  [SMALL_STATE(363)] = 10807,
  [SMALL_STATE(364)] = 10893,
  [SMALL_STATE(365)] = 10979,
  [SMALL_STATE(366)] = 11049,
  [SMALL_STATE(367)] = 11117,
  [SMALL_STATE(368)] = 11169,
  [SMALL_STATE(369)] = 11255,
  [SMALL_STATE(370)] = 11331,
  [SMALL_STATE(371)] = 11389,
  [SMALL_STATE(372)] = 11475,
  [SMALL_STATE(373)] = 11559,
  [SMALL_STATE(374)] = 11606,
  [SMALL_STATE(375)] = 11653,
  [SMALL_STATE(376)] = 11700,
  [SMALL_STATE(377)] = 11747,
  [SMALL_STATE(378)] = 11794,
  [SMALL_STATE(379)] = 11841,
  [SMALL_STATE(380)] = 11926,
  [SMALL_STATE(381)] = 11973,
  [SMALL_STATE(382)] = 12022,
  [SMALL_STATE(383)] = 12069,
  [SMALL_STATE(384)] = 12116,
  [SMALL_STATE(385)] = 12163,
  [SMALL_STATE(386)] = 12210,
  [SMALL_STATE(387)] = 12257,
  [SMALL_STATE(388)] = 12304,
  [SMALL_STATE(389)] = 12351,
  [SMALL_STATE(390)] = 12436,
  [SMALL_STATE(391)] = 12483,
  [SMALL_STATE(392)] = 12530,
  [SMALL_STATE(393)] = 12615,
  [SMALL_STATE(394)] = 12700,
  [SMALL_STATE(395)] = 12763,
  [SMALL_STATE(396)] = 12812,
  [SMALL_STATE(397)] = 12859,
  [SMALL_STATE(398)] = 12906,
  [SMALL_STATE(399)] = 12959,
  [SMALL_STATE(400)] = 13044,
  [SMALL_STATE(401)] = 13091,
  [SMALL_STATE(402)] = 13144,
  [SMALL_STATE(403)] = 13217,
  [SMALL_STATE(404)] = 13264,
  [SMALL_STATE(405)] = 13333,
  [SMALL_STATE(406)] = 13380,
  [SMALL_STATE(407)] = 13427,
  [SMALL_STATE(408)] = 13512,
  [SMALL_STATE(409)] = 13587,
  [SMALL_STATE(410)] = 13666,
  [SMALL_STATE(411)] = 13733,
  [SMALL_STATE(412)] = 13794,
  [SMALL_STATE(413)] = 13877,
  [SMALL_STATE(414)] = 13924,
  [SMALL_STATE(415)] = 13971,
  [SMALL_STATE(416)] = 14018,
  [SMALL_STATE(417)] = 14067,
  [SMALL_STATE(418)] = 14114,
  [SMALL_STATE(419)] = 14161,
  [SMALL_STATE(420)] = 14246,
  [SMALL_STATE(421)] = 14293,
  [SMALL_STATE(422)] = 14378,
  [SMALL_STATE(423)] = 14437,
  [SMALL_STATE(424)] = 14484,
  [SMALL_STATE(425)] = 14531,
  [SMALL_STATE(426)] = 14592,
  [SMALL_STATE(427)] = 14639,
  [SMALL_STATE(428)] = 14686,
  [SMALL_STATE(429)] = 14771,
  [SMALL_STATE(430)] = 14818,
  [SMALL_STATE(431)] = 14865,
  [SMALL_STATE(432)] = 14912,
  [SMALL_STATE(433)] = 14959,
  [SMALL_STATE(434)] = 15006,
  [SMALL_STATE(435)] = 15067,
  [SMALL_STATE(436)] = 15114,
  [SMALL_STATE(437)] = 15161,
  [SMALL_STATE(438)] = 15246,
  [SMALL_STATE(439)] = 15331,
  [SMALL_STATE(440)] = 15378,
  [SMALL_STATE(441)] = 15467,
  [SMALL_STATE(442)] = 15514,
  [SMALL_STATE(443)] = 15561,
  [SMALL_STATE(444)] = 15646,
  [SMALL_STATE(445)] = 15731,
  [SMALL_STATE(446)] = 15778,
  [SMALL_STATE(447)] = 15825,
  [SMALL_STATE(448)] = 15872,
  [SMALL_STATE(449)] = 15919,
  [SMALL_STATE(450)] = 16008,
  [SMALL_STATE(451)] = 16055,
  [SMALL_STATE(452)] = 16102,
  [SMALL_STATE(453)] = 16149,
  [SMALL_STATE(454)] = 16196,
  [SMALL_STATE(455)] = 16285,
  [SMALL_STATE(456)] = 16332,
  [SMALL_STATE(457)] = 16379,
  [SMALL_STATE(458)] = 16464,
  [SMALL_STATE(459)] = 16548,
  [SMALL_STATE(460)] = 16598,
  [SMALL_STATE(461)] = 16686,
  [SMALL_STATE(462)] = 16742,
  [SMALL_STATE(463)] = 16792,
  [SMALL_STATE(464)] = 16880,
  [SMALL_STATE(465)] = 16930,
  [SMALL_STATE(466)] = 16980,
  [SMALL_STATE(467)] = 17028,
  [SMALL_STATE(468)] = 17078,
  [SMALL_STATE(469)] = 17164,
  [SMALL_STATE(470)] = 17250,
  [SMALL_STATE(471)] = 17300,
  [SMALL_STATE(472)] = 17388,
  [SMALL_STATE(473)] = 17438,
  [SMALL_STATE(474)] = 17488,
  [SMALL_STATE(475)] = 17536,
  [SMALL_STATE(476)] = 17620,
  [SMALL_STATE(477)] = 17706,
  [SMALL_STATE(478)] = 17792,
  [SMALL_STATE(479)] = 17844,
  [SMALL_STATE(480)] = 17892,
  [SMALL_STATE(481)] = 17980,
  [SMALL_STATE(482)] = 18028,
  [SMALL_STATE(483)] = 18078,
  [SMALL_STATE(484)] = 18130,
  [SMALL_STATE(485)] = 18214,
  [SMALL_STATE(486)] = 18302,
  [SMALL_STATE(487)] = 18354,
  [SMALL_STATE(488)] = 18439,
  [SMALL_STATE(489)] = 18520,
  [SMALL_STATE(490)] = 18565,
  [SMALL_STATE(491)] = 18610,
  [SMALL_STATE(492)] = 18655,
  [SMALL_STATE(493)] = 18700,
  [SMALL_STATE(494)] = 18745,
  [SMALL_STATE(495)] = 18796,
  [SMALL_STATE(496)] = 18841,
  [SMALL_STATE(497)] = 18886,
  [SMALL_STATE(498)] = 18931,
  [SMALL_STATE(499)] = 18976,
  [SMALL_STATE(500)] = 19061,
  [SMALL_STATE(501)] = 19106,
  [SMALL_STATE(502)] = 19151,
  [SMALL_STATE(503)] = 19236,
  [SMALL_STATE(504)] = 19307,
  [SMALL_STATE(505)] = 19352,
  [SMALL_STATE(506)] = 19397,
  [SMALL_STATE(507)] = 19442,
  [SMALL_STATE(508)] = 19491,
  [SMALL_STATE(509)] = 19536,
  [SMALL_STATE(510)] = 19621,
  [SMALL_STATE(511)] = 19666,
  [SMALL_STATE(512)] = 19749,
  [SMALL_STATE(513)] = 19832,
  [SMALL_STATE(514)] = 19877,
  [SMALL_STATE(515)] = 19922,
  [SMALL_STATE(516)] = 19967,
  [SMALL_STATE(517)] = 20012,
  [SMALL_STATE(518)] = 20057,
  [SMALL_STATE(519)] = 20140,
  [SMALL_STATE(520)] = 20223,
  [SMALL_STATE(521)] = 20268,
  [SMALL_STATE(522)] = 20351,
  [SMALL_STATE(523)] = 20396,
  [SMALL_STATE(524)] = 20441,
  [SMALL_STATE(525)] = 20524,
  [SMALL_STATE(526)] = 20607,
  [SMALL_STATE(527)] = 20690,
  [SMALL_STATE(528)] = 20773,
  [SMALL_STATE(529)] = 20856,
  [SMALL_STATE(530)] = 20901,
  [SMALL_STATE(531)] = 20946,
  [SMALL_STATE(532)] = 20991,
  [SMALL_STATE(533)] = 21076,
  [SMALL_STATE(534)] = 21141,
  [SMALL_STATE(535)] = 21224,
  [SMALL_STATE(536)] = 21269,
  [SMALL_STATE(537)] = 21314,
  [SMALL_STATE(538)] = 21399,
  [SMALL_STATE(539)] = 21444,
  [SMALL_STATE(540)] = 21521,
  [SMALL_STATE(541)] = 21594,
  [SMALL_STATE(542)] = 21639,
  [SMALL_STATE(543)] = 21722,
  [SMALL_STATE(544)] = 21789,
  [SMALL_STATE(545)] = 21834,
  [SMALL_STATE(546)] = 21879,
  [SMALL_STATE(547)] = 21924,
  [SMALL_STATE(548)] = 22007,
  [SMALL_STATE(549)] = 22092,
  [SMALL_STATE(550)] = 22137,
  [SMALL_STATE(551)] = 22220,
  [SMALL_STATE(552)] = 22305,
  [SMALL_STATE(553)] = 22350,
  [SMALL_STATE(554)] = 22395,
  [SMALL_STATE(555)] = 22440,
  [SMALL_STATE(556)] = 22485,
  [SMALL_STATE(557)] = 22568,
  [SMALL_STATE(558)] = 22613,
  [SMALL_STATE(559)] = 22658,
  [SMALL_STATE(560)] = 22703,
  [SMALL_STATE(561)] = 22788,
  [SMALL_STATE(562)] = 22833,
  [SMALL_STATE(563)] = 22918,
  [SMALL_STATE(564)] = 22967,
  [SMALL_STATE(565)] = 23028,
  [SMALL_STATE(566)] = 23073,
  [SMALL_STATE(567)] = 23158,
  [SMALL_STATE(568)] = 23203,
  [SMALL_STATE(569)] = 23288,
  [SMALL_STATE(570)] = 23373,
  [SMALL_STATE(571)] = 23418,
  [SMALL_STATE(572)] = 23503,
  [SMALL_STATE(573)] = 23586,
  [SMALL_STATE(574)] = 23671,
  [SMALL_STATE(575)] = 23754,
  [SMALL_STATE(576)] = 23837,
  [SMALL_STATE(577)] = 23922,
  [SMALL_STATE(578)] = 23967,
  [SMALL_STATE(579)] = 24049,
  [SMALL_STATE(580)] = 24099,
  [SMALL_STATE(581)] = 24181,
  [SMALL_STATE(582)] = 24231,
  [SMALL_STATE(583)] = 24281,
  [SMALL_STATE(584)] = 24363,
  [SMALL_STATE(585)] = 24445,
  [SMALL_STATE(586)] = 24527,
  [SMALL_STATE(587)] = 24609,
  [SMALL_STATE(588)] = 24658,
  [SMALL_STATE(589)] = 24707,
  [SMALL_STATE(590)] = 24756,
  [SMALL_STATE(591)] = 24835,
  [SMALL_STATE(592)] = 24914,
  [SMALL_STATE(593)] = 24994,
  [SMALL_STATE(594)] = 25074,
  [SMALL_STATE(595)] = 25154,
  [SMALL_STATE(596)] = 25234,
  [SMALL_STATE(597)] = 25314,
  [SMALL_STATE(598)] = 25394,
  [SMALL_STATE(599)] = 25466,
  [SMALL_STATE(600)] = 25520,
  [SMALL_STATE(601)] = 25574,
  [SMALL_STATE(602)] = 25623,
  [SMALL_STATE(603)] = 25682,
  [SMALL_STATE(604)] = 25735,
  [SMALL_STATE(605)] = 25790,
  [SMALL_STATE(606)] = 25849,
  [SMALL_STATE(607)] = 25908,
  [SMALL_STATE(608)] = 25963,
  [SMALL_STATE(609)] = 26018,
  [SMALL_STATE(610)] = 26077,
  [SMALL_STATE(611)] = 26136,
  [SMALL_STATE(612)] = 26189,
  [SMALL_STATE(613)] = 26248,
  [SMALL_STATE(614)] = 26301,
  [SMALL_STATE(615)] = 26354,
  [SMALL_STATE(616)] = 26409,
  [SMALL_STATE(617)] = 26462,
  [SMALL_STATE(618)] = 26515,
  [SMALL_STATE(619)] = 26570,
  [SMALL_STATE(620)] = 26629,
  [SMALL_STATE(621)] = 26684,
  [SMALL_STATE(622)] = 26743,
  [SMALL_STATE(623)] = 26791,
  [SMALL_STATE(624)] = 26839,
  [SMALL_STATE(625)] = 26887,
  [SMALL_STATE(626)] = 26935,
  [SMALL_STATE(627)] = 26983,
  [SMALL_STATE(628)] = 27031,
  [SMALL_STATE(629)] = 27076,
  [SMALL_STATE(630)] = 27123,
  [SMALL_STATE(631)] = 27175,
  [SMALL_STATE(632)] = 27215,
  [SMALL_STATE(633)] = 27257,
  [SMALL_STATE(634)] = 27301,
  [SMALL_STATE(635)] = 27341,
  [SMALL_STATE(636)] = 27381,
  [SMALL_STATE(637)] = 27425,
  [SMALL_STATE(638)] = 27467,
  [SMALL_STATE(639)] = 27511,
  [SMALL_STATE(640)] = 27556,
  [SMALL_STATE(641)] = 27591,
  [SMALL_STATE(642)] = 27630,
  [SMALL_STATE(643)] = 27677,
  [SMALL_STATE(644)] = 27714,
  [SMALL_STATE(645)] = 27749,
  [SMALL_STATE(646)] = 27779,
  [SMALL_STATE(647)] = 27821,
  [SMALL_STATE(648)] = 27859,
  [SMALL_STATE(649)] = 27901,
  [SMALL_STATE(650)] = 27939,
  [SMALL_STATE(651)] = 27977,
  [SMALL_STATE(652)] = 28000,
  [SMALL_STATE(653)] = 28023,
  [SMALL_STATE(654)] = 28044,
  [SMALL_STATE(655)] = 28083,
  [SMALL_STATE(656)] = 28120,
  [SMALL_STATE(657)] = 28143,
  [SMALL_STATE(658)] = 28164,
  [SMALL_STATE(659)] = 28199,
  [SMALL_STATE(660)] = 28222,
  [SMALL_STATE(661)] = 28251,
  [SMALL_STATE(662)] = 28272,
  [SMALL_STATE(663)] = 28309,
  [SMALL_STATE(664)] = 28332,
  [SMALL_STATE(665)] = 28367,
  [SMALL_STATE(666)] = 28390,
  [SMALL_STATE(667)] = 28422,
  [SMALL_STATE(668)] = 28454,
  [SMALL_STATE(669)] = 28486,
  [SMALL_STATE(670)] = 28510,
  [SMALL_STATE(671)] = 28542,
  [SMALL_STATE(672)] = 28563,
  [SMALL_STATE(673)] = 28584,
  [SMALL_STATE(674)] = 28605,
  [SMALL_STATE(675)] = 28626,
  [SMALL_STATE(676)] = 28655,
  [SMALL_STATE(677)] = 28684,
  [SMALL_STATE(678)] = 28713,
  [SMALL_STATE(679)] = 28742,
  [SMALL_STATE(680)] = 28777,
  [SMALL_STATE(681)] = 28812,
  [SMALL_STATE(682)] = 28847,
  [SMALL_STATE(683)] = 28882,
  [SMALL_STATE(684)] = 28908,
  [SMALL_STATE(685)] = 28940,
  [SMALL_STATE(686)] = 28972,
  [SMALL_STATE(687)] = 28998,
  [SMALL_STATE(688)] = 29030,
  [SMALL_STATE(689)] = 29056,
  [SMALL_STATE(690)] = 29088,
  [SMALL_STATE(691)] = 29114,
  [SMALL_STATE(692)] = 29140,
  [SMALL_STATE(693)] = 29172,
  [SMALL_STATE(694)] = 29204,
  [SMALL_STATE(695)] = 29236,
  [SMALL_STATE(696)] = 29268,
  [SMALL_STATE(697)] = 29294,
  [SMALL_STATE(698)] = 29320,
  [SMALL_STATE(699)] = 29346,
  [SMALL_STATE(700)] = 29372,
  [SMALL_STATE(701)] = 29398,
  [SMALL_STATE(702)] = 29421,
  [SMALL_STATE(703)] = 29450,
  [SMALL_STATE(704)] = 29479,
  [SMALL_STATE(705)] = 29502,
  [SMALL_STATE(706)] = 29525,
  [SMALL_STATE(707)] = 29554,
  [SMALL_STATE(708)] = 29577,
  [SMALL_STATE(709)] = 29600,
  [SMALL_STATE(710)] = 29629,
  [SMALL_STATE(711)] = 29658,
  [SMALL_STATE(712)] = 29687,
  [SMALL_STATE(713)] = 29716,
  [SMALL_STATE(714)] = 29739,
  [SMALL_STATE(715)] = 29768,
  [SMALL_STATE(716)] = 29791,
  [SMALL_STATE(717)] = 29820,
  [SMALL_STATE(718)] = 29843,
  [SMALL_STATE(719)] = 29866,
  [SMALL_STATE(720)] = 29887,
  [SMALL_STATE(721)] = 29900,
  [SMALL_STATE(722)] = 29921,
  [SMALL_STATE(723)] = 29944,
  [SMALL_STATE(724)] = 29967,
  [SMALL_STATE(725)] = 29988,
  [SMALL_STATE(726)] = 30001,
  [SMALL_STATE(727)] = 30022,
  [SMALL_STATE(728)] = 30035,
  [SMALL_STATE(729)] = 30048,
  [SMALL_STATE(730)] = 30061,
  [SMALL_STATE(731)] = 30074,
  [SMALL_STATE(732)] = 30097,
  [SMALL_STATE(733)] = 30118,
  [SMALL_STATE(734)] = 30141,
  [SMALL_STATE(735)] = 30154,
  [SMALL_STATE(736)] = 30177,
  [SMALL_STATE(737)] = 30190,
  [SMALL_STATE(738)] = 30209,
  [SMALL_STATE(739)] = 30228,
  [SMALL_STATE(740)] = 30251,
  [SMALL_STATE(741)] = 30265,
  [SMALL_STATE(742)] = 30277,
  [SMALL_STATE(743)] = 30295,
  [SMALL_STATE(744)] = 30315,
  [SMALL_STATE(745)] = 30337,
  [SMALL_STATE(746)] = 30359,
  [SMALL_STATE(747)] = 30377,
  [SMALL_STATE(748)] = 30395,
  [SMALL_STATE(749)] = 30413,
  [SMALL_STATE(750)] = 30435,
  [SMALL_STATE(751)] = 30457,
  [SMALL_STATE(752)] = 30479,
  [SMALL_STATE(753)] = 30497,
  [SMALL_STATE(754)] = 30519,
  [SMALL_STATE(755)] = 30531,
  [SMALL_STATE(756)] = 30547,
  [SMALL_STATE(757)] = 30561,
  [SMALL_STATE(758)] = 30579,
  [SMALL_STATE(759)] = 30597,
  [SMALL_STATE(760)] = 30619,
  [SMALL_STATE(761)] = 30641,
  [SMALL_STATE(762)] = 30653,
  [SMALL_STATE(763)] = 30673,
  [SMALL_STATE(764)] = 30695,
  [SMALL_STATE(765)] = 30717,
  [SMALL_STATE(766)] = 30729,
  [SMALL_STATE(767)] = 30741,
  [SMALL_STATE(768)] = 30753,
  [SMALL_STATE(769)] = 30771,
  [SMALL_STATE(770)] = 30789,
  [SMALL_STATE(771)] = 30801,
  [SMALL_STATE(772)] = 30813,
  [SMALL_STATE(773)] = 30835,
  [SMALL_STATE(774)] = 30857,
  [SMALL_STATE(775)] = 30875,
  [SMALL_STATE(776)] = 30893,
  [SMALL_STATE(777)] = 30904,
  [SMALL_STATE(778)] = 30919,
  [SMALL_STATE(779)] = 30938,
  [SMALL_STATE(780)] = 30957,
  [SMALL_STATE(781)] = 30970,
  [SMALL_STATE(782)] = 30989,
  [SMALL_STATE(783)] = 31002,
  [SMALL_STATE(784)] = 31015,
  [SMALL_STATE(785)] = 31034,
  [SMALL_STATE(786)] = 31045,
  [SMALL_STATE(787)] = 31064,
  [SMALL_STATE(788)] = 31077,
  [SMALL_STATE(789)] = 31090,
  [SMALL_STATE(790)] = 31103,
  [SMALL_STATE(791)] = 31122,
  [SMALL_STATE(792)] = 31135,
  [SMALL_STATE(793)] = 31148,
  [SMALL_STATE(794)] = 31161,
  [SMALL_STATE(795)] = 31174,
  [SMALL_STATE(796)] = 31193,
  [SMALL_STATE(797)] = 31212,
  [SMALL_STATE(798)] = 31225,
  [SMALL_STATE(799)] = 31244,
  [SMALL_STATE(800)] = 31263,
  [SMALL_STATE(801)] = 31276,
  [SMALL_STATE(802)] = 31295,
  [SMALL_STATE(803)] = 31308,
  [SMALL_STATE(804)] = 31319,
  [SMALL_STATE(805)] = 31338,
  [SMALL_STATE(806)] = 31351,
  [SMALL_STATE(807)] = 31370,
  [SMALL_STATE(808)] = 31389,
  [SMALL_STATE(809)] = 31404,
  [SMALL_STATE(810)] = 31423,
  [SMALL_STATE(811)] = 31442,
  [SMALL_STATE(812)] = 31456,
  [SMALL_STATE(813)] = 31470,
  [SMALL_STATE(814)] = 31486,
  [SMALL_STATE(815)] = 31502,
  [SMALL_STATE(816)] = 31518,
  [SMALL_STATE(817)] = 31532,
  [SMALL_STATE(818)] = 31548,
  [SMALL_STATE(819)] = 31564,
  [SMALL_STATE(820)] = 31578,
  [SMALL_STATE(821)] = 31594,
  [SMALL_STATE(822)] = 31608,
  [SMALL_STATE(823)] = 31618,
  [SMALL_STATE(824)] = 31634,
  [SMALL_STATE(825)] = 31648,
  [SMALL_STATE(826)] = 31664,
  [SMALL_STATE(827)] = 31680,
  [SMALL_STATE(828)] = 31694,
  [SMALL_STATE(829)] = 31704,
  [SMALL_STATE(830)] = 31718,
  [SMALL_STATE(831)] = 31732,
  [SMALL_STATE(832)] = 31748,
  [SMALL_STATE(833)] = 31764,
  [SMALL_STATE(834)] = 31780,
  [SMALL_STATE(835)] = 31794,
  [SMALL_STATE(836)] = 31810,
  [SMALL_STATE(837)] = 31826,
  [SMALL_STATE(838)] = 31836,
  [SMALL_STATE(839)] = 31850,
  [SMALL_STATE(840)] = 31864,
  [SMALL_STATE(841)] = 31878,
  [SMALL_STATE(842)] = 31894,
  [SMALL_STATE(843)] = 31904,
  [SMALL_STATE(844)] = 31920,
  [SMALL_STATE(845)] = 31934,
  [SMALL_STATE(846)] = 31950,
  [SMALL_STATE(847)] = 31966,
  [SMALL_STATE(848)] = 31982,
  [SMALL_STATE(849)] = 31998,
  [SMALL_STATE(850)] = 32012,
  [SMALL_STATE(851)] = 32028,
  [SMALL_STATE(852)] = 32044,
  [SMALL_STATE(853)] = 32060,
  [SMALL_STATE(854)] = 32076,
  [SMALL_STATE(855)] = 32088,
  [SMALL_STATE(856)] = 32102,
  [SMALL_STATE(857)] = 32118,
  [SMALL_STATE(858)] = 32134,
  [SMALL_STATE(859)] = 32150,
  [SMALL_STATE(860)] = 32164,
  [SMALL_STATE(861)] = 32178,
  [SMALL_STATE(862)] = 32192,
  [SMALL_STATE(863)] = 32206,
  [SMALL_STATE(864)] = 32222,
  [SMALL_STATE(865)] = 32238,
  [SMALL_STATE(866)] = 32254,
  [SMALL_STATE(867)] = 32270,
  [SMALL_STATE(868)] = 32284,
  [SMALL_STATE(869)] = 32298,
  [SMALL_STATE(870)] = 32314,
  [SMALL_STATE(871)] = 32330,
  [SMALL_STATE(872)] = 32342,
  [SMALL_STATE(873)] = 32358,
  [SMALL_STATE(874)] = 32374,
  [SMALL_STATE(875)] = 32388,
  [SMALL_STATE(876)] = 32401,
  [SMALL_STATE(877)] = 32414,
  [SMALL_STATE(878)] = 32423,
  [SMALL_STATE(879)] = 32432,
  [SMALL_STATE(880)] = 32441,
  [SMALL_STATE(881)] = 32454,
  [SMALL_STATE(882)] = 32465,
  [SMALL_STATE(883)] = 32474,
  [SMALL_STATE(884)] = 32483,
  [SMALL_STATE(885)] = 32492,
  [SMALL_STATE(886)] = 32503,
  [SMALL_STATE(887)] = 32514,
  [SMALL_STATE(888)] = 32523,
  [SMALL_STATE(889)] = 32534,
  [SMALL_STATE(890)] = 32547,
  [SMALL_STATE(891)] = 32560,
  [SMALL_STATE(892)] = 32573,
  [SMALL_STATE(893)] = 32586,
  [SMALL_STATE(894)] = 32599,
  [SMALL_STATE(895)] = 32612,
  [SMALL_STATE(896)] = 32625,
  [SMALL_STATE(897)] = 32638,
  [SMALL_STATE(898)] = 32651,
  [SMALL_STATE(899)] = 32664,
  [SMALL_STATE(900)] = 32677,
  [SMALL_STATE(901)] = 32690,
  [SMALL_STATE(902)] = 32703,
  [SMALL_STATE(903)] = 32716,
  [SMALL_STATE(904)] = 32729,
  [SMALL_STATE(905)] = 32738,
  [SMALL_STATE(906)] = 32751,
  [SMALL_STATE(907)] = 32764,
  [SMALL_STATE(908)] = 32777,
  [SMALL_STATE(909)] = 32790,
  [SMALL_STATE(910)] = 32803,
  [SMALL_STATE(911)] = 32816,
  [SMALL_STATE(912)] = 32829,
  [SMALL_STATE(913)] = 32842,
  [SMALL_STATE(914)] = 32855,
  [SMALL_STATE(915)] = 32868,
  [SMALL_STATE(916)] = 32881,
  [SMALL_STATE(917)] = 32890,
  [SMALL_STATE(918)] = 32899,
  [SMALL_STATE(919)] = 32910,
  [SMALL_STATE(920)] = 32923,
  [SMALL_STATE(921)] = 32936,
  [SMALL_STATE(922)] = 32949,
  [SMALL_STATE(923)] = 32962,
  [SMALL_STATE(924)] = 32973,
  [SMALL_STATE(925)] = 32986,
  [SMALL_STATE(926)] = 32999,
  [SMALL_STATE(927)] = 33012,
  [SMALL_STATE(928)] = 33025,
  [SMALL_STATE(929)] = 33038,
  [SMALL_STATE(930)] = 33051,
  [SMALL_STATE(931)] = 33060,
  [SMALL_STATE(932)] = 33073,
  [SMALL_STATE(933)] = 33086,
  [SMALL_STATE(934)] = 33099,
  [SMALL_STATE(935)] = 33112,
  [SMALL_STATE(936)] = 33125,
  [SMALL_STATE(937)] = 33138,
  [SMALL_STATE(938)] = 33149,
  [SMALL_STATE(939)] = 33162,
  [SMALL_STATE(940)] = 33175,
  [SMALL_STATE(941)] = 33188,
  [SMALL_STATE(942)] = 33201,
  [SMALL_STATE(943)] = 33210,
  [SMALL_STATE(944)] = 33221,
  [SMALL_STATE(945)] = 33232,
  [SMALL_STATE(946)] = 33245,
  [SMALL_STATE(947)] = 33258,
  [SMALL_STATE(948)] = 33271,
  [SMALL_STATE(949)] = 33284,
  [SMALL_STATE(950)] = 33297,
  [SMALL_STATE(951)] = 33306,
  [SMALL_STATE(952)] = 33319,
  [SMALL_STATE(953)] = 33332,
  [SMALL_STATE(954)] = 33345,
  [SMALL_STATE(955)] = 33358,
  [SMALL_STATE(956)] = 33371,
  [SMALL_STATE(957)] = 33384,
  [SMALL_STATE(958)] = 33393,
  [SMALL_STATE(959)] = 33402,
  [SMALL_STATE(960)] = 33411,
  [SMALL_STATE(961)] = 33424,
  [SMALL_STATE(962)] = 33437,
  [SMALL_STATE(963)] = 33450,
  [SMALL_STATE(964)] = 33463,
  [SMALL_STATE(965)] = 33476,
  [SMALL_STATE(966)] = 33485,
  [SMALL_STATE(967)] = 33498,
  [SMALL_STATE(968)] = 33511,
  [SMALL_STATE(969)] = 33522,
  [SMALL_STATE(970)] = 33535,
  [SMALL_STATE(971)] = 33548,
  [SMALL_STATE(972)] = 33557,
  [SMALL_STATE(973)] = 33570,
  [SMALL_STATE(974)] = 33579,
  [SMALL_STATE(975)] = 33587,
  [SMALL_STATE(976)] = 33597,
  [SMALL_STATE(977)] = 33607,
  [SMALL_STATE(978)] = 33617,
  [SMALL_STATE(979)] = 33627,
  [SMALL_STATE(980)] = 33637,
  [SMALL_STATE(981)] = 33647,
  [SMALL_STATE(982)] = 33657,
  [SMALL_STATE(983)] = 33667,
  [SMALL_STATE(984)] = 33677,
  [SMALL_STATE(985)] = 33687,
  [SMALL_STATE(986)] = 33697,
  [SMALL_STATE(987)] = 33707,
  [SMALL_STATE(988)] = 33717,
  [SMALL_STATE(989)] = 33727,
  [SMALL_STATE(990)] = 33737,
  [SMALL_STATE(991)] = 33747,
  [SMALL_STATE(992)] = 33757,
  [SMALL_STATE(993)] = 33767,
  [SMALL_STATE(994)] = 33777,
  [SMALL_STATE(995)] = 33787,
  [SMALL_STATE(996)] = 33797,
  [SMALL_STATE(997)] = 33807,
  [SMALL_STATE(998)] = 33817,
  [SMALL_STATE(999)] = 33827,
  [SMALL_STATE(1000)] = 33837,
  [SMALL_STATE(1001)] = 33845,
  [SMALL_STATE(1002)] = 33855,
  [SMALL_STATE(1003)] = 33865,
  [SMALL_STATE(1004)] = 33873,
  [SMALL_STATE(1005)] = 33881,
  [SMALL_STATE(1006)] = 33889,
  [SMALL_STATE(1007)] = 33899,
  [SMALL_STATE(1008)] = 33909,
  [SMALL_STATE(1009)] = 33919,
  [SMALL_STATE(1010)] = 33929,
  [SMALL_STATE(1011)] = 33939,
  [SMALL_STATE(1012)] = 33947,
  [SMALL_STATE(1013)] = 33957,
  [SMALL_STATE(1014)] = 33967,
  [SMALL_STATE(1015)] = 33977,
  [SMALL_STATE(1016)] = 33987,
  [SMALL_STATE(1017)] = 33997,
  [SMALL_STATE(1018)] = 34007,
  [SMALL_STATE(1019)] = 34017,
  [SMALL_STATE(1020)] = 34025,
  [SMALL_STATE(1021)] = 34035,
  [SMALL_STATE(1022)] = 34045,
  [SMALL_STATE(1023)] = 34055,
  [SMALL_STATE(1024)] = 34065,
  [SMALL_STATE(1025)] = 34075,
  [SMALL_STATE(1026)] = 34085,
  [SMALL_STATE(1027)] = 34095,
  [SMALL_STATE(1028)] = 34105,
  [SMALL_STATE(1029)] = 34115,
  [SMALL_STATE(1030)] = 34123,
  [SMALL_STATE(1031)] = 34131,
  [SMALL_STATE(1032)] = 34141,
  [SMALL_STATE(1033)] = 34149,
  [SMALL_STATE(1034)] = 34159,
  [SMALL_STATE(1035)] = 34169,
  [SMALL_STATE(1036)] = 34177,
  [SMALL_STATE(1037)] = 34187,
  [SMALL_STATE(1038)] = 34197,
  [SMALL_STATE(1039)] = 34205,
  [SMALL_STATE(1040)] = 34215,
  [SMALL_STATE(1041)] = 34225,
  [SMALL_STATE(1042)] = 34235,
  [SMALL_STATE(1043)] = 34245,
  [SMALL_STATE(1044)] = 34255,
  [SMALL_STATE(1045)] = 34265,
  [SMALL_STATE(1046)] = 34273,
  [SMALL_STATE(1047)] = 34283,
  [SMALL_STATE(1048)] = 34293,
  [SMALL_STATE(1049)] = 34303,
  [SMALL_STATE(1050)] = 34313,
  [SMALL_STATE(1051)] = 34323,
  [SMALL_STATE(1052)] = 34331,
  [SMALL_STATE(1053)] = 34341,
  [SMALL_STATE(1054)] = 34351,
  [SMALL_STATE(1055)] = 34359,
  [SMALL_STATE(1056)] = 34369,
  [SMALL_STATE(1057)] = 34379,
  [SMALL_STATE(1058)] = 34389,
  [SMALL_STATE(1059)] = 34397,
  [SMALL_STATE(1060)] = 34405,
  [SMALL_STATE(1061)] = 34415,
  [SMALL_STATE(1062)] = 34425,
  [SMALL_STATE(1063)] = 34435,
  [SMALL_STATE(1064)] = 34445,
  [SMALL_STATE(1065)] = 34455,
  [SMALL_STATE(1066)] = 34465,
  [SMALL_STATE(1067)] = 34473,
  [SMALL_STATE(1068)] = 34483,
  [SMALL_STATE(1069)] = 34491,
  [SMALL_STATE(1070)] = 34501,
  [SMALL_STATE(1071)] = 34511,
  [SMALL_STATE(1072)] = 34521,
  [SMALL_STATE(1073)] = 34529,
  [SMALL_STATE(1074)] = 34539,
  [SMALL_STATE(1075)] = 34547,
  [SMALL_STATE(1076)] = 34557,
  [SMALL_STATE(1077)] = 34567,
  [SMALL_STATE(1078)] = 34577,
  [SMALL_STATE(1079)] = 34587,
  [SMALL_STATE(1080)] = 34595,
  [SMALL_STATE(1081)] = 34605,
  [SMALL_STATE(1082)] = 34615,
  [SMALL_STATE(1083)] = 34625,
  [SMALL_STATE(1084)] = 34633,
  [SMALL_STATE(1085)] = 34643,
  [SMALL_STATE(1086)] = 34651,
  [SMALL_STATE(1087)] = 34661,
  [SMALL_STATE(1088)] = 34671,
  [SMALL_STATE(1089)] = 34681,
  [SMALL_STATE(1090)] = 34691,
  [SMALL_STATE(1091)] = 34701,
  [SMALL_STATE(1092)] = 34711,
  [SMALL_STATE(1093)] = 34721,
  [SMALL_STATE(1094)] = 34731,
  [SMALL_STATE(1095)] = 34741,
  [SMALL_STATE(1096)] = 34749,
  [SMALL_STATE(1097)] = 34759,
  [SMALL_STATE(1098)] = 34769,
  [SMALL_STATE(1099)] = 34779,
  [SMALL_STATE(1100)] = 34789,
  [SMALL_STATE(1101)] = 34797,
  [SMALL_STATE(1102)] = 34807,
  [SMALL_STATE(1103)] = 34817,
  [SMALL_STATE(1104)] = 34825,
  [SMALL_STATE(1105)] = 34835,
  [SMALL_STATE(1106)] = 34845,
  [SMALL_STATE(1107)] = 34853,
  [SMALL_STATE(1108)] = 34863,
  [SMALL_STATE(1109)] = 34871,
  [SMALL_STATE(1110)] = 34881,
  [SMALL_STATE(1111)] = 34891,
  [SMALL_STATE(1112)] = 34901,
  [SMALL_STATE(1113)] = 34911,
  [SMALL_STATE(1114)] = 34921,
  [SMALL_STATE(1115)] = 34931,
  [SMALL_STATE(1116)] = 34941,
  [SMALL_STATE(1117)] = 34951,
  [SMALL_STATE(1118)] = 34961,
  [SMALL_STATE(1119)] = 34971,
  [SMALL_STATE(1120)] = 34981,
  [SMALL_STATE(1121)] = 34988,
  [SMALL_STATE(1122)] = 34995,
  [SMALL_STATE(1123)] = 35002,
  [SMALL_STATE(1124)] = 35009,
  [SMALL_STATE(1125)] = 35016,
  [SMALL_STATE(1126)] = 35023,
  [SMALL_STATE(1127)] = 35030,
  [SMALL_STATE(1128)] = 35037,
  [SMALL_STATE(1129)] = 35044,
  [SMALL_STATE(1130)] = 35051,
  [SMALL_STATE(1131)] = 35058,
  [SMALL_STATE(1132)] = 35065,
  [SMALL_STATE(1133)] = 35072,
  [SMALL_STATE(1134)] = 35079,
  [SMALL_STATE(1135)] = 35086,
  [SMALL_STATE(1136)] = 35093,
  [SMALL_STATE(1137)] = 35100,
  [SMALL_STATE(1138)] = 35107,
  [SMALL_STATE(1139)] = 35114,
  [SMALL_STATE(1140)] = 35121,
  [SMALL_STATE(1141)] = 35128,
  [SMALL_STATE(1142)] = 35135,
  [SMALL_STATE(1143)] = 35142,
  [SMALL_STATE(1144)] = 35149,
  [SMALL_STATE(1145)] = 35156,
  [SMALL_STATE(1146)] = 35163,
  [SMALL_STATE(1147)] = 35170,
  [SMALL_STATE(1148)] = 35177,
  [SMALL_STATE(1149)] = 35184,
  [SMALL_STATE(1150)] = 35191,
  [SMALL_STATE(1151)] = 35198,
  [SMALL_STATE(1152)] = 35205,
  [SMALL_STATE(1153)] = 35212,
  [SMALL_STATE(1154)] = 35219,
  [SMALL_STATE(1155)] = 35226,
  [SMALL_STATE(1156)] = 35233,
  [SMALL_STATE(1157)] = 35240,
  [SMALL_STATE(1158)] = 35247,
  [SMALL_STATE(1159)] = 35254,
  [SMALL_STATE(1160)] = 35261,
  [SMALL_STATE(1161)] = 35268,
  [SMALL_STATE(1162)] = 35275,
  [SMALL_STATE(1163)] = 35282,
  [SMALL_STATE(1164)] = 35289,
  [SMALL_STATE(1165)] = 35296,
  [SMALL_STATE(1166)] = 35303,
  [SMALL_STATE(1167)] = 35310,
  [SMALL_STATE(1168)] = 35317,
  [SMALL_STATE(1169)] = 35324,
  [SMALL_STATE(1170)] = 35331,
  [SMALL_STATE(1171)] = 35338,
  [SMALL_STATE(1172)] = 35345,
  [SMALL_STATE(1173)] = 35352,
  [SMALL_STATE(1174)] = 35359,
  [SMALL_STATE(1175)] = 35366,
  [SMALL_STATE(1176)] = 35373,
  [SMALL_STATE(1177)] = 35380,
  [SMALL_STATE(1178)] = 35387,
  [SMALL_STATE(1179)] = 35394,
  [SMALL_STATE(1180)] = 35401,
  [SMALL_STATE(1181)] = 35408,
  [SMALL_STATE(1182)] = 35415,
  [SMALL_STATE(1183)] = 35422,
  [SMALL_STATE(1184)] = 35429,
  [SMALL_STATE(1185)] = 35436,
  [SMALL_STATE(1186)] = 35443,
  [SMALL_STATE(1187)] = 35450,
  [SMALL_STATE(1188)] = 35457,
  [SMALL_STATE(1189)] = 35464,
  [SMALL_STATE(1190)] = 35471,
  [SMALL_STATE(1191)] = 35478,
  [SMALL_STATE(1192)] = 35485,
  [SMALL_STATE(1193)] = 35492,
  [SMALL_STATE(1194)] = 35499,
  [SMALL_STATE(1195)] = 35506,
  [SMALL_STATE(1196)] = 35513,
  [SMALL_STATE(1197)] = 35520,
  [SMALL_STATE(1198)] = 35527,
  [SMALL_STATE(1199)] = 35534,
  [SMALL_STATE(1200)] = 35541,
  [SMALL_STATE(1201)] = 35548,
  [SMALL_STATE(1202)] = 35555,
  [SMALL_STATE(1203)] = 35562,
  [SMALL_STATE(1204)] = 35569,
  [SMALL_STATE(1205)] = 35576,
  [SMALL_STATE(1206)] = 35583,
  [SMALL_STATE(1207)] = 35590,
  [SMALL_STATE(1208)] = 35597,
  [SMALL_STATE(1209)] = 35604,
  [SMALL_STATE(1210)] = 35611,
  [SMALL_STATE(1211)] = 35618,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(311),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(197),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(339),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(726),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(724),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1063),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(978),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(880),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(74),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(133),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(986),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(992),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(994),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(881),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(885),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1011),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(84),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(92),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(228),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(45),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(66),
  [210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(798),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1198),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(804),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(214),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(833),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(95),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(184),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(184),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(167),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(136),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(855),
  [243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(834),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(758),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(553),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(553),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(894),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(302),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 51),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 51),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 51),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 51),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 76),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 76),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 60),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 60),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 85),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 85),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 85),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 85),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 67),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 67),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 67),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 67),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 62),
  [477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 62),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 62),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 62),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 76),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 76),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 76),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 76),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 81),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 81),
  [503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 81),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 81),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 33),
  [511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 33),
  [513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 33),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 33),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 69),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 69),
  [523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 69),
  [525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 69),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(35),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(676),
  [711] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(650),
  [715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(135),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(650),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(113),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(182),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 24),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 24),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 88),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 88),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 20),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 20),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 13),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 13),
  [816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 22),
  [822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 22),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 53),
  [830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 53),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 76),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 76),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 52),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 52),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 44),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 44),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 45),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 45),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 54),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 54),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 45),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 45),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 46),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 46),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 84),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 84),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 33),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 33),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 27),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 27),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 27),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 27),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 81),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 81),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 26),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 26),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 25),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 25),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 76),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 76),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 21),
  [934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 21),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 73),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 73),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 62),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 62),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 87),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 87),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 23),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 23),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 67),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 67),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 80),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 80),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 69),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 69),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 85),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 85),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 68),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 68),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 40),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 40),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 77),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 77),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(122),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 82),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 82),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 83),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 83),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 86),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 86),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(173),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [1083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 39),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 39),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 37),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 38),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 37),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 78),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 66),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 65),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 63),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 43),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 30),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 30),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 37),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 16),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 16),
  [1185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 16), REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 15),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 14),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 63),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 15),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 6),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 6),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 41),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 41),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 42),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 42),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 43),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 16),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 16),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 28),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 28),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 57),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 57),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 34),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 34),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 38),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 64),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 64),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 65),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 35),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 35),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 66),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [1338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 47), REDUCE(sym_assignment_expression, 3, .production_id = 14),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 47),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 64),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 64),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 79),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 79),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 70),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 70),
  [1359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 47), REDUCE(sym_assignment_expression, 3, .production_id = 37),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 55),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 55),
  [1370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 37), REDUCE(sym_assignment_expression, 3, .production_id = 37),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 37),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 75),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 75),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 36),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 36),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 51),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 37),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 16), REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 48),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(837),
  [1648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(677),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(165),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(635),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(855),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(834),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(743),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(894),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(637),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 61), SHIFT_REPEAT(644),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 16), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 17),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 16),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 89),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 89),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 67),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 67),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 40),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 40),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 49),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 49),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(894),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 85),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 85),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 76),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 76),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 31),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 31),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 31),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 31),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 56), SHIFT_REPEAT(737),
  [1870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 56), SHIFT_REPEAT(80),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 56),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 56),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 56), SHIFT_REPEAT(737),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(78),
  [1891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(796),
  [1894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(715),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 17),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 32),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(748),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(110),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 58),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1199),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(116),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 29),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 29),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(76),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(732),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 17),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(173),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [2228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(860),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [2233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(861),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(664),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1057),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 72),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(602),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(601),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 19),
  [2354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1026),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(641),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 28),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 72),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 55),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 48),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 71),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 18),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 72),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 59),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 74),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 50),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 50),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 50),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [2598] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 50),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = (const uint16_t *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
